#
# spec file for package mono-core
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{!?ext_man: %define ext_man .gz}
%define llvm no
%define sgen yes

Name:           mono-core
Version:        4.6.1
Release:        1.1
Summary:        Cross-platform, Open Source, .NET development framework
License:        LGPL-2.1 and MIT and MS-PL
Group:          Development/Languages/Mono
Url:            http://www.mono-project.com
Source0:        http://download.mono-project.com/sources/mono/mono-%{version}.3.tar.bz2
Source1:        mono-core.rpmlintrc
Source2:        gmcs
# ppc build segfault so exclude it
ExcludeArch:    ppc
# PATCH-FIX-OPENSUSE remove checks for libmono in mono-find-provides and mono-find-requires scripts
Patch14:        find-deps-fix.patch
# PATCH-FIX-OPENSUSE fix incorrect $mono_libdir substitution for libMonoPosixHelper.so library when native library dir (/usr/lib64 on x86_64) is different from mono lib dir (/usr/lib)
Patch15:        mono-config-fix-monoposixhelper-libdir.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  bison
BuildRequires:  ca-certificates
BuildRequires:  which
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRequires:  systemtap-sdt-devel
BuildRequires:  timezone
BuildRequires:  pkgconfig(libgdiplus)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xinerama)
BuildRequires:  pkgconfig(zlib)
%ifnarch ia64 %arm aarch64 s390
BuildRequires:  pkgconfig(valgrind)
%endif
%if %llvm == yes
BuildRequires:  llvm-mono-devel
%endif
Requires:       ca-certificates
Provides:       mono = %{version}
Provides:       mono-cairo = %{version}
Provides:       mono-drawing = %{version}
Provides:       mono-ikvm = %{version}
Provides:       mono-posix = %{version}
Provides:       mono-xml-relaxng = %{version}
Provides:       mono-ziplib = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if %llvm == yes
Recommends:     libmono-llvm0 = %{version}
%endif
Recommends:     libgdiplus0
Provides:       mono(Commons.Xml.Relaxng) = 1.0.5000.0
Provides:       mono(Commons.Xml.Relaxng) = 2.0.0.0
Provides:       mono(CustomMarshalers) = 1.0.5000.0
Provides:       mono(CustomMarshalers) = 2.0.0.0
Provides:       mono(I18N) = 1.0.5000.0
Provides:       mono(I18N) = 2.0.0.0
Provides:       mono(I18N.West) = 1.0.5000.0
Provides:       mono(I18N.West) = 2.0.0.0
Provides:       mono(ICSharpCode.SharpZipLib) = 0.6.0.0
Provides:       mono(ICSharpCode.SharpZipLib) = 2.6.0.0
Provides:       mono(ICSharpCode.SharpZipLib) = 0.84.0.0
Provides:       mono(ICSharpCode.SharpZipLib) = 2.84.0.0
Provides:       mono(Mono.Cairo) = 1.0.5000.0
Provides:       mono(Mono.Cairo) = 2.0.0.0
Provides:       mono(Mono.CompilerServices.SymbolWriter) = 1.0.5000.0
Provides:       mono(Mono.CompilerServices.SymbolWriter) = 2.0.0.0
Provides:       mono(Mono.Posix) = 1.0.5000.0
Provides:       mono(Mono.Posix) = 2.0.0.0
Provides:       mono(Mono.Security) = 1.0.5000.0
Provides:       mono(Mono.Security) = 2.0.0.0
Provides:       mono(System) = 1.0.5000.0
Provides:       mono(System) = 2.0.0.0
Provides:       mono(System.Configuration) = 1.0.5000.0
Provides:       mono(System.Configuration) = 2.0.0.0
Provides:       mono(System.Security) = 1.0.5000.0
Provides:       mono(System.Security) = 2.0.0.0
Provides:       mono(System.Xml) = 1.0.5000.0
Provides:       mono(System.Xml) = 2.0.0.0
Provides:       mono(System.Diagnostics.Contracts) = 4.0.0.0
Provides:       mono(System.Diagnostics.Debug) = 4.0.0.0
Provides:       mono(System.Diagnostics.Tools) = 4.0.0.0
Provides:       mono(System.Diagnostics.Tracing) = 4.0.0.0
Provides:       mono(System.Collections) = 4.0.0.0
Provides:       mono(System.Collections.Concurrent) = 4.0.0.0
Provides:       mono(System.Runtime) = 4.0.0.0
Provides:       mono(System.Runtime.Extensions) = 4.0.0.0
Provides:       mono(System.Runtime.InteropServices) = 4.0.0.0
Provides:       mono(System.Runtime.InteropServices.WindowsRuntime) = 4.0.0.0
Provides:       mono(System.Runtime.Numerics) = 4.0.0.0
Provides:       mono(System.Runtime.Serialization.Json) = 4.0.0.0
Provides:       mono(System.Runtime.Serialization.Primitives) = 4.0.0.0
Provides:       mono(System.Runtime.Serialization.Xml) = 4.0.0.0
Provides:       mono(System.Reflection) = 4.0.0.0
Provides:       mono(System.Reflection.Emit) = 4.0.0.0
Provides:       mono(System.Reflection.Emit.ILGeneration) = 4.0.0.0
Provides:       mono(System.Reflection.Emit.Lightweight) = 4.0.0.0
Provides:       mono(System.Reflection.Extensions) = 4.0.0.0
Provides:       mono(System.Reflection.Primitives) = 4.0.0.0
Provides:       mono(System.ObjectModel) = 4.0.0.0
Provides:       mono(System.Xml.ReaderWriter) = 4.0.0.0
Provides:       mono(System.Xml.XDocument) = 4.0.0.0
Provides:       mono(System.Xml.XmlSerializer) = 4.0.0.0
Provides:       mono(System.ComponentModel) = 4.0.0.0
Provides:       mono(System.ComponentModel.Annotations) = 4.0.0.0
Provides:       mono(System.ComponentModel.EventBasedAsync) = 4.0.0.0
Provides:       mono(System.Dynamic.Runtime) = 4.0.0.0
Provides:       mono(System.Globalization) = 4.0.0.0
Provides:       mono(System.IO) = 4.0.0.0
Provides:       mono(System.Linq) = 4.0.0.0
Provides:       mono(System.Linq.Expressions) = 4.0.0.0
Provides:       mono(System.Linq.Parallel) = 4.0.0.0
Provides:       mono(System.Linq.Queryable) = 4.0.0.0
Provides:       mono(System.Net.NetworkInformation) = 4.0.0.0
Provides:       mono(System.Net.Primitives) = 4.0.0.0
Provides:       mono(System.Net.Requests) = 4.0.0.0
Provides:       mono(System.Resources.ResourceManager) = 4.0.0.0
Provides:       mono(System.Security.Principal) = 4.0.0.0
Provides:       mono(System.ServiceModel.Http) = 4.0.0.0
Provides:       mono(System.ServiceModel.Primitives) = 4.0.0.0
Provides:       mono(System.ServiceModel.Security) = 4.0.0.0
Provides:       mono(System.Text.Encoding) = 4.0.0.0
Provides:       mono(System.Text.Encoding.Extensions) = 4.0.0.0
Provides:       mono(System.Text.RegularExpressions) = 4.0.0.0
Provides:       mono(System.Threading) = 4.0.0.0
Provides:       mono(System.Threading.Tasks) = 4.0.0.0
Provides:       mono(System.Threading.Tasks.Parallel) = 4.0.0.0
Provides:       mono(System.Threading.Timer) = 4.0.0.0
Provides:       mono(mscorlib) = 1.0.5000.0
Provides:       mono(mscorlib) = 2.0.0.0
Provides:       mono(mscorlib) = 4.0.0.0
Provides:       mono(Mono.Configuration.Crypto) = 4.0.0.0
# mono-core provides System.DateTime functions, which rely on timezone information
Requires:       timezone

%define _use_internal_dependency_generator 0
%define __find_provides env sh -c 'filelist=($(cat)) && { printf "%s\\n" "${filelist[@]}" | /usr/lib/rpm/find-provides && printf "%s\\n" "${filelist[@]}" | prefix=%{buildroot}%{_prefix} %{buildroot}%{_bindir}/mono-find-provides ; } | sort | uniq'
%define __find_requires env sh -c 'filelist=($(cat)) && { printf "%s\\n" "${filelist[@]}" | /usr/lib/rpm/find-requires && printf "%s\\n" "${filelist[@]}" | prefix=%{buildroot}%{_prefix} %{buildroot}%{_bindir}/mono-find-requires ; } | sort | uniq'

%description
The Mono Project is an open development initiative that is working to
develop an open source, Unix version of the .NET development platform.
Its objective is to enable Unix developers to build and deploy
cross-platform .NET applications. The project will implement various
technologies that have been submitted to the ECMA for standardization.

%prep
%setup -q -n mono-%{version}
%patch14 -p1
%patch15 -p1

%build
NOCONFIGURE="yes" ./autogen.sh
# These are only needed if there are patches to the runtime
#rm -f libgc/libtool.m4
#autoreconf --force --install
#autoreconf --force --install libgc
export CFLAGS=" %{optflags} -fno-strict-aliasing"
%ifarch armv7l armv7hl
export MONO_CPU_ARCH="armv7l-thumb"
%endif
%ifarch armv5el
export MONO_CPU_ARCH="armv5el"
%endif
# distro specific configure options
%if %llvm == yes
export PATH=/opt/novell/llvm-mono/bin:$PATH
%endif
%configure \
  --with-sgen=%{sgen} \
%if %llvm == yes
  --enable-loadedllvm \
  --disable-system-aot \
%endif
%ifarch ppc
 --with-sigaltstack=no \
%endif
%ifnarch %ix86 x86_64
  --disable-system-aot \
%endif
  --with-ikvm=yes \
  --with-moonlight=no

make

%install
%make_install

# Remove hardcoded lib directory from the config
sed -i s,%{_prefix}/lib/,,g %{buildroot}%{_sysconfdir}/mono/config

# remove .la files (they are generally bad news)
rm -f %{buildroot}%{_libdir}/*.la

# remove Windows-only stuff
rm -rf %{buildroot}%{_prefix}/lib/mono/*/Mono.Security.Win32*
rm -f %{buildroot}%{_libdir}/libMonoSupportW.*

# remove .a files for libraries that are really only for us
rm -f %{buildroot}%{_libdir}/libMonoPosixHelper.a
rm -f %{buildroot}%{_libdir}/libikvm-native.a
rm -f %{buildroot}%{_libdir}/libmono-llvm.a
rm -f %{buildroot}%{_libdir}/libmono-2.0.a
rm -f %{buildroot}%{_libdir}/libmonoboehm-2.0.a
rm -f %{buildroot}%{_libdir}/libmonosgen-2.0.a

# remove libgc cruft
rm -rf %{buildroot}%{_datadir}/libgc-mono

# remove stuff that we don't package
rm -f %{buildroot}%{_bindir}/cilc
rm -f %{buildroot}%{_mandir}/man1/cilc.1*
rm -f %{buildroot}%{_prefix}/lib/mono/*/browsercaps-updater.exe*
rm -f %{buildroot}%{_prefix}/lib/mono/*/culevel.exe*

# brp-compress doesn't search _mandir
# so we cheat it
ln -s . %{buildroot}%{_prefix}%{_prefix}
RPM_BUILD_ROOT=%{buildroot}%{_prefix} /usr/lib/rpm/brp-compress
rm %{buildroot}%{_prefix}%{_prefix}

# Fix non-executable-in-bin
chmod +x %{buildroot}%{_bindir}/mono-gdb.py
chmod +x %{buildroot}%{_bindir}/mono-sgen-gdb.py

#ERROR: link target doesn't exist (neither in build root nor in installed system):
rm -rf %{buildroot}%{_prefix}/lib/mono/xbuild/12.0/bin/Microsoft.Build.dll
rm -rf %{buildroot}%{_prefix}/lib/mono/xbuild/12.0/bin/Microsoft.Build.Engine.dll
rm -rf %{buildroot}%{_prefix}/lib/mono/xbuild/12.0/bin/Mono.XBuild.Tasks.dll
rm -rf %{buildroot}%{_prefix}/lib/mono/xbuild/12.0/bin/Microsoft.Build.Framework.dll
rm -rf %{buildroot}%{_prefix}/lib/mono/xbuild/12.0/bin/Microsoft.Build.Tasks.v12.0.dll
rm -rf %{buildroot}%{_prefix}/lib/mono/xbuild/12.0/bin/Microsoft.Build.Utilities.v12.0.dll

# Fake the deprecated binary to build legacy packages.
install -D -m 0755 %{S:2} %{buildroot}%{_bindir}/gmcs

%fdupes %{buildroot}%{_prefix}

%find_lang mcs

%if %sgen == no
# installed anyway but not packaged
rm %{buildroot}%{_bindir}/mono-sgen-gdb.py
%endif

%files -f mcs.lang
%defattr(-, root, root)
%doc COPYING.LIB LICENSE NEWS README.md
%config %{_sysconfdir}/mono/2.0/machine.config
%config %{_sysconfdir}/mono/2.0/settings.map
%config %{_sysconfdir}/mono/4.0/machine.config
%config %{_sysconfdir}/mono/4.0/settings.map
%config %{_sysconfdir}/mono/4.5/machine.config
%config %{_sysconfdir}/mono/4.5/settings.map
%config %{_sysconfdir}/mono/config
%dir %{_prefix}/lib/mono
%dir %{_prefix}/lib/mono/4.5
%dir %{_prefix}/lib/mono/4.5/Facades
%dir %{_prefix}/lib/mono/gac
%dir %{_sysconfdir}/mono
%dir %{_sysconfdir}/mono/2.0
%dir %{_sysconfdir}/mono/4.0
%dir %{_sysconfdir}/mono/4.5
%{_bindir}/al
%{_bindir}/al2
%{_bindir}/cert-sync
%{_bindir}/certmgr
%{_bindir}/chktrust
%{_bindir}/crlupdate
%{_bindir}/csharp
%{_bindir}/dmcs
%{_bindir}/gacutil
%{_bindir}/gacutil2
%{_bindir}/gmcs
%{_bindir}/ikdasm
%{_bindir}/mcs
%{_bindir}/mono
%{_bindir}/mono-boehm
%{_bindir}/mono-configuration-crypto
%if %sgen == yes
%{_bindir}/mono-sgen
%endif
%{_bindir}/mono-test-install
%{_bindir}/mozroots
%{_bindir}/peverify
%{_bindir}/setreg
%{_bindir}/sn
%{_libdir}/libMonoPosixHelper.so*
%{_libdir}/libikvm-native.so
%{_mandir}/man1/certmgr.1%ext_man
%{_mandir}/man1/chktrust.1%ext_man
%{_mandir}/man1/crlupdate.1%ext_man
%{_mandir}/man1/csharp.1%ext_man
%{_mandir}/man1/gacutil.1%ext_man
%{_mandir}/man1/mcs.1%ext_man
%{_mandir}/man1/mono-configuration-crypto.1%ext_man
%{_mandir}/man1/mono.1%ext_man
%{_mandir}/man1/mozroots.1%ext_man
%{_mandir}/man1/setreg.1%ext_man
%{_mandir}/man1/sn.1%ext_man
%{_mandir}/man5/mono-config.5%ext_man
%{_prefix}/lib/mono/4.5/System.IO.Compression.FileSystem.dll
%{_prefix}/lib/mono/4.5/System.IO.Compression.dll
%{_prefix}/lib/mono/4.5/al.exe*
%{_prefix}/lib/mono/4.5/cert-sync.exe*
%{_prefix}/lib/mono/4.5/certmgr.exe*
%{_prefix}/lib/mono/4.5/chktrust.exe*
%{_prefix}/lib/mono/4.5/crlupdate.exe*
%{_prefix}/lib/mono/4.5/csharp.exe*
%{_prefix}/lib/mono/4.5/gacutil.exe*
%{_prefix}/lib/mono/4.5/ikdasm.exe*
%{_prefix}/lib/mono/4.5/mcs.exe*
%{_prefix}/lib/mono/4.5/mozroots.exe*
%{_prefix}/lib/mono/4.5/setreg.exe*
%{_prefix}/lib/mono/4.5/sn.exe*
%{_prefix}/lib/mono/4.5/Commons.Xml.Relaxng.dll
%{_prefix}/lib/mono/4.5/CustomMarshalers.dll
%{_prefix}/lib/mono/4.5/I18N.West.dll
%{_prefix}/lib/mono/4.5/I18N.dll
%{_prefix}/lib/mono/4.5/ICSharpCode.SharpZipLib.dll
%{_prefix}/lib/mono/4.5/Microsoft.CSharp.dll
%{_prefix}/lib/mono/4.5/Microsoft.VisualC.dll
%{_prefix}/lib/mono/4.5/Mono.CSharp.dll
%{_prefix}/lib/mono/4.5/Mono.Cairo.dll
%{_prefix}/lib/mono/4.5/Mono.CompilerServices.SymbolWriter.dll
%{_prefix}/lib/mono/4.5/Mono.Management.dll
%{_prefix}/lib/mono/4.5/Mono.Parallel.dll
%{_prefix}/lib/mono/4.5/Mono.Posix.dll
%{_prefix}/lib/mono/4.5/Mono.Security.dll
%{_prefix}/lib/mono/4.5/Mono.Security.Providers.DotNet.dll
%{_prefix}/lib/mono/4.5/Mono.Security.Providers.NewSystemSource.dll
%{_prefix}/lib/mono/4.5/Mono.Security.Providers.NewTls.dll
%{_prefix}/lib/mono/4.5/Mono.Security.Providers.OldTls.dll
%{_prefix}/lib/mono/4.5/Mono.Simd.dll
%{_prefix}/lib/mono/4.5/Mono.Tasklets.dll
%{_prefix}/lib/mono/4.5/System.Configuration.dll
%{_prefix}/lib/mono/4.5/System.Core.dll
%{_prefix}/lib/mono/4.5/System.Deployment.dll
%{_prefix}/lib/mono/4.5/System.Drawing.dll
%{_prefix}/lib/mono/4.5/System.Dynamic.dll
%{_prefix}/lib/mono/4.5/System.Json.dll
%{_prefix}/lib/mono/4.5/System.Json.Microsoft.dll
%{_prefix}/lib/mono/4.5/System.Net.dll
%{_prefix}/lib/mono/4.5/System.Net.Http.dll
%{_prefix}/lib/mono/4.5/System.Net.Http.Formatting.dll
%{_prefix}/lib/mono/4.5/System.Net.Http.WebRequest.dll
%{_prefix}/lib/mono/4.5/System.Numerics.dll
%{_prefix}/lib/mono/4.5/System.Numerics.Vectors.dll
%{_prefix}/lib/mono/4.5/System.Reflection.Context.dll
%{_prefix}/lib/mono/4.5/System.Runtime.InteropServices.RuntimeInformation.dll
%{_prefix}/lib/mono/4.5/System.Security.dll
%{_prefix}/lib/mono/4.5/System.Threading.Tasks.Dataflow.dll
%{_prefix}/lib/mono/4.5/System.Windows.dll
%{_prefix}/lib/mono/4.5/System.Workflow.Activities.dll
%{_prefix}/lib/mono/4.5/System.Workflow.ComponentModel.dll
%{_prefix}/lib/mono/4.5/System.Workflow.Runtime.dll
%{_prefix}/lib/mono/4.5/System.Xml.Serialization.dll
%{_prefix}/lib/mono/4.5/System.Xml.Linq.dll
%{_prefix}/lib/mono/4.5/System.Xml.dll
%{_prefix}/lib/mono/4.5/System.dll
%{_prefix}/lib/mono/4.5/cscompmgd.dll
%{_prefix}/lib/mono/4.5/mscorlib.dll*
%{_prefix}/lib/mono/4.5/Facades/System*
%{_prefix}/lib/mono/4.5/Facades/Microsoft*
%{_prefix}/lib/mono/gac/Commons.Xml.Relaxng
%{_prefix}/lib/mono/gac/CustomMarshalers
%{_prefix}/lib/mono/gac/I18N
%{_prefix}/lib/mono/gac/I18N.West
%{_prefix}/lib/mono/gac/ICSharpCode.SharpZipLib
%{_prefix}/lib/mono/gac/Microsoft.CSharp
%{_prefix}/lib/mono/gac/Microsoft.VisualC
%{_prefix}/lib/mono/gac/Mono.CSharp
%{_prefix}/lib/mono/gac/Mono.Cairo
%{_prefix}/lib/mono/gac/Mono.Cecil
%{_prefix}/lib/mono/gac/Mono.CompilerServices.SymbolWriter
%{_prefix}/lib/mono/gac/Mono.Management
%{_prefix}/lib/mono/gac/Mono.Parallel
%{_prefix}/lib/mono/gac/Mono.Posix
%{_prefix}/lib/mono/gac/Mono.Security
%{_prefix}/lib/mono/gac/Mono.Security.Providers.DotNet
%{_prefix}/lib/mono/gac/Mono.Security.Providers.NewSystemSource
%{_prefix}/lib/mono/gac/Mono.Security.Providers.NewTls
%{_prefix}/lib/mono/gac/Mono.Security.Providers.OldTls
%{_prefix}/lib/mono/gac/Mono.Simd
%{_prefix}/lib/mono/gac/Mono.Tasklets
%{_prefix}/lib/mono/gac/System
%{_prefix}/lib/mono/gac/System.Configuration
%{_prefix}/lib/mono/gac/System.Core
%{_prefix}/lib/mono/gac/System.Deployment
%{_prefix}/lib/mono/gac/System.Drawing
%{_prefix}/lib/mono/gac/System.Dynamic
%{_prefix}/lib/mono/gac/System.Net
%{_prefix}/lib/mono/gac/System.Net.Http
%{_prefix}/lib/mono/gac/System.Net.Http.Formatting
%{_prefix}/lib/mono/gac/System.Net.Http.WebRequest
%{_prefix}/lib/mono/gac/System.Numerics
%{_prefix}/lib/mono/gac/System.Numerics.Vectors
%{_prefix}/lib/mono/gac/System.Reflection.Context
%{_prefix}/lib/mono/gac/System.Runtime.InteropServices.RuntimeInformation
%{_prefix}/lib/mono/gac/System.Security
%{_prefix}/lib/mono/gac/System.Threading.Tasks.Dataflow
%{_prefix}/lib/mono/gac/System.Windows
%{_prefix}/lib/mono/gac/System.Workflow.Activities
%{_prefix}/lib/mono/gac/System.Workflow.ComponentModel
%{_prefix}/lib/mono/gac/System.Workflow.Runtime/
%{_prefix}/lib/mono/gac/System.Xml.Serialization
%{_prefix}/lib/mono/gac/System.Xml
%{_prefix}/lib/mono/gac/System.Xml.Linq
%{_prefix}/lib/mono/gac/System.Json
%{_prefix}/lib/mono/gac/System.Json.Microsoft
%{_prefix}/lib/mono/gac/System.IO.Compression.FileSystem
%{_prefix}/lib/mono/gac/System.IO.Compression
%{_prefix}/lib/mono/gac/cscompmgd
%{_prefix}/lib/mono/mono-configuration-crypto

%post
cert-sync /etc/ssl/ca-bundle.pem

%package -n libmono-2_0-1
Summary:        A Library for embedding Mono in your Application
License:        LGPL-2.1
Group:          Development/Libraries/C and C++
%if %{sgen}
Requires:       libmonosgen-2_0-1
%else
Requires:       libmonoboehm-2_0-1
%endif

%description -n libmono-2_0-1
The Mono Project is an open development initiative that is working to
develop an open source, Unix version of the .NET development platform.
Its objective is to enable Unix developers to build and deploy
cross-platform .NET applications. The project will implement various
technologies that have been submitted to the ECMA for standardization.

A Library for embedding Mono in your Application.

%files -n libmono-2_0-1
%defattr(-, root, root)
%{_libdir}/libmono-2.0.so.1*

%post -n libmono-2_0-1 -p /sbin/ldconfig

%postun -n libmono-2_0-1 -p /sbin/ldconfig

%package -n libmono-2_0-devel
Summary:        Development files for libmono
License:        LGPL-2.1
Group:          Development/Languages/Mono
Requires:       libmono-2_0-1 = %{version}
%if %{sgen}
Requires:       libmonosgen-2_0-devel
%else
Requires:       libmonoboehm-2_0-devel
%endif
Requires:       mono-core = %{version}

%description -n libmono-2_0-devel
The Mono Project is an open development initiative that is working to
develop an open source, Unix version of the .NET development platform.
Its objective is to enable Unix developers to build and deploy
cross-platform .NET applications. The project will implement various
technologies that have been submitted to the ECMA for standardization.

Development files for libmono.

%files -n libmono-2_0-devel
%defattr(-, root, root)
%{_bindir}/mono-gdb.py
%{_includedir}/mono-2.0
%{_libdir}/libmono-2.0.so
%{_libdir}/pkgconfig/mono-2.pc

%package -n libmonoboehm-2_0-1
Summary:        A Library for embedding Mono in your Application (Boehm GC)
License:        LGPL-2.1
Group:          Development/Libraries/C and C++

%description -n libmonoboehm-2_0-1
The Mono Project is an open development initiative that is working to
develop an open source, Unix version of the .NET development platform.
Its objective is to enable Unix developers to build and deploy
cross-platform .NET applications. The project will implement various
technologies that have been submitted to the ECMA for standardization.

A Library for embedding Mono in your application using the conservative
Boehm garbage collector.

%files -n libmonoboehm-2_0-1
%defattr(-, root, root)
%{_libdir}/libmonoboehm-2.0.so.*

%post -n libmonoboehm-2_0-1 -p /sbin/ldconfig

%postun -n libmonoboehm-2_0-1 -p /sbin/ldconfig

%package -n libmonoboehm-2_0-devel
Summary:        Development files for libmonoboehm
License:        LGPL-2.1
Group:          Development/Languages/Mono
Requires:       libmono-2_0-devel
Requires:       libmonoboehm-2_0-1 = %{version}
Requires:       mono-core = %{version}

%description -n libmonoboehm-2_0-devel
The Mono Project is an open development initiative that is working to
develop an open source, Unix version of the .NET development platform.
Its objective is to enable Unix developers to build and deploy
cross-platform .NET applications. The project will implement various
technologies that have been submitted to the ECMA for standardization.

Development files for libmonoboehm

%files -n libmonoboehm-2_0-devel
%defattr(-, root, root)
%{_libdir}/libmonoboehm-2.0.so

%if %sgen == yes
%package -n libmonosgen-2_0-1
Summary:        A Library for embedding Mono in your Application (SGen GC)
License:        LGPL-2.1
Group:          Development/Libraries/C and C++

%description -n libmonosgen-2_0-1
The Mono Project is an open development initiative that is working to
develop an open source, Unix version of the .NET development platform.
Its objective is to enable Unix developers to build and deploy
cross-platform .NET applications. The project will implement various
technologies that have been submitted to the ECMA for standardization.

A Library for embedding Mono in your application using the precise SGen
garbage collector.

%files -n libmonosgen-2_0-1
%defattr(-, root, root)
%{_libdir}/libmonosgen-2.0.so.*

%post -n libmonosgen-2_0-1 -p /sbin/ldconfig

%postun -n libmonosgen-2_0-1 -p /sbin/ldconfig

%package -n libmonosgen-2_0-devel
Summary:        Development files for libmonosgen
License:        LGPL-2.1
Group:          Development/Languages/Mono
Requires:       libmono-2_0-devel
Requires:       libmonosgen-2_0-1 = %{version}
Requires:       mono-core = %{version}

%description -n libmonosgen-2_0-devel
The Mono Project is an open development initiative that is working to
develop an open source, Unix version of the .NET development platform.
Its objective is to enable Unix developers to build and deploy
cross-platform .NET applications. The project will implement various
technologies that have been submitted to the ECMA for standardization.

Development files for libmonosgen.

%files -n libmonosgen-2_0-devel
%defattr(-, root, root)
%{_bindir}/mono-sgen-gdb.py
%{_libdir}/libmonosgen-2.0.so
%{_libdir}/pkgconfig/monosgen-2.pc
%endif

%if %llvm == yes
%package -n libmono-llvm0
Summary:        Loadable LLVM libary for mono
License:        LGPL-2.1
Group:          Development/Libraries/C and C++

%description -n libmono-llvm0
The Mono Project is an open development initiative that is working to
develop an open source, Unix version of the .NET development platform.
Its objective is to enable Unix developers to build and deploy
cross-platform .NET applications. The project will implement various
technologies that have been submitted to the ECMA for standardization.

Loadable LLVM libary for mono.

%files -n libmono-llvm0
%defattr(-, root, root)
%{_libdir}/libmono-llvm.so*

%post -n libmono-llvm0 -p /sbin/ldconfig

%postun -n libmono-llvm0 -p /sbin/ldconfig
%endif

%package -n mono-locale-extras
Summary:        Extra locale information
License:        LGPL-2.1
Group:          Development/Languages/Mono
Requires:       mono-core = %{version}
Provides:       mono(I18N.CJK) = 1.0.5000.0
Provides:       mono(I18N.CJK) = 2.0.0.0
Provides:       mono(I18N.MidEast) = 1.0.5000.0
Provides:       mono(I18N.MidEast) = 2.0.0.0
Provides:       mono(I18N.Other) = 1.0.5000.0
Provides:       mono(I18N.Other) = 2.0.0.0
Provides:       mono(I18N.Rare) = 1.0.5000.0
Provides:       mono(I18N.Rare) = 2.0.0.0

%description -n mono-locale-extras
The Mono Project is an open development initiative that is working to
develop an open source, Unix version of the .NET development platform.
Its objective is to enable Unix developers to build and deploy
cross-platform .NET applications. The project will implement various
technologies that have been submitted to the ECMA for standardization.

Extra locale information.

%files -n mono-locale-extras
%defattr(-, root, root)
%{_prefix}/lib/mono/4.5/I18N.CJK.dll
%{_prefix}/lib/mono/4.5/I18N.MidEast.dll
%{_prefix}/lib/mono/4.5/I18N.Other.dll
%{_prefix}/lib/mono/4.5/I18N.Rare.dll
%{_prefix}/lib/mono/gac/I18N.CJK
%{_prefix}/lib/mono/gac/I18N.MidEast
%{_prefix}/lib/mono/gac/I18N.Other
%{_prefix}/lib/mono/gac/I18N.Rare

%package -n mono-data
Summary:        Database connectivity for Mono
License:        LGPL-2.1
Group:          Development/Languages/Mono
Requires:       mono-core = %{version}
Provides:       mono-directory = %{version}
Provides:       mono-ms-enterprise = %{version}
Provides:       mono-novell-directory = %{version}
Provides:       mono(Mono.Data.Tds) = 1.0.5000.0
Provides:       mono(Mono.Data.Tds) = 2.0.0.0
Provides:       mono(Novell.Directory.Ldap) = 1.0.5000.0
Provides:       mono(Novell.Directory.Ldap) = 2.0.0.0
Provides:       mono(System.Data) = 1.0.5000.0
Provides:       mono(System.Data) = 2.0.0.0
Provides:       mono(System.DirectoryServices) = 1.0.5000.0
Provides:       mono(System.DirectoryServices) = 2.0.0.0
Provides:       mono(System.EnterpriseServices) = 1.0.5000.0
Provides:       mono(System.EnterpriseServices) = 2.0.0.0

%description -n mono-data
The Mono Project is an open development initiative that is working to
develop an open source, Unix version of the .NET development platform.
Its objective is to enable Unix developers to build and deploy
cross-platform .NET applications. The project will implement various
technologies that have been submitted to the ECMA for standardization.

Database connectivity for Mono.

%files -n mono-data
%defattr(-, root, root)
%{_bindir}/sqlmetal
%{_bindir}/sqlsharp
%{_mandir}/man1/sqlsharp.1%ext_man
%{_prefix}/lib/mono/4.5/Mono.Data.Tds.dll
%{_prefix}/lib/mono/4.5/Novell.Directory.Ldap.dll
%{_prefix}/lib/mono/4.5/System.Data.DataSetExtensions.dll
%{_prefix}/lib/mono/4.5/System.Data.Linq.dll
%{_prefix}/lib/mono/4.5/System.Data.dll
%{_prefix}/lib/mono/4.5/System.Data.Entity.dll
%{_prefix}/lib/mono/4.5/System.DirectoryServices.dll
%{_prefix}/lib/mono/4.5/System.DirectoryServices.Protocols.dll
%{_prefix}/lib/mono/4.5/System.EnterpriseServices.dll
%{_prefix}/lib/mono/4.5/System.Runtime.Serialization.dll
%{_prefix}/lib/mono/4.5/System.Transactions.dll
%{_prefix}/lib/mono/4.5/WebMatrix.Data.dll
%{_prefix}/lib/mono/4.5/sqlmetal.exe*
%{_prefix}/lib/mono/4.5/sqlsharp.exe*
%{_prefix}/lib/mono/gac/Mono.Data.Tds
%{_prefix}/lib/mono/gac/Novell.Directory.Ldap
%{_prefix}/lib/mono/gac/System.Data
%{_prefix}/lib/mono/gac/System.Data.Entity
%{_prefix}/lib/mono/gac/System.Data.DataSetExtensions
%{_prefix}/lib/mono/gac/System.Data.Linq
%{_prefix}/lib/mono/gac/System.DirectoryServices
%{_prefix}/lib/mono/gac/System.DirectoryServices.Protocols
%{_prefix}/lib/mono/gac/System.EnterpriseServices
%{_prefix}/lib/mono/gac/System.Runtime.Serialization
%{_prefix}/lib/mono/gac/System.Transactions
%{_prefix}/lib/mono/gac/WebMatrix.Data

%package -n mono-winforms
Summary:        Mono's Windows Forms implementation
License:        LGPL-2.1
Group:          Development/Languages/Mono
Requires:       mono-core = %{version}
Provides:       mono-window-forms = %{version}
Provides:       mono(Accessibility) = 1.0.5000.0
Provides:       mono(Accessibility) = 2.0.0.0
Provides:       mono(System.Design) = 1.0.5000.0
Provides:       mono(System.Design) = 2.0.0.0
Provides:       mono(System.Drawing) = 1.0.5000.0
Provides:       mono(System.Drawing) = 2.0.0.0
Provides:       mono(System.Drawing.Design) = 1.0.5000.0
Provides:       mono(System.Drawing.Design) = 2.0.0.0
Provides:       mono(System.Windows.Forms) = 1.0.5000.0
Provides:       mono(System.Windows.Forms) = 2.0.0.0

%description -n mono-winforms
The Mono Project is an open development initiative that is working to
develop an open source, Unix version of the .NET development platform.
Its objective is to enable Unix developers to build and deploy
cross-platform .NET applications. The project will implement various
technologies that have been submitted to the ECMA for standardization.

Mono's Windows Forms implementation.

%files -n mono-winforms
%defattr(-, root, root)
%{_prefix}/lib/mono/4.5/Accessibility.dll
%{_prefix}/lib/mono/4.5/Mono.WebBrowser.dll
%{_prefix}/lib/mono/4.5/System.Design.dll
%{_prefix}/lib/mono/4.5/System.Drawing.Design.dll
%{_prefix}/lib/mono/4.5/System.Windows.Forms.DataVisualization.dll
%{_prefix}/lib/mono/4.5/System.Windows.Forms.dll
%{_prefix}/lib/mono/gac/Accessibility
%{_prefix}/lib/mono/gac/Mono.WebBrowser
%{_prefix}/lib/mono/gac/System.Design
%{_prefix}/lib/mono/gac/System.Drawing.Design
%{_prefix}/lib/mono/gac/System.Windows.Forms
%{_prefix}/lib/mono/gac/System.Windows.Forms.DataVisualization

%package -n ibm-data-db2
Summary:        Database connectivity for DB2
License:        LGPL-2.1
Group:          Development/Languages/Mono
Requires:       mono-core = %{version}

%description -n ibm-data-db2
The Mono Project is an open development initiative that is working to
develop an open source, Unix version of the .NET development platform.
Its objective is to enable Unix developers to build and deploy
cross-platform .NET applications. The project will implement various
technologies that have been submitted to the ECMA for standardization.

Database connectivity for DB2.

%files -n ibm-data-db2
%defattr(-, root, root)
%{_prefix}/lib/mono/4.5/IBM.Data.DB2.dll
%{_prefix}/lib/mono/gac/IBM.Data.DB2

%package -n mono-extras
Summary:        Extra packages
License:        LGPL-2.1
Group:          Development/Languages/Mono
Requires:       mono-core = %{version}
Provides:       mono-ms-extras = %{version}
Provides:       mono(Mono.Messaging) = 1.0.5000.0
Provides:       mono(Mono.Messaging) = 2.0.0.0
Provides:       mono(Mono.Messaging.RabbitMQ) = 1.0.5000.0
Provides:       mono(Mono.Messaging.RabbitMQ) = 2.0.0.0
Provides:       mono(RabbitMQ.Client) = 1.0.5000.0
Provides:       mono(RabbitMQ.Client) = 2.0.0.0
Provides:       mono(System.Configuration.Install) = 1.0.5000.0
Provides:       mono(System.Configuration.Install) = 2.0.0.0
Provides:       mono(System.Management) = 1.0.5000.0
Provides:       mono(System.Management) = 2.0.0.0
Provides:       mono(System.Messaging) = 1.0.5000.0
Provides:       mono(System.Messaging) = 2.0.0.0
Provides:       mono(System.ServiceProcess) = 1.0.5000.0
Provides:       mono(System.ServiceProcess) = 2.0.0.0
Provides:       mono(mono-service) = 1.0.5000.0
Provides:       mono(mono-service) = 2.0.0.0

%description -n mono-extras
The Mono Project is an open development initiative that is working to
develop an open source, Unix version of the .NET development platform.
Its objective is to enable Unix developers to build and deploy
cross-platform .NET applications. The project will implement various
technologies that have been submitted to the ECMA for standardization.

Extra packages.

%files -n mono-extras
%defattr(-, root, root)
%{_bindir}/mono-service
%{_bindir}/mono-service2
%{_mandir}/man1/mono-service.1%ext_man
%{_prefix}/lib/mono/4.5/installutil.exe*
%{_prefix}/lib/mono/4.5/mono-service.exe*
%{_prefix}/lib/mono/4.5/Mono.Messaging.RabbitMQ.dll
%{_prefix}/lib/mono/4.5/Mono.Messaging.dll
%{_prefix}/lib/mono/4.5/RabbitMQ.Client.Apigen.exe*
%{_prefix}/lib/mono/4.5/RabbitMQ.Client.dll
%{_prefix}/lib/mono/4.5/System.Configuration.Install.dll
%{_prefix}/lib/mono/4.5/System.Management.dll
%{_prefix}/lib/mono/4.5/System.Messaging.dll
%{_prefix}/lib/mono/4.5/System.Runtime.Caching.dll
%{_prefix}/lib/mono/4.5/System.ServiceProcess.dll
%{_prefix}/lib/mono/4.5/System.Xaml.dll
%{_prefix}/lib/mono/gac/Mono.Messaging
%{_prefix}/lib/mono/gac/Mono.Messaging.RabbitMQ
%{_prefix}/lib/mono/gac/RabbitMQ.Client
%{_prefix}/lib/mono/gac/System.Configuration.Install
%{_prefix}/lib/mono/gac/System.Management
%{_prefix}/lib/mono/gac/System.Messaging
%{_prefix}/lib/mono/gac/System.Runtime.Caching
%{_prefix}/lib/mono/gac/System.ServiceProcess
%{_prefix}/lib/mono/gac/System.Xaml
%{_prefix}/lib/mono/gac/mono-service

%package -n mono-data-sqlite
Summary:        Database connectivity for Mono
License:        LGPL-2.1
Group:          Development/Languages/Mono
Requires:       mono-core = %{version}
Requires:       mono-data = %{version}
Provides:       mono(Mono.Data.Sqlite) = 1.0.5000.0
Provides:       mono(Mono.Data.Sqlite) = 2.0.0.0

%description -n mono-data-sqlite
The Mono Project is an open development initiative that is working to
develop an open source, Unix version of the .NET development platform.
Its objective is to enable Unix developers to build and deploy
cross-platform .NET applications. The project will implement various
technologies that have been submitted to the ECMA for standardization.

Database connectivity for Mono.

%files -n mono-data-sqlite
%defattr(-, root, root)
%{_prefix}/lib/mono/4.5/Mono.Data.Sqlite.dll
%{_prefix}/lib/mono/gac/Mono.Data.Sqlite

%package -n mono-wcf
Summary:        Mono implementation of WCF, Windows Communication Foundation
License:        MIT and MS-PL
Group:          Development/Languages/Mono
Requires:       mono-core = %{version}

%description -n mono-wcf
The Mono Project is an open development initiative that is working to
develop an open source, Unix version of the .NET development platform.
Its objective is to enable Unix developers to build and deploy
cross-platform .NET applications. The project will implement various
technologies that have been submitted to the ECMA for standardization.

Mono implementation of WCF, Windows Communication Foundation

%files -n mono-wcf
%defattr(-, root, root)
%{_bindir}/svcutil
%{_libdir}/pkgconfig/wcf.pc
%{_prefix}/lib/mono/4.5/System.Data.Services.dll
%{_prefix}/lib/mono/4.5/System.IdentityModel.Selectors.dll
%{_prefix}/lib/mono/4.5/System.IdentityModel.dll
%{_prefix}/lib/mono/4.5/System.Runtime.DurableInstancing.dll
%{_prefix}/lib/mono/4.5/System.ServiceModel.Activation.dll
%{_prefix}/lib/mono/4.5/System.ServiceModel.Discovery.dll
%{_prefix}/lib/mono/4.5/System.ServiceModel.Internals.dll
%{_prefix}/lib/mono/4.5/System.ServiceModel.Routing.dll
%{_prefix}/lib/mono/4.5/System.ServiceModel.Web.dll
%{_prefix}/lib/mono/4.5/System.ServiceModel.dll
%{_prefix}/lib/mono/4.5/SMDiagnostics.dll
%{_prefix}/lib/mono/4.5/svcutil.exe*
%{_prefix}/lib/mono/gac/System.Data.Services
%{_prefix}/lib/mono/gac/System.IdentityModel
%{_prefix}/lib/mono/gac/System.IdentityModel.Selectors
%{_prefix}/lib/mono/gac/System.Runtime.DurableInstancing
%{_prefix}/lib/mono/gac/System.ServiceModel
%{_prefix}/lib/mono/gac/System.ServiceModel.Activation
%{_prefix}/lib/mono/gac/System.ServiceModel.Discovery
%{_prefix}/lib/mono/gac/System.ServiceModel.Internals
%{_prefix}/lib/mono/gac/System.ServiceModel.Routing
%{_prefix}/lib/mono/gac/System.ServiceModel.Web
%{_prefix}/lib/mono/gac/SMDiagnostics

%package -n mono-winfxcore
Summary:        Mono implementation of core WinFX APIs
License:        MIT and MS-PL
Group:          Development/Languages/Mono
Requires:       mono-core = %{version}

%description -n mono-winfxcore
The Mono Project is an open development initiative that is working to
develop an open source, Unix version of the .NET development platform.
Its objective is to enable Unix developers to build and deploy
cross-platform .NET applications. The project will implement various
technologies that have been submitted to the ECMA for standardization.

Mono implementation of core WinFX APIs

%files -n mono-winfxcore
%defattr(-, root, root)
%{_prefix}/lib/mono/4.5/System.Data.Services.Client.dll*
%{_prefix}/lib/mono/4.5/WindowsBase.dll*
%{_prefix}/lib/mono/gac/System.Data.Services.Client
%{_prefix}/lib/mono/gac/WindowsBase

%package -n mono-web
Summary:        Mono implementation of ASP
License:        MIT and MS-PL
Group:          Development/Languages/Mono
Requires:       mono-core = %{version}
Provides:       mono-remoting = %{version}
Provides:       mono-web-forms = %{version}
Provides:       mono-web-services = %{version}
Provides:       mono(Mono.Http) = 1.0.5000.0
Provides:       mono(Mono.Http) = 2.0.0.0
Provides:       mono(System.Runtime.Remoting) = 1.0.5000.0
Provides:       mono(System.Runtime.Remoting) = 2.0.0.0
Provides:       mono(System.Runtime.Serialization.Formatters.Soap) = 1.0.5000.0
Provides:       mono(System.Runtime.Serialization.Formatters.Soap) = 2.0.0.0
Provides:       mono(System.Web) = 1.0.5000.0
Provides:       mono(System.Web) = 2.0.0.0
Provides:       mono(System.Web.Razor) = 2.0.0.0
Provides:       mono(System.Web.Services) = 1.0.5000.0
Provides:       mono(System.Web.Services) = 2.0.0.0
Provides:       mono(System.Web.WebPages.Deployment) = 2.1.0.0
Provides:       mono(System.Web.WebPages.Razor) = 2.0.0.0

%description -n mono-web
The Mono Project is an open development initiative that is working to
develop an open source, Unix version of the .NET development platform.
Its objective is to enable Unix developers to build and deploy
cross-platform .NET applications. The project will implement various
technologies that have been submitted to the ECMA for standardization.

Mono implementation of ASP.NET, Remoting and Web Services.

%files -n mono-web
%defattr(-, root, root)
%config %{_sysconfdir}/mono/2.0/Browsers
%config %{_sysconfdir}/mono/2.0/DefaultWsdlHelpGenerator.aspx
%config %{_sysconfdir}/mono/2.0/web.config
%config %{_sysconfdir}/mono/4.0/Browsers
%config %{_sysconfdir}/mono/4.0/DefaultWsdlHelpGenerator.aspx
%config %{_sysconfdir}/mono/4.0/web.config
%config %{_sysconfdir}/mono/4.5/Browsers
%config %{_sysconfdir}/mono/4.5/DefaultWsdlHelpGenerator.aspx
%config %{_sysconfdir}/mono/4.5/web.config
%config %{_sysconfdir}/mono/browscap.ini
%config %{_sysconfdir}/mono/mconfig/config.xml
%dir %{_sysconfdir}/mono/mconfig
%{_bindir}/disco
%{_bindir}/mconfig
%{_bindir}/soapsuds
%{_bindir}/wsdl
%{_bindir}/wsdl2
%{_bindir}/xsd
%{_libdir}/pkgconfig/aspnetwebstack.pc
%{_mandir}/man1/disco.1%ext_man
%{_mandir}/man1/mconfig.1%ext_man
%{_mandir}/man1/soapsuds.1%ext_man
%{_mandir}/man1/wsdl.1%ext_man
%{_mandir}/man1/xsd.1%ext_man
%{_prefix}/lib/mono/4.5/Mono.Http.dll
%{_prefix}/lib/mono/4.5/System.ComponentModel.Composition.dll
%{_prefix}/lib/mono/4.5/System.ComponentModel.DataAnnotations.dll
%{_prefix}/lib/mono/4.5/System.Runtime.Remoting.dll
%{_prefix}/lib/mono/4.5/System.Runtime.Serialization.Formatters.Soap.dll
%{_prefix}/lib/mono/4.5/System.Web.Abstractions.dll
%{_prefix}/lib/mono/4.5/System.Web.ApplicationServices.dll
%{_prefix}/lib/mono/4.5/System.Web.Http.dll
%{_prefix}/lib/mono/4.5/System.Web.Http.SelfHost.dll
%{_prefix}/lib/mono/4.5/System.Web.Http.WebHost.dll
%{_prefix}/lib/mono/4.5/System.Web.Mobile.dll
%{_prefix}/lib/mono/4.5/System.Web.Routing.dll
%{_prefix}/lib/mono/4.5/System.Web.Razor.dll
%{_prefix}/lib/mono/4.5/System.Web.RegularExpressions.dll
%{_prefix}/lib/mono/4.5/System.Web.Services.dll
%{_prefix}/lib/mono/4.5/System.Web.WebPages.Deployment.dll
%{_prefix}/lib/mono/4.5/System.Web.WebPages.Razor.dll
%{_prefix}/lib/mono/4.5/System.Web.WebPages.dll
%{_prefix}/lib/mono/4.5/System.Web.dll
%{_prefix}/lib/mono/4.5/disco.exe*
%{_prefix}/lib/mono/4.5/mconfig.exe*
%{_prefix}/lib/mono/4.5/soapsuds.exe*
%{_prefix}/lib/mono/4.5/wsdl.exe*
%{_prefix}/lib/mono/4.5/xsd.exe*
%{_prefix}/lib/mono/4.5/Microsoft.Web.Infrastructure.dll
%{_prefix}/lib/mono/gac/Microsoft.Web.Infrastructure
%{_prefix}/lib/mono/gac/Mono.Http
%{_prefix}/lib/mono/gac/System.ComponentModel.Composition
%{_prefix}/lib/mono/gac/System.ComponentModel.DataAnnotations
%{_prefix}/lib/mono/gac/System.Runtime.Remoting
%{_prefix}/lib/mono/gac/System.Runtime.Serialization.Formatters.Soap
%{_prefix}/lib/mono/gac/System.Web
%{_prefix}/lib/mono/gac/System.Web.Abstractions
%{_prefix}/lib/mono/gac/System.Web.ApplicationServices
%{_prefix}/lib/mono/gac/System.Web.Http
%{_prefix}/lib/mono/gac/System.Web.Http.SelfHost
%{_prefix}/lib/mono/gac/System.Web.Http.WebHost
%{_prefix}/lib/mono/gac/System.Web.Mobile/
%{_prefix}/lib/mono/gac/System.Web.Routing
%{_prefix}/lib/mono/gac/System.Web.Razor
%{_prefix}/lib/mono/gac/System.Web.RegularExpressions
%{_prefix}/lib/mono/gac/System.Web.Services
%{_prefix}/lib/mono/gac/System.Web.WebPages.Deployment
%{_prefix}/lib/mono/gac/System.Web.WebPages.Razor
%{_prefix}/lib/mono/gac/System.Web.WebPages

%package -n mono-mvc
Summary:        Mono implementation of ASP
License:        MIT and MS-PL
Group:          Development/Languages/Mono
Requires:       mono-core = %{version}

%description -n mono-mvc
The Mono Project is an open development initiative that is working to
develop an open source, Unix version of the .NET development platform.
Its objective is to enable Unix developers to build and deploy
cross-platform .NET applications. The project will implement various
technologies that have been submitted to the ECMA for standardization.

Mono implementation of ASP.NET MVC.

%files -n mono-mvc
%defattr(-, root, root)
%{_libdir}/pkgconfig/system.web.extensions.design_1.0.pc
%{_libdir}/pkgconfig/system.web.extensions_1.0.pc
%{_libdir}/pkgconfig/system.web.mvc.pc
%{_libdir}/pkgconfig/system.web.mvc2.pc
%{_libdir}/pkgconfig/system.web.mvc3.pc
%{_prefix}/lib/mono/4.5/System.Web.DynamicData.dll
%{_prefix}/lib/mono/4.5/System.Web.Extensions.Design.dll
%{_prefix}/lib/mono/4.5/System.Web.Extensions.dll
%{_prefix}/lib/mono/4.5/System.Web.Mvc.dll
%{_prefix}/lib/mono/gac/System.Web.DynamicData
%{_prefix}/lib/mono/gac/System.Web.Extensions
%{_prefix}/lib/mono/gac/System.Web.Extensions.Design
%{_prefix}/lib/mono/gac/System.Web.Mvc

%package -n mono-data-oracle
Summary:        Database connectivity for Mono
License:        LGPL-2.1
Group:          Development/Languages/Mono
Requires:       mono-core = %{version}
Requires:       mono-data = %{version}
Provides:       mono(System.Data.OracleClient) = 1.0.5000.0
Provides:       mono(System.Data.OracleClient) = 2.0.0.0

%description -n mono-data-oracle
The Mono Project is an open development initiative that is working to
develop an open source, Unix version of the .NET development platform.
Its objective is to enable Unix developers to build and deploy
cross-platform .NET applications. The project will implement various
technologies that have been submitted to the ECMA for standardization.

Database connectivity for Mono.

%files -n mono-data-oracle
%defattr(-, root, root)
%{_prefix}/lib/mono/4.5/System.Data.OracleClient.dll
%{_prefix}/lib/mono/gac/System.Data.OracleClient

%package -n mono-nunit
Summary:        NUnit Testing Framework
License:        LGPL-2.1
Group:          Development/Languages/Mono
Requires:       mono-core = %{version}

%description -n mono-nunit
NUnit is a unit-testing framework for all .Net languages.  Initially
ported from JUnit, the current release, version 2.2,  is the fourth
major release of this  Unit based unit testing tool for Microsoft .NET.
It is written entirely in C# and has been completely redesigned to
take advantage of many .NET language features, for example custom
attributes and other reflection related capabilities.

NUnit brings xUnit to all .NET languages.

%files -n mono-nunit
%defattr(-, root, root)
%{_libdir}/pkgconfig/mono-nunit.pc
%{_bindir}/nunit-console
%{_bindir}/nunit-console2
%{_bindir}/nunit-console4
%{_prefix}/lib/mono/4.5/nunit-console-runner.dll
%{_prefix}/lib/mono/4.5/nunit-console.exe*
%{_prefix}/lib/mono/4.5/nunit.core.dll
%{_prefix}/lib/mono/4.5/nunit.core.extensions.dll
%{_prefix}/lib/mono/4.5/nunit.core.interfaces.dll
%{_prefix}/lib/mono/4.5/nunit.framework.dll
%{_prefix}/lib/mono/4.5/nunit.framework.extensions.dll
%{_prefix}/lib/mono/4.5/nunit.mocks.dll
%{_prefix}/lib/mono/4.5/nunit.util.dll
%{_prefix}/lib/mono/gac/nunit-console-runner
%{_prefix}/lib/mono/gac/nunit.core
%{_prefix}/lib/mono/gac/nunit.core.extensions
%{_prefix}/lib/mono/gac/nunit.core.interfaces
%{_prefix}/lib/mono/gac/nunit.framework
%{_prefix}/lib/mono/gac/nunit.framework.extensions
%{_prefix}/lib/mono/gac/nunit.mocks
%{_prefix}/lib/mono/gac/nunit.util

%package -n mono-devel
Summary:        Mono development tools
License:        LGPL-2.1
Group:          Development/Languages/Mono
Requires:       libgdiplus-devel
Requires:       mono-core = %{version}
# Required because they are referenced by .pc files
Requires:       mono-data = %{version}
Requires:       mono-data-oracle = %{version}
Requires:       mono-extras = %{version}
Requires:       mono-web = %{version}
Requires:       mono-winforms = %{version}
Requires:       pkgconfig
Provides:       mono-xbuild = %{version}
# We build natively on ppc64 now
%ifarch ppc64
Provides:       mono-biarchcompat = %{version}
%endif
Provides:       mono(PEAPI) = 1.0.5000.0
Provides:       mono(PEAPI) = 2.0.0.0
Provides:       mono(resgen) = 1.0.5000.0
Provides:       mono(resgen) = 2.0.0.0
#following 5 lines needed for a temporary build fix. According to https://github.com/mono/mono/commit/1f4133a06f252ec1b78637dd91e49f50836cf570, we shoud fix individual packages that rely on incorrect dependencies
Provides:       mono(System.ServiceModel) = 3.0.0.0
Provides:       mono(System.Core) = 3.5.0.0
Provides:       mono(Mono.Posix) = 2.0.0.0
Provides:       mono(System.Transactions) = 2.0.0.0
Provides:       mono(System.Configuration.Install) = 2.0.0.0

%description -n mono-devel
The Mono Project is an open development initiative that is working to
develop an open source, Unix version of the .NET development platform.
Its objective is to enable Unix developers to build and deploy
cross-platform .NET applications. This package contains compilers and
other tools needed to develop .NET applications.

Mono development tools.

%post -n mono-devel -p /sbin/ldconfig

%postun -n mono-devel -p /sbin/ldconfig

%files -n mono-devel
%defattr(-, root, root)
%{_bindir}/caspol
%{_bindir}/ccrewrite
%{_bindir}/cccheck
%{_bindir}/cert2spc
%{_bindir}/dtd2rng
%{_bindir}/dtd2xsd
%{_bindir}/genxs
%{_bindir}/httpcfg
%{_bindir}/ilasm
%{_bindir}/installvst
%{_bindir}/lc
%{_bindir}/macpack
%{_bindir}/makecert
%{_bindir}/mdbrebase
%{_bindir}/mkbundle
%{_bindir}/mono-api-info
%{_bindir}/mono-api-html
%{_bindir}/mono-cil-strip
%{_bindir}/mono-find-provides
%{_bindir}/mono-find-requires
%{_bindir}/mono-heapviz
%{_bindir}/mono-shlib-cop
%{_bindir}/mono-symbolicate
%{_bindir}/mono-xmltool
%{_bindir}/monodis
%{_bindir}/monolinker
%{_bindir}/monop
%{_bindir}/monop2
%{_bindir}/mprof-report
%{_bindir}/pdb2mdb
%{_bindir}/pedump
%{_bindir}/permview
%{_bindir}/prj2make
%{_bindir}/resgen
%{_bindir}/resgen2
%{_bindir}/secutil
%{_bindir}/sgen
%{_bindir}/signcode
%{_bindir}/xbuild
%dir %{_datadir}/mono-2.0
%dir %{_datadir}/mono-2.0/mono
%dir %{_datadir}/mono-2.0/mono/cil
%dir %{_datadir}/mono-2.0/mono/profiler
%{_datadir}/mono-2.0/mono/cil/cil-opcodes.xml
%{_datadir}/mono-2.0/mono/profiler/mono-profiler-log.suppression
%{_libdir}/libmono-profiler-*.*
%{_libdir}/pkgconfig/cecil.pc
%{_libdir}/pkgconfig/dotnet.pc
%{_libdir}/pkgconfig/dotnet35.pc
%{_libdir}/pkgconfig/mono-cairo.pc
%{_libdir}/pkgconfig/mono-lineeditor.pc
%{_libdir}/pkgconfig/mono-options.pc
%{_libdir}/pkgconfig/mono.pc
%{_libdir}/pkgconfig/xbuild12.pc
%{_mandir}/man1/al.1%ext_man
%{_mandir}/man1/ccrewrite.1%ext_man
%{_mandir}/man1/cccheck.1%ext_man
%{_mandir}/man1/cert2spc.1%ext_man
%{_mandir}/man1/dtd2xsd.1%ext_man
%{_mandir}/man1/genxs.1%ext_man
%{_mandir}/man1/httpcfg.1%ext_man
%{_mandir}/man1/ilasm.1%ext_man
%{_mandir}/man1/lc.1%ext_man
%{_mandir}/man1/macpack.1%ext_man
%{_mandir}/man1/makecert.1%ext_man
%{_mandir}/man1/mkbundle.1%ext_man
%{_mandir}/man1/mono-api-info.1%ext_man
%{_mandir}/man1/mono-cil-strip.1%ext_man
%{_mandir}/man1/mono-shlib-cop.1%ext_man
%{_mandir}/man1/mono-symbolicate.1%ext_man
%{_mandir}/man1/mono-xmltool.1%ext_man
%{_mandir}/man1/monodis.1%ext_man
%{_mandir}/man1/monolinker.1%ext_man
%{_mandir}/man1/monop.1%ext_man
%{_mandir}/man1/mprof-report.1%ext_man
%{_mandir}/man1/pdb2mdb.1%ext_man
%{_mandir}/man1/permview.1%ext_man
%{_mandir}/man1/prj2make.1%ext_man
%{_mandir}/man1/resgen.1%ext_man
%{_mandir}/man1/secutil.1%ext_man
%{_mandir}/man1/sgen.1%ext_man
%{_mandir}/man1/signcode.1%ext_man
%{_mandir}/man1/xbuild.1%ext_man
%{_prefix}/lib/mono-source-libs
%{_prefix}/lib/mono/4.0
%{_prefix}/lib/mono/4.5-api
%{_prefix}/lib/mono/4.0-api
%{_prefix}/lib/mono/3.5-api
%{_prefix}/lib/mono/2.0-api
%{_prefix}/lib/mono/4.5/Microsoft.Build.dll
%{_prefix}/lib/mono/4.5/Microsoft.Build.Engine.dll
%{_prefix}/lib/mono/4.5/Microsoft.Build.Framework.dll
%{_prefix}/lib/mono/4.5/Microsoft.Build.Tasks.v4.0.dll
%{_prefix}/lib/mono/4.5/Microsoft.Build.Utilities.v4.0.dll
%{_prefix}/lib/mono/4.5/Mono.Debugger.Soft.dll
%{_prefix}/lib/mono/4.5/Mono.CodeContracts.dll
%{_prefix}/lib/mono/4.5/PEAPI.dll
%{_prefix}/lib/mono/4.5/caspol.exe*
%{_prefix}/lib/mono/4.5/cccheck.exe*
%{_prefix}/lib/mono/4.5/ccrewrite.exe*
%{_prefix}/lib/mono/4.5/cert2spc.exe*
%{_prefix}/lib/mono/4.5/dtd2rng.exe*
%{_prefix}/lib/mono/4.5/dtd2xsd.exe*
%{_prefix}/lib/mono/4.5/genxs.exe*
%{_prefix}/lib/mono/4.5/httpcfg.exe*
%{_prefix}/lib/mono/4.5/ictool.exe*
%{_prefix}/lib/mono/4.5/ilasm.exe*
%{_prefix}/lib/mono/4.5/installvst.exe*
%{_prefix}/lib/mono/4.5/lc.exe*
%{_prefix}/lib/mono/4.5/linkeranalyzer.exe*
%{_prefix}/lib/mono/4.5/macpack.exe*
%{_prefix}/lib/mono/4.5/makecert.exe*
%{_prefix}/lib/mono/4.5/mdbrebase.exe*
%{_prefix}/lib/mono/4.5/mkbundle.exe*
%{_prefix}/lib/mono/4.5/mono-api-info.exe*
%{_prefix}/lib/mono/4.5/mono-api-html.exe*
%{_prefix}/lib/mono/4.5/mono-cil-strip.exe*
%{_prefix}/lib/mono/4.5/mono-shlib-cop.exe*
%{_prefix}/lib/mono/4.5/mono-xmltool.exe*
%{_prefix}/lib/mono/4.5/monolinker.*
%{_prefix}/lib/mono/4.5/monop.exe*
%{_prefix}/lib/mono/4.5/pdb2mdb.exe*
%{_prefix}/lib/mono/4.5/permview.exe*
%{_prefix}/lib/mono/4.5/resgen.exe*
%{_prefix}/lib/mono/4.5/secutil.exe*
%{_prefix}/lib/mono/4.5/sgen.exe*
%{_prefix}/lib/mono/4.5/signcode.exe*
%{_prefix}/lib/mono/4.5/*symbolicate.exe*
%{_prefix}/lib/mono/4.5/xbuild.exe*
%{_prefix}/lib/mono/4.5/xbuild.rsp
%{_prefix}/lib/mono/4.5/MSBuild/
%{_prefix}/lib/mono/4.5/Microsoft.Build.xsd
%{_prefix}/lib/mono/4.5/Microsoft.CSharp.targets
%{_prefix}/lib/mono/4.5/Microsoft.Common.targets
%{_prefix}/lib/mono/4.5/Microsoft.Common.tasks
%{_prefix}/lib/mono/4.5/Microsoft.VisualBasic.targets
%{_prefix}/lib/mono/4.5/Mono.XBuild.Tasks.dll
%{_prefix}/lib/mono/gac/Microsoft.Build
%{_prefix}/lib/mono/gac/Microsoft.Build.Engine
%{_prefix}/lib/mono/gac/Microsoft.Build.Framework
%{_prefix}/lib/mono/gac/Microsoft.Build.Tasks.v4.0
%{_prefix}/lib/mono/gac/Microsoft.Build.Tasks.v12.0/
%{_prefix}/lib/mono/gac/Microsoft.Build.Tasks.Core/
%{_prefix}/lib/mono/gac/Microsoft.Build.Utilities.v4.0
%{_prefix}/lib/mono/gac/Microsoft.Build.Utilities.v12.0/
%{_prefix}/lib/mono/gac/Microsoft.Build.Utilities.Core/
%{_prefix}/lib/mono/gac/Mono.CodeContracts
%{_prefix}/lib/mono/gac/Mono.Debugger.Soft
%{_prefix}/lib/mono/gac/Mono.XBuild.Tasks/
%{_prefix}/lib/mono/gac/PEAPI
%{_prefix}/lib/mono/xbuild
%{_prefix}/lib/mono/xbuild-frameworks
%dir %{_libdir}/mono/
%{_libdir}/mono/lldb

%package -n mono-reactive
Summary:        Reactive Extensions
License:        Apache-2.0
Group:          Development/Languages/Mono
Requires:       mono-core = %{version}

%description -n mono-reactive
The Mono Project is an open development initiative that is working to
develop an open source, Unix version of the .NET development platform.
Its objective is to enable Unix developers to build and deploy
cross-platform .NET applications. The project will implement various
technologies that have been submitted to the ECMA for standardization.

Microsoft's Reactive Extensions.

%files -n mono-reactive
%defattr(-, root, root)
%{_libdir}/pkgconfig/reactive.pc
%{_prefix}/lib/mono/4.5/System.Reactive.Core.dll
%{_prefix}/lib/mono/4.5/System.Reactive.Debugger.dll
%{_prefix}/lib/mono/4.5/System.Reactive.Experimental.dll
%{_prefix}/lib/mono/4.5/System.Reactive.Interfaces.dll
%{_prefix}/lib/mono/4.5/System.Reactive.Linq.dll
%{_prefix}/lib/mono/4.5/System.Reactive.Observable.Aliases.dll
%{_prefix}/lib/mono/4.5/System.Reactive.PlatformServices.dll
%{_prefix}/lib/mono/4.5/System.Reactive.Providers.dll
%{_prefix}/lib/mono/4.5/System.Reactive.Runtime.Remoting.dll
%{_prefix}/lib/mono/4.5/System.Reactive.Windows.Forms.dll
%{_prefix}/lib/mono/4.5/System.Reactive.Windows.Threading.dll
%{_prefix}/lib/mono/gac/System.Reactive.Core/
%{_prefix}/lib/mono/gac/System.Reactive.Debugger/
%{_prefix}/lib/mono/gac/System.Reactive.Experimental/
%{_prefix}/lib/mono/gac/System.Reactive.Interfaces/
%{_prefix}/lib/mono/gac/System.Reactive.Linq/
%{_prefix}/lib/mono/gac/System.Reactive.Observable.Aliases/
%{_prefix}/lib/mono/gac/System.Reactive.PlatformServices/
%{_prefix}/lib/mono/gac/System.Reactive.Providers/
%{_prefix}/lib/mono/gac/System.Reactive.Runtime.Remoting/
%{_prefix}/lib/mono/gac/System.Reactive.Windows.Forms/
%{_prefix}/lib/mono/gac/System.Reactive.Windows.Threading/

%package -n monodoc-core
Summary:        Monodoc - Documentation tools for C# code
License:        LGPL-2.1
Group:          Development/Tools/Other
Requires:       mono-core = %{version}
# Added to uncompress and compare documentation used by build-compare
Requires:       unzip
Provides:       monodoc
Provides:       monodoc-devel

%description -n monodoc-core
Monodoc-core contains documentation tools for C#.

%files -n monodoc-core
%defattr(-, root, root)
%{_bindir}/mdassembler
%{_bindir}/mdoc
%{_bindir}/mdoc-assemble
%{_bindir}/mdoc-export-html
%{_bindir}/mdoc-export-msxdoc
%{_bindir}/mdoc-update
%{_bindir}/mdoc-validate
%{_bindir}/mdvalidater
%{_bindir}/mod
%{_bindir}/monodocer
%{_bindir}/monodocs2html
%{_bindir}/monodocs2slashdoc
%{_libdir}/pkgconfig/monodoc.pc
%{_mandir}/man1/mdassembler.1%ext_man
%{_mandir}/man1/mdoc-assemble.1%ext_man
%{_mandir}/man1/mdoc-export-html.1%ext_man
%{_mandir}/man1/mdoc-export-msxdoc.1%ext_man
%{_mandir}/man1/mdoc-update.1%ext_man
%{_mandir}/man1/mdoc-validate.1%ext_man
%{_mandir}/man1/mdoc.1%ext_man
%{_mandir}/man1/mdvalidater.1%ext_man
%{_mandir}/man1/monodocer.1%ext_man
%{_mandir}/man1/monodocs2html.1%ext_man
%{_mandir}/man5/mdoc.5%ext_man
%{_prefix}/lib/mono/4.5/mdoc.exe*
%{_prefix}/lib/mono/4.5/mod.exe*
%{_prefix}/lib/mono/gac/monodoc
%{_prefix}/lib/mono/monodoc
%{_prefix}/lib/monodoc

%package -n mono-complete
Summary:        Install everything built from the mono source tree
License:        LGPL-2.1
Group:          Development/Languages/Mono
Requires:       ibm-data-db2 = %{version}
Requires:       libmono-2_0-1 = %{version}
Requires:       libmono-2_0-devel = %{version}
Requires:       mono-core = %{version}
%if %llvm == yes
Requires:       libmono-llvm0 = %{version}
%endif
%if %sgen == yes
Requires:       libmonosgen-2_0-1 = %{version}
Requires:       libmonosgen-2_0-devel = %{version}
%endif
Requires:       libmonoboehm-2_0-1 = %{version}
Requires:       libmonoboehm-2_0-devel = %{version}
Requires:       mono-data = %{version}
Requires:       mono-data-oracle = %{version}
Requires:       mono-data-sqlite = %{version}
Requires:       mono-devel = %{version}
Requires:       mono-extras = %{version}
Requires:       mono-locale-extras = %{version}
Requires:       mono-mvc = %{version}
Requires:       mono-nunit = %{version}
Requires:       mono-reactive = %{version}
Requires:       mono-wcf = %{version}
Requires:       mono-web = %{version}
Requires:       mono-winforms = %{version}
Requires:       mono-winfxcore = %{version}
Requires:       monodoc-core = %{version}

%description -n mono-complete
The Mono Project is an open development initiative that is working to
develop an open source, Unix version of the .NET development platform.
Its objective is to enable Unix developers to build and deploy
cross-platform .NET applications. The project will implement various
technologies that have been submitted to the ECMA for standardization.

Install everything built from the mono source tree.  Note that this does
not install anything from outside the mono source (XSP, mono-basic, etc.).

%files -n mono-complete
%defattr(-, root, root)

%changelog
* Sun Oct  2 2016 mailaender@opensuse.org
- Update to version 4.6.1 (Bugfix release)
  * bxc#44402 - Array doesn’t implement non-generic IEnumerable
- Drop upstream applied bxc-44402.patch
* Tue Sep 27 2016 fwdsbs.to.11df@xoxy.net
- Update source tarball from 4.6.0.243 to v4.6.0.245
  * fixes in mcs/class/Microsoft.NuGet.Build.Tasks/Makefile
- added bxc-44402.patch: bxc#44402 - Array doesn’t implement non-generic IEnumerable. See https://bugzilla.xamarin.com/show_bug.cgi?id=44402 for more details
* Sat Sep 24 2016 mailaender@opensuse.org
- Update to version 4.6.0
  * bxc#4242 - JavaScriptSerializer should use invariant culture
  * bxc#5644 - Mono allows to access not accessible method
  * bxc#6057 - UdpClient IPv6 Receive throws ArgumentException
  * bxc#8554 - System.Net.NetworkInformation.Ping - SendPingAsync operation fails
  * bxc#10108 - mono_jit_cleanup asserts/aborts on shutdown if soft debugging
  * bxc#11699 - FileStream writing incorrectly (some internal position is wrong)
  * bxc#12205 - MethodInfo.ReflectedType returns declaring type for generic base classes
  * bxc#13538 - Extraneous lines in Application Output for Debug.WriteLine
  * bxc#13957 - Xamarin.Android Apps are crashing on dual core x86 Devices
  * bxc#18361 - FileInfo.MoveTo does not work with absolute paths
  * bxc#20186 - Another AOT bug
  * bxc#23206 - MS allows threadpool threads to be renamed multiple times
  * bxc#24974 - Exception occurs in __ComObject finalizer when shutting down process
  * bxc#27303 - NullReferenceException with ARMv7
  * bxc#29585 - Type.GetMethods returns generic method that cannot be specialized
  * bxc#29916 - System.Reflection.ParameterInfo.GetCustomAttributes always throws NullReference exception.
  * bxc#30686 - ZipArchive ctor throws InvalidDataException for WebConnectionStream
  * bxc#30821 - Compilation generates CS1701 warning
  * bxc#32020 - Don’t default to –with-tls=pthread on Solaris/x86
  * bxc#32315 - Inspecting a variable gives information from the incorrect symbol
  * bxc#32374 - WebRequest::BeginGetRequestStream incorrectly sets IAsyncResult::CompletedSynchronously to always true
  * bxc#32561 - Could not load file or assembly Microsoft.Build.Utilities
  * bxc#32768 - New bcl-tests crashing due to System.ObjectDisposedException: Cannot access a disposed object
  * bxc#33551 - System.Net.SmtpClient uses an invalid HELO name
  * bxc#33553 - System.IO.Compression.ZipArchive produces bad archive files
  * bxc#33809 - Exception with SignalR 2.2 and Mono 4.2.0
  * bxc#34133 - [iOS]System test failures on iOS devices with cycle6 build
  * bxc#34314 - libgdiplus.so without API suffix is referenced by System.Imaging
  * bxc#34413 - SOAP header within the SOAP envelope is not being serialized correctly
  * bxc#34498 - AOT task fails if project path has a space in it
  * bxc#34883 - bcl-test failure in PingTest.PingSuccess on Samsung Galaxy S3
  * bxc#34916 - GZipStream fails on iOS
  * bxc#35004 - Filename returned by LocalEndpoint of UnixListener has null characters appended to the end which causes the socket file to not be deleted when the UnixListener is disposed
  * bxc#35872 - Cultureinfo -> numinfo internal field is NonSerialized on Mono, but not on Windows
  * bxc#35876 - Incorrect return of DateTime.ToUniversalTime method for DateTime.MaxValue.
  * bxc#36080 - [Mono 4.2] “‘System.ServiceModel.EndpointAddress10’ does not have a static method ‘GetSchema’ that takes a parameter of type ‘System.Xml.Schema.XmlSchemaSet’” when using the Xamarin Mobile profile with some WCF client apps
  * bxc#36116 - Mono 4.2 generates incorrect “Reference.map”, causing “Could not find file ‘/TempConvert.wsdl’” when adding or updating a Web Reference in Xamarin Studio
  * bxc#36183 - Since upgrading to Xamarin Android 6 get error error MSB3733: Input file “obj\Android\Debug\android\AndroidManifest.xml” cannot be opened
  * bxc#36192 - Error binding Socket to Loopback
  * bxc#36388 - Application settings produce extra XML headers during saving
  * bxc#36401 - [XM 2.4] “System.Configuration.ConfigurationErrorsException: Failed to load configuration section for dataContractSerializer” when using ChannelFactory with the “Xamarin.Mac .NET 4.5 Framework”
  * bxc#36723 - [iOS][llvm/thumb] Linksdk “Linker_RuntimeWrappedException” test crash on iOS device with master build * Assertion at ../../../../../mono/mono/mini/aot-runtime.c:4733, condition `plt_entry’ not met
  * bxc#36786 - Dictionary constructed with StringComparer.OrdinalIgnoreCase malfunctions if culture is changed after adding values
  * bxc#36829 - XmlSerializer does not support subclasses when serializing sequences of items
  * bxc#36852 - Update to latest Xamarin.Android (6.0.0.34) causes random application crashes with no information
  * bxc#36988 - stderr is not redirected correctly
  * bxc#37116 - [iOS] Application.Current.Properties does not persist on iOS with Forms
  * bxc#37246 - [tvOS]System test failure on device
  * bxc#37414 - Environment.Is64BitOperatingSystem returns false on OS X
  * bxc#37582 - Latest master crashes when trying to set breakpoint on async anonymous method
  * bxc#37583 - MAJOR performance decrease between 4.0.5.1 and 4.2.1
  * bxc#37681 - Fails to parse negative integers with Hebrew region set
  * bxc#37695 - Delegate references an overridden method in derived class misbehaves when marshalled as a parameter to native C function.
  * bxc#37732 - [iOS] HttpWebRequestTest.NtlmAuthentication failed on iOS device with mono 4.3.2
  * bxc#37801 - C * bxc# 6: Compiler crashed with code: 1 - FATAL UNHANDLED EXCEPTION
  * bxc#37834 - GetFileAttributes does not return FileAttributes.ReadOnly for locked file on OSX
  * bxc#37848 - CultureInfo.GetCultureInfo(0) should throw ArgumentOutOfRangeException instead of CultureNotFoundException
  * bxc#37886 - mcs 4.2.2 generates bad IL when string-interpolating a dynamic object
  * bxc#37891 - System.Net.Configuration/SmtpSection.cs missing ‘deliveryFormat’
  * bxc#38012 - Using Task’s under memory pressure leads to unexpected crashes inside the TPL on iOS
  * bxc#38025 - The debugger now steps and breaks correctly when stepping into, over or out of a function which recursively calls itself.
  * bxc#38145 - [XI]watchOS unit test fails to build with MT5210: Native linking failed
  * bxc#38161 - instability/crash when using DateTime under cpu load
  * bxc#38222 - Mono crashes if accessing attribute from missing reference .dll
  * bxc#38223 - missing package in arm64 build
  * bxc#38250 - Stack Corruption in mono involving tailcalls (where code is fine on Windows)
  * bxc#38322 - HttpListenerRequest.IsLocal isn’t good enough
  * bxc#38331 - No longer able to run unit test project from command line via ‘mono nunit-console.exe’
  * bxc#38379 - Byte enums fail to compare correctly on 64 bit iOS devices when using the LLVM compiler
  * bxc#38382 - New bcltest failure in AsyncTaskMethodBuilderTest.CallContextFlow
  * bxc#38392 - Seeing new consistent test-bcl crash on new Marshmallow devices after switching to mono 4.3.2
  * bxc#38408 - Error disposing of Filestream when leaving using statement
  * bxc#38525 - kill -QUIT produces a very broken stacktrace
  * bxc#38553 - FileVersionInfo.ProductVersion is not populated from AssemblyVersion
  * bxc#38599 - Regression: SynchronizationContext.Current returns wrong value in delegate run by SynchronizationContext.Send.
  * bxc#38600 - mkbundle Doesn’t support assemblies with spaces in their names
  * bxc#38614 - Form creation fails when System.Windows.Forms.XplatUIWin32 was initialized from thread which is already finished
  * bxc#38638 - Getting build error “Error initializing task XmlPeek: Not registered task XmlPeek”
  * bxc#38666 - Review (and fix) uses of mono_msec_ticks
  * bxc#38703 - Linq.Expression when assigned from a lambda exression aren’t constructed correctly
  * bxc#38712 - Mono 4.3 Cryptography.ProtectedData fails to decrypt data from Mono 4.2
  * bxc#38796 - FileInfo.ToString misbehaving after MoveTo
  * bxc#38818 - linked apps with Java.Interop.dll crash on device
  * bxc#38825 - mono_image_open() does not check header anymore
  * bxc#38933 - CryptographicException from ProtectedData in multi-threaded execution
  * bxc#38992 - error CS1009: Unrecognized escape sequence ‘_’ in $@ String
  * bxc#39042 - appdomain-unload.exe sometimes hangs in CI
  * bxc#39077 - AppDomain.CurrentDomain.UnhandledException prevents exceptions in ThreadPool from crashing the application
  * bxc#39153 - return wrong value if async/await used in finally block
  * bxc#39200 - Console app crashes with 4.4.0, assertion
  * bxc#39266 - C * bxc#6 null conditional operator does not appear to work with async when using mono/xbuild
  * bxc#39279 - Thread pool sizes are incorrect on linux when processor affinity is set, which complicates running mono applications in docker containers
  * bxc#39282 - [System.IO.Compression] issues with ZipArchiveEntry streams
  * bxc#39305 - [iOS]Signal Current failure in mscorlib tests
  * bxc#39347 - Assertion when passing delegate of icall method to p/invoke
  * bxc#39420 - [iOS]mini test failures when Armv7s+LLVM is enabled in release config
  * bxc#39455 - Nameof operator doesn’t handle sub-expressions
  * bxc#39459 - Corrupted async result when returning new struct directly
  * bxc#39528 - [iOS] [Private] Assertion: should not be reached at tramp-arm64-gsharedvt.c:78
  * bxc#39568 - Unmanaged crash: icall.c:5484: Could not resolve type with token 01000008 assembly:System.IdentityModel, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089 type:System.IdentityModel.Tokens.IssuerTokenResolver member:
  * bxc#39569 - Validation of ETag by HttpHeaders.Add is too strict
  * bxc#39574 - Compilattion Error CS0842 thrown on Expression Body getter property with explicit StructLayout
  * bxc#39631 - PPDB support fails to load any pdb when verifier is involved
  * bxc#39644 - * Assertion at image.c:512, condition `image->heap_guid.size >= 16’ not met
  * bxc#39669 - When using XML configuration files, a broader set of configuration section types is now available, including System.Configuration.DictionarySectionHandler.
  * bxc#39715 - ppdb support causes crash at shutdown
  * bxc#39746 - Assertion at method-to-ir.c:11652 when using mono master/ca7b692f4 and nuget
  * bxc#39824 - Exceptions can now be serialized using SerializeObjectState.
  * bxc#39866 - Await + finally produces exe that causes InvalidProgramException on Windows
  * bxc#39911 - System.Reflection.Emit.DerivedType isn’t an IReflectableType so GetTypeInfo throws
  * bxc#40040 - * Assertion: should not be reached at mini.c:4403
  * bxc#40060 - System.TypeSpec.Parse cannot parse generics + anonymous type name
  * bxc#40088 - Call in lamda of static method with dynamic parameter fails in constructor argument
  * bxc#40108 - ConditionalWeakTable collects values when the key is kept alive as toggle-ref
  * bxc#40144 - checking for __sync_bool_compare_and_swap… no
  * bxc#40175 - Runtime crashes on ‘-v –version’
  * bxc#40187 - System.IO.Directory.CreateDirectory on Linux does not handle /.. in the path
  * bxc#40239 - SIGSEGV 27408 repro
  * bxc#40368 - Setting FileInfo.LastWriteTime has different results with mono32 and mono64
  * bxc#40462 - [ios] FileStreamTest.OpenCharDeviceRepeatedly(mscorlib) failure in ios device
  * bxc#40493 - Invalid IL when using ?. operator on a Func parameter in a generic function when T is unconstrained
  * bxc#40536 - Compiler crash when attaching an event of a templated delegate with wrong template type
  * bxc#40568 - Runtime crashing on System.Enum.GetValues on char enums with F * bxc#
  * bxc#40570 - [tvos]Crypto test failures (linksdk) due to secure channel fialure on AppleTV
  * bxc#40574 - [iOS	tvOS]SystemRuntimeSerialization test failure with master build
  * bxc#40603 - Mono can’t parse Date in DB wich is in format: “2016-02-04 10:39:11Z”
  * bxc#40624 - mscorlib tests fails on master
  * bxc#40643 - Process leaking handles leads to “too many open files”
  * bxc#40646 - Oid and FriendlyName for sha384
  * bxc#40697 - Some NumberFormat have wrong GroupSeparator
  * bxc#40758 - [Regression] Remoting instance is not proxied
  * bxc#40860 - MT2001 Could not link assemblies Value does not fall within the expected range
  * bxc#40886 - pdb is always prefered over mdb
  * bxc#40899 - InvalidCastException using AppleTLS
  * bxc#40916 - [System.IO.Compression] ZipArchive can create an ZipArchiveEntry that has a modified time of DateTime.MinValue
  * bxc#40945 - NREX when modifying project/solution properties
  * bxc#40953 - Bad performance using TypeBuilder
  * bxc#41035 - DataViewTest2.DataView_ListChangedEventTest occasionally fails with llvm+sgen
  * bxc#41052 - fsharp build from source fails
  * bxc#41128 - System.Text.Encoding.Default behaviour change
  * bxc#41171 - System.Drawing.Imaging.PngCodecTest.Bitmap2bit* tests fail on Linux ARM64
  * bxc#41224 - HttpClientHandler.UseProxy = false setting is ignored.
  * bxc#41264 - [iOS]System “Socket” tests fails on devices with System.ObjectDisposedException
  * bxc#41280 - System.MethodAccessException is thrown from wrong frame
  * bxc#41290 - Behavior change of ServicePointManager.ServerCertificateValidationCallback’s SslPolicyErrors result for untrusted CA certificates
  * bxc#41393 - [WatchOS 2] Incorrect calling convention for P/Invokes taking structures
  * bxc#41431 - [aot] Build fails due to ‘Sgen STW requires a working mono-context’ error
  * bxc#41492 - DateTimeOffset.ToLocalTime() throwing erroneous error
  * bxc#41509 - DLR crashes when trying to convert a object to null.
  * bxc#41530 - [iOS]TimerTest failing randomly on devices
  * bxc#41552 - HttpResponseMessage does not support multiple Links header entries
  * bxc#41564 - XmlSerializer duplicate key bug
  * bxc#41575 - A Method That Accepts a FormattableString Object Is Not Called
  * bxc#41602 - Compiler fails to recognize Indexer
  * bxc#41616 - Mono 4.4.0 crashes when using Socket.ConnectAsync to a unix domain socket if the path doesn’t exist
  * bxc#41644 - Shutdown deadlock for mono 4.5.1/master with Xamarin Studio
  * bxc#41667 - new DateTime().ToLocalTime() results in an exception
  * bxc#41671 - [iOS]HttpListenerRequestTest.HttpRequestIsLocal fails on deivce
  * bxc#41724 - [iOS]monotouch-test unified fails to build with error ambiguous call error
  * bxc#41747 - [iOS] System.Core test-watchOS crash on device
  * bxc#41775 - Zip version needed to extract not correct in System.IO.Compression
  * bxc#41782 - [Cycle 7] “System.Net.WebException: Error: NameResolutionFailure” when attempting web requests with certain raw IP addresses
  * bxc#41786 - Mono is broken when building with the macOS 10.12 SDK
  * bxc#41833 - [SGEN?] XS crashed. error: * Assertion at gc.c:867, condition `finalizer_thread_exited’ not met
  * bxc#41874 - Reflection throws AmbiguousMatchException when calling GetProperty on a class that inherits from a generic base class.
  * bxc#41897 - NotSupportedException thrown from IPInterfaceProperties.UnicastAddresses
  * bxc#41947 - [iOS]Could not AOT assembly error on building System.Numerics with Release config
  * bxc#41956 - [watchOS] [LLVM] Incorrect codegen/optimizations
  * bxc#41961 - [watchOS] [LLVM] Exceptions in Delegate.BeginInvoke callbacks are not handled on the threadpool thread, causing process to exit due to unhandled exception
  * bxc#41979 - CodeDom cannot call mcs because of invalid encoding configuration
  * bxc#42057 - error CS0121: The call is ambiguous
  * bxc#42169 - (managed_alloc) Fatal: Managed allocator missing for (mkbundle) in Mono 4.4.X
  * bxc#42191 - sdb deadlocks all the time while XS debugs XS
  * bxc#42198 - error CS0529: Inherited interface causes a cycle in the interface hierarchy.
  * bxc#42219 - [System.IO.Compression] Cannot create ZipArchive with duplicate entries with same name
  * bxc#42224 - Compiler crashed with code: 1, “Await yields with non-empty stack” from AssertEmptyStack ()
  * bxc#42274 - System.IO.Compression.ZipArchive vs System.Xml.XmlReader
  * bxc#42408 - WebClient.DownloadString returns 401 Unauthorized when using Basic authentication
  * bxc#42410 - String Interpolation available even when langversion < 6
  * bxc#42413 - Volatile fields don’t enforce acquire - release semantics like Volatile.Read() and Volatile.Write()
  * bxc#42584 - InternalError / Crash when using System.Net.Http and PCL library
  * bxc#42585 - Switch fall-through not rejected
  * bxc#42606 - [Regression] Compact seq point enabled by default causes 100%% CPU usage
  * bxc#42611 - wrong compiler error when using IEnumerable.Sum
  * bxc#42625 - coop: crash with watchos system tests
  * bxc#42688 - Can’t wait for more than 429496 ms (429s)
  * bxc#42702 - Unnecessary dependency checks
  * bxc#42750 - Deploying an iOS app to iPhone 6S crashes when a breakpoint is set
  * bxc#42864 - [Cycle 7] “System.Net.WebException: Error: NameResolutionFailure” on second web request to certain raw IP addresses with HttpClient
  * bxc#42887 - Encoding iso-8859-1 throws IndexOutOfRangeException for Unicode surrogate pairs
  * bxc#42938 - Can’t build netstandard PCL library with xbuild
  * bxc#43032 - System.Uri cannot parse url with underscore at start
  * bxc#43099 - [watchOS] Cannot enter GC safe region if the thread is not attached
  * bxc#43265 - Inconsistency in Compilation of Async Code Compared to MSFT Compilers
  * bxc#43291 - Runtime crash at reflection.c:mono_custom_attrs_construct_by_type while calling GetCustomAttributes for a proxy class
  * bxc#43357 - WCSessionReplyHandler crashes WatchKit app
  * bxc#43400 - “using static” dependent on compile order
  * bxc#43471 - pragma warning disable still shows warnings in “Errors” pad
  * bxc#43512 - TimeZoneInfo.ConvertTimeBySystemTimeZoneId ArgumentException
  * bxc#43636 - [Cycle 8] “Index was out of range. Must be non-negative and less than the size of the collection” in System.Collections.Generic.List1[T].set_Item()` when attempting to compile certain C * bxc# code involving tasks, async/await, and try/catch/finally
  * bxc#43645 - Items and properties not emitted for up to date targets
  * bxc#43718 - mcs crashes when unable to resolve type inside lambda using the ‘as’ operator
- drop libgdiplus0-un-devel.patch (included upstream)
* Fri Aug  5 2016 fwdsbs.to.11df@xoxy.net
- Update to mono 4.4.2.11, service release 4.4 SR1. Bugfixes since v4.4.1.0:
  * bxc#30686 - ZipArchive ctor throws InvalidDataException for WebConnectionStream
  * bxc#34498 - AOT task fails if project path has a space in it
  * bxc#39100 - ‘library not loaded’ error when using embedded mono
  * bxc#39282 - [System.IO.Compression] issues with ZipArchiveEntry streams
  * bxc#40916 - [System.IO.Compression] ZipArchive can create an ZipArchiveEntry that has a modified time of DateTime.MinValue
  * bxc#41264 - System “Socket” tests fails on devices with System.ObjectDisposedException
  * bxc#41290 - Behavior change of ServicePointManager.ServerCertificateValidationCallback’s SslPolicyErrors result for untrusted CA certificates
  * bxc#41530 - [iOS]TimerTest failing randomly on devices
  * bxc#41979 - CodeDom cannot call mcs because of invalid encoding configuration
  * bxc#42219 - [System.IO.Compression] Cannot create ZipArchive with duplicate entries with same name
  * bxc#42274 - System.IO.Compression.ZipArchive vs System.Xml.XmlReader
  * bxc#42688 - Can’t wait for more than 429496 ms (429s)
* Tue Jun 28 2016 fwdsbs.to.11df@xoxy.net
- Update to mono 4.4.1.0, service release 4.4 SR0. Bugfixes since v4.4.0.182:
  * bxc#41775 - Zip version needed to extract not correct in System.IO.Compression
  * bxc#41782 - [Cycle 7] "System.Net.WebException: Error: NameResolutionFailure" when attempting web requests with certain raw IP addresses
  * bxc#41874 - Reflection throws AmbiguousMatchException when calling GetProperty on a class that inherits from a generic base class.
* Sun Jun 12 2016 fwdsbs.to.11df@xoxy.net
- Added mono-config-fix-monoposixhelper-libdir.patch to fix incorrect substitution of $mono_libdir (only for libMonoPosixHelper.so) in mono config file:
  * Fix incorrect replacement of $mono_libdir in config file for libMonoPosixHelper native library, when system libdir (/usr/lib64 on x86_64 builds) differs from mono install dir (/usr/lib)
* Sat Jun 11 2016 fwdsbs.to.11df@xoxy.net
- Update to mono 4.4.0.182, new major release v4.4. Short changelog since v4.2:
  * Class Libraries now tracking .NET 4.6.1 APIs, folder structure is updated. Support for older APIs via reference assemblies
  * WCF: WebHttpBinding must use http scheme in case when SecurityMode == WebHttpSecurityMode.TransportCredentialOnly
  * Embedding API: mini_parse_debug_option allows embedders to set debug options programatically, without going through the MONO_DEBUG environment variable.
  * Unmanaged Thin Locks: improved performance for locks and thin locks in some cases, decrease in performance for the case of repetitive nesting of a lock
  * libmono now defaults to SGen
  * FullAOT: Generic Value Type Sharing improvements
  * Cooperative Mode for SGen GC by using MONO_ENABLE_COOP environment variable
  * Thread Priority Setting: Implement a SetPriority/GetPriority facility for real-time threads
  * Other improvements to garbage collector: concurrent capabilities, lock-free GC handles, performance and memory optimizations
  * Profiler: annotate GC roots, so the profiler can get better visibility into the nature of objects that keep objects alive
  * Threadpool: no longer using the sparse array for the threadpool, as for many thread it would slow down some operations
  * Debugger: the soft debugger now allows nested invocations to take place
  * PowerPC: the PowerPC backend has been updated to support big endian systems
  * C# Compiler: null operator (?.) has been implemented for dynamic expressions
  * Named events and semaphores: the support for sharing named events/semaphores etc. between processes (MONO_ENABLE_SHM) has been removed. Use Mono.Posix instead
  * Reflection: major upgrade to Reflection APIs for Roslyn support
  * Tools updated: csharp, mdoc, mkbundle, xbuild
  More information at: http://www.mono-project.com/docs/about-mono/releases/4.4.0
- Packaging changes:
  * spec file updated according to upstream srcrpm
  * removed upstreamed patches: mono-nunit-default-runtime-4.5.patch, strncat-process-c.patch, mono-un-revoke-fix-in-BNC-144655.patch
  * removed PPC patches: ppc_instruction_length_of_atomic_add_i4_is_28.patch, fix_atomic_add_i4_support_for_32bit_ppc.patch, basic_changes_powerpc_be.patch, ppc_add_monocontext_and_async_callback.patch, fix_passing_struct_parms_per_elf_abiv2.patch, update_elf_abiv2_testcases.patch, partial_sharing_false_4_powerpc.patch, fix_exception_when_reading_from_timezone_file.patch
  * fix incorrect requires for libmono-2_0-devel package: it should require libmonosgen-2_0-devel when building with %%{sgen} flag enabled, fix broken symlinks to libmonosgen lib
* Thu Jun  2 2016 fwdsbs.to.11df@xoxy.net
- added find-deps-fix.patch: remove libmono library check from mono-find-requires and mono-find-provides scrits to fix custom dependencies generator in other mono packages (that invoke this scripts directly)
- added missing provide-dependencies from /usr/lib/mono/4.5/Facades dir (that was removed at Nov 17 2015 changes)
- added System.Transactions and System.Configuration.Install provide-dependencies to mono-devel
* Sun Apr 17 2016 mailaender@opensuse.org
- update to 4.2.3.4 (service release), bugfixes:
  * bxc#36116 - [System.Web.Services] Unix paths fix
  * bxc#37079 - [jit] Fix the support for gshared types in mini_emit_initobj ()
  * bxc#37273 - [llvm] Disable support for nested clauses.
  * bxc#38012 - [sgen] Fix register scanning on ARM
  * bxc#37846 - [jit] Fix the reference type detection for Volatile:Read/Write ()
- remove outdated authors.patch as it was removed on purpose
  https://github.com/mono/mono/commit/b39e7e9d78938362417b2c966d204da60952c7b4
* Sun Jan 31 2016 mailaender@opensuse.org
- update to 4.2.2.30 (maintenance release) bug fixes:
  C# Compiler
  * bxc#33341 - Set null operator barrier between invocation instance and its arguments
  Class Libraries
  * bxc#35857 - [System.Data] Implement CommandBehavior.SequentialAccess support for GetValues method
  * bxc#28693 - [System] Remove arbitrary debugging limit from FileSystemWatcher on OSX
  * bxc#36003 - [corlib] Invalid DateTime format for Finnish and DateTime parser not supporting same separator for date and time (edit)
  * bxc#37171 - [System.Runtime.Serialization] XmlObjectSerializer: fix ISerializable
  * [System.Runtime.Serialization] Static serializer calls directly into internal APIs to fix 4.2.1
  * [corlib] Fix multicast delegate remove behavior
  * [corlib] Fix multicast Method property
  * [System.XML] Fix endless recursion in XmlCompiledTransform on mobile
  Runtime
  * bxc#35828 - [runtime] Fix Thread.CurrentThread in non-root appdomains by setting the tls slot in start_wrapper, otherwise Thread.CurrentThread would create a new Thread object so there would be two
  * bxc#20186 - [runtime] Make sure ptr-to-structure and structure-and-ptr wrappers are unique, this is needed by full aot
  * bxc#36292 - [jit] Avoid a verification error in gsharedvt code with ldarga + gshared types
  * bxc#36256 - [aot] Cache inflated methods loaded from aot images to avoid repeating an expensive search
  * bxc#35545 - [runtime] Implement native-to-managed marshalling of byref delegate arguments
  * bxc#36383 - [gsharedvt] Fix support for constrained calls on interfaces.
  * bxc#36566 - [jit] Increase the buffer size used by the dyncall data structures to 512.
  * threadpool] Fix get min and available threads icalls.
  * [verifier] Fix the verifiers to handle Roslyn style fixed blocks.
  Garbage Collector
  * Multiple fixes for rare crashes in sgen:
  * Fix marking of cards on 64bit
  * Don’t hardcode the nursery size in aot write barriers
  * Fix race between block allocation and concurrent sweep
  * Make sure we scan aligned memory regions
  Profiler
  * Avoid a crash at shutdown by installing the assembly unload hook for the ‘start_unload’ event instead of the ‘end_un
* Sat Jan 30 2016 dmueller@suse.com
- update to 4.2.1.124:
  * Bugfixes
* Sun Jan  3 2016 mailaender@opensuse.org
- add libgdiplus0-un-devel.patch to fix boo#944754
* Fri Dec 11 2015 normand@linux.vnet.ibm.com
- retrieve from upstream all ppc patches not yet in 4.2.1 tarball
  ppc_instruction_length_of_atomic_add_i4_is_28.patch
  fix_atomic_add_i4_support_for_32bit_ppc.patch
  basic_changes_powerpc_be.patch (already done yesterday)
  ppc_add_monocontext_and_async_callback.patch
  fix_passing_struct_parms_per_elf_abiv2.patch
  update_elf_abiv2_testcases.patch
  partial_sharing_false_4_powerpc.patch
  fix_exception_when_reading_from_timezone_file.patch
* Thu Dec 10 2015 normand@linux.vnet.ibm.com
- new basic_changes_powerpc_be.patch to build ppc64 archi
  and disable ppc build that still segfault.
* Tue Nov 17 2015 fwdsbs.to.11df@xoxy.net, martin.liska@suse.com
- Update to version 4.2.1.102:
  * More adoption of Microsoft's open source code
  * Support for PPDB debugging format
  * New threadpool implementation
  * Runtime optimizations
  * Extensive bug fixing (see http://www.mono-project.com/docs/about-mono/releases/4.2.0 for complete list)
- Temporary fixes for old incorrect dependencies. See this link for more details: https://github.com/mono/mono/commit/1f4133a06f252ec1b78637dd91e49f50836cf570
- Added authors.patch to fix missing authors file
- Added strncat-process-c.patch - fix insecure use of strncat at process.c:383 to fix OBS build
- Added mono-un-revoke-fix-in-BNC-144655.patch - fix BNC#144655
- Various packaging fixes
* Sun Nov 15 2015 fwdsbs.to.11df@xoxy.net
- Update to version 4.0.5.1, Bugfixes: #34345, #33585, #34470
* Fri Aug 28 2015 fwdsbs.to.11df@xoxy.net
- Update to version 4.0.4.1, Bugfixes: #31582, #30868, #28777, #30043, #31060, #30276, #30869
- Dropped mono-bug-28777.patch
* Sat Aug 22 2015 mailaender@opensuse.org
- Update to version 4.0.3.20, Bugfixes:
  * bxc#28600: Some LLVM artifacts are being written to the base project dir rather than obj/$Config/
  * bxc#26205: System.IO.Package.LoadRelationships throws null reference for some NuGet packages with PCLs generated on Windows
  * bxc#30868: ObjectDisposedException in mono 4.0.1.28, but not mono 3.12.1
  * bxc#31582: iOS -O=float32 fails for some operations on ARM7
  * bxc#30043: Disposing a FileSystemWatcher object causes ArgumentOutOfRangeException
  * bxc#31060: F# sprintf AOT bug happens still now
- Dropped unnecessary mono-3.x-keyboards.resources-cp_r.patch
* Thu Jun 25 2015 fwdsbs.to.11df@xoxy.net
- Update to version 4.0.2.5:
* Thu Jun 11 2015 fwdsbs.to.11df@xoxy.net
- Update to version 4.0.2.4:
* Thu May 28 2015 fwdsbs.to.11df@xoxy.net
- Update to version 4.0.1.44:
  * fixed bug: 30171
- Removed mono-bug-30171.patch (fix included in 4.0.1.44 release)
* Wed May 20 2015 fwdsbs.to.11df@xoxy.net
- Update to version 4.0.1.43:
  * fixed bugs: 29459, 29898, 29667, 28557, 29177, 28847, 28209, 26998, 29039 and more
  * fixes in mono profiler
- Add mono-bug-30171.patch to fix BinaryReader bug with Unicode encoding
- Removed amd64-tramp-size.patch (fix included in 4.0.1.43 release)
* Wed May 20 2015 idonmez@suse.com
- Add mono-bug-28777.patch to fix a DeflateStream bug, should fix
  KeePass problems
* Sat May  2 2015 mailaender@opensuse.org
- Update to version 4.0.1
  * Adoption of Microsoft’s open source code
  * C# 6.0
  * Floating point optimizations
  * Dropped support for the 2.0, 3.5 and 4.0 assemblies
  * Updated IKVM
  * Lighter Debugger overhead
  * Basic PowerPC64 LE support
- Drop patches included by upstream:
  * X509Certificate-workaround.patch
  * gc-64bit-portability-warning.patch
  * 0001-ppc64le-fixes.patch
- Drop mono-data-postgresql now maintained at www.npgsql.org
- Add amd64-tramp-size.patch
- Add gmcs redirect to still build legacy packages
* Tue Mar 24 2015 dvaleev@suse.com
- Don't run parallel build. It is too fragile
* Mon Mar 23 2015 dvaleev@suse.com
- Cleanup patch numbers
- Rebase ppc64 patches based on upstream (commits are 173eaf1dfaf,
  7e056cd346c, PR#1479) - 0001-ppc64le-fixes.patch bsc#923558
- drop mono-core-ppc64le-callreg.diff
- drop mono-core-ppc64le-swr11r12.diff
- mono-core-ppc64le.diff
* Tue Mar 17 2015 astieger@suse.com
- add CVE IDs for 3.12.1 bsc#921312 release
* Mon Mar 16 2015 dimstar@opensuse.org
- Add timezone requires: Ensure that DateTime functionality is
  given when installing mono-core (e.g. System.DateTime.get_Now()
  needs access to this information).
* Tue Mar 10 2015 mailaender@opensuse.org
- update to 3.12.1 - security hotfix bsc#921312
  * http://www.mono-project.com/news/2015/03/07/mono-tls-vulnerability/
    CVE-2015-2318 CVE-2015-2319 CVE-2015-2320
* Sat Feb 28 2015 mailaender@opensuse.org
- add X509Certificate-workaround.patch which fixes bxc#21298
* Sat Jan 24 2015 mailaender@opensuse.org
- update 3.12.0
  * Major performance and memory consumption improvements on SGen.
  * Improve the heuristic of the ThreadPool to maximize efficiency and minimize the number of Threads.
  * New cert-sync tool automatically syncs Mono’s certificate store  against the OS certificate store on Linux
  * X86 code now generate pushless code. This is faster on modern CPUs.
  * Multiple fixes in the profiler to make statistical sampling reliable and functional without kernel assisted sampling.
  * Mono users no longer need to run mozroots to get SSL working.
  * Switched to adaptative hill climbing for sizing the pool.
  * The supervisor thread now goes into deep sleep when no new jobs are submitted for a while. This should save power on targets running on batteries.
  * Reorganized how major heap blocks are manipulated for increased efficiency of the major collection.
  * Reduced memory consumption by better sizing of allocation buckets.
  * Switched to a simpler heuristics for major heap sizing that is more stable and avoid unexpected spikes.
  * Removed the parallel collector, it was an experimental feature that did not provide an effective speedup. It will be brought back in the future with a functioning design.
  * Removed the fixed heap configuration, it was an experimental feature that did not deliver enough of a performance improvement.
  * Avoid asserts on shutdown when the appdomain unload callbacks are called on the debugger thread during shutdown. Fixes bxc#24342.
  * Fix the calculation of the epilog size for EH info. Fixes bxc#24577.
  * Fix a class initialization race which happens if a class initializer initializes a got slot before it finishes running. Fixes bxc#23242.
  * Fix OP_LOCALLOC on arm so it correctly adjusts sp with the param area size even if the size is large. Fixes bxc#24221.
  * Disable the extension of i8/i16 arguments to i32 on arm64, since the ios calling convention passes them differently than i32. Fixes bxc#22800.
  * Use NULLIFY_INS () to nullify instructions and use MONO_INST_NEW to create phi node instructions to avoid asserts in the spill pass. Fixes bxc#24006.
  * Rewrite the way direct calls are made between llvm methods. Previously all calls were made to plt entries and the plt entry symbols were aliased to point to the corresponding method if the method was directly callable using the .set assembler directive. This doesn’t seem to work with newer LLVM/CLANG versions, so do this completely on the LLVM side using Value::replaceAllUsesWith (). Fixes bxc#23976.
  * Make process handles non-shared. Fixes bxc#23423.
  * Fix the return of vtypes containing a single fp member from pinvoke methods on OS X/x86. Fixes bxc#23813.
  * Fix an SRE assert. Fixes bxc#19039.
  * Implement 5dbf97e66057f8626c53fcea30f1988d6627e5a2 for calls made from NEWOBJ too. Fixes bxc#23557.
  * Make each CASTCLASS_CACHE patch unique by generating a unique identifier from the method index and an per-method counter. Fixes bxc#23478.
  * Disallow generic classes with explicit layout. Fixes bxc#23438.
  * Add an option to make debugger invokes virtual. Part of the fix for #23385.
  * Allow renaming of threadpool threads. Fixes bxc#23206.
  * Fix the unregistration of our exception handler on Windows. Fixes bxc#23221.
  * Make calls from gshared to gsharedvt sharable methods indirect since otherwise at runtime we might find an instantiation and we cannot patch the call, leading to performance problems. Fixes bxc#23021.
  * Allow the SIZEOF opcode in gsharedvt code if it doesn’t reference a gsharedvt type. Fixes bxc#22711.
  * Fix mono_marshal_free_ccw (). Fixes bxc#22414.
  * Fixes DbEnumerator current property to clone read data. Fixes bxc#24452
  * Allow sending of text data longer than 4000 characters by using a different column type. Fixes bxc#21172.
  * Implement MonoGenericClass:GetCustomAttributes () for created types. Fixes bxc#23769.
  * Improved BlockingCollection.AddAny. Fixes bxc#22775.
  * Implement KnownTypes for DataContractJsonSerializer. Fixes bxc#23058
  * HttpQSCollection.ToString now url encodes values. Fixes bxc#22557.
  * Call SetupRequestAsync only after ContentType changes. Fixes bxc19529.
  * Notify parent task when child task uses NotOnFaulted. Fixes bxc#23594
  * Use TZ transitions when AdjustementRules are ignored. Fixes bxc#23170.
  * Timespan ticks formatting rewrite. Fixes bxc#23376
  * Improved Json deserialization of floating-point numbers. When DataContractJsonSerializer was created from type object, deserialization of floating.point numbers was not possible. Fixes 21583.
  * Test Json deserialization of a floating-point number as object. Covers bxc#21583.
  * Rss20ItemFormatter.ReadFrom now sets Id when guid is PermaLink. Fixes bxc#23262.
  * fix bxc#23318 - XComment.ToString() accepts “invalid” values.
  * Uri made from UNIX path and RelativeOrAbsolute is now relative. Fixes bxc#22954.
  * UriParseComponents no longer decodes ‘@’ in UserInfo. Fixes bxc#23246.
  * Update en-NZ designators. Fixes bxc#22212
  * Update to my last fix for bxc#22129.
  * Copy out/ref parameters on async call; bxc#22129.
  * If not specified assume that array items are nullable. Fixes bxc#19012.
  * Added optional serialization based on ShouldSerialize{V}. SerializationCodeGenerator and XmlSerializationWriterInterpreter will no longer serialize an attribute named {V} if its object has a method named ShouldSerialize{V}() that returns false. {V}Specified now is also checked to be true before serializating the attribute even if it is a property that is not settable. Fixes bxc#1852.
  * GMT DateTimeOffset is now properly parsed. Fixes bxc#22851. GMT date formats set useutc to true, so now useutc is checked to init DateTimeOffset with a zero offset.
  * Improved CalendricalCalculations fixed_from_dmy methods. Fixes bxc#21930. In some cases fixed_from_dmy is used with the month parameter greater than the number of months of that year. Year is now incremented until month parameter is valid.
  * Enumerate all subdirectories including the first one. Fixes bxc#22857
  * Encode ContentDisposition name. Fixes bxc#18422
  * When needed serialized objects are now implicitly converted. Fixes bxc#20403.
  * Fix ClientWebSocket.ReceiveAsync() with small buffer;  bxc#22704.
  * Tokenize dash only in range values. Fixes bxc#22764
  * Added time format with only offset. Fixes bxc#22558.
  * fix bxc#6512 (by Mikkel Kruse Johnsen) - don’t deserialize GET parameters.
  * Added support for UriComponents.SerializationInfoString. Fixes bxc#21571.
  * Unify handling of default ctor and zero. Fixes bxc#22591
  * Make SendAsync state free to handle recursive calls. Fixes bxc#22724
  * Actually fix #22179 to allow concurrent requests.
  * DateTime.Parse now handles unlimited number of fractional digits. This change was made because .NET can parse ISO8601 format with an unlimited number of fractional digits. Fixes bxc#22417.
  * Added test ISO8601FractionalDigits. Covers #22417.
  * Delay reflection hit to actual execution point. Workarounds #22522
  * Update RequestMessage.RequestUri.AbsoluteUri after redirect. Fixes bxc#22383
  * Catch exceptions thrown by SerialPortStream.Dispose () when called from the finalizer. Fixes bxc#15514
  * KeyPairPersistence now tries to fix folder permissions. An exception is no longer thrown if the folder permissions can be fixed. Fixes bug bxc#19274.
  * A pointer-type may be used as the type of a volatile field. Fixes bxc#23770
  * Correctly identify constant switch section when value match is not section start. Fixes bxc#23475
  * Check for true/false user operators on unwrapped nullable type. Fixes bxc#23199
  * More tweaks to conditional tokenizer. Fixes bxc#23319
  * Populate inherited constraints member cache from types not only base types. Fixes bxc#23017
  * Fix removing incomplete generic types from eval cache. Fixes bxc#22393
  * Parsing of ternary expressions whose then condition is a lambda. Fixes bxc#22523
- add gc-64bit-portability-warning.patch
* Fri Nov  7 2014 meissner@suse.com
- libmono-2_0-1 has a hard dependency on libmonoboehm-2_0-1,
  require it bnc#904460
* Mon Oct 27 2014 i@marguerite.su
- fix build for factory x86_64
  * add mono-3.x-keyboards.resources-cp_r.patch
  * resources/keyboards.resources exists on x86_64, so cp won't work
    should add -r argument
- drop mono-core-target-4.0.patch
  * runtime 4.0 is no more, now mono-nunit should use 4.5
- add patch mono-nunit-default-runtime-4.5.patch
  * use runtime 4.5 for mono-nunit by default
* Sat Oct  4 2014 mailaender@opensuse.org
- Removed upstreamed mono-core-parallel-build.diff patch
- Updated to 3.10.0
  + Implemented System.IO.Compression.FileSystem.
  + Uri now implements the .NET 4.5 behavior, it can be reverted to the old behavior in the same way by setting the System.Uri::s_IriParsing static field to false.
  + Remove unnecessary locking from core metadata parsing functions.
  + Avoid cache thrashing of locals array when looping over enumerator.
  + Fix support for unaligned offsets in the store_membase_imm opcodes. bxc#23267.
  + Fix the lookup of nested types which have a namespace. bxc#21653.
  + Increase some opcode sizes. bxc#23026.
  + Always pass the imt arg to interface calls in gsharedvt methods. bxc#22624.
  + Store the epilog length in MonoArchEHJitInfo instead of encoding it in jinfo->unwind_desc, since the latter can overflow for methods with large epilogs. bxc#22685.
  + Add a mono_thread_detach_if_exiting () public api function which can be called by embedding code to detach the runtime if the code is running from a pthread dtor. bxc#21164.
  + Fix yet another native types problem. bxc#22053.
  + Fix the leaking of mach ports introduced by 98bbf8512aec0fa01b4426583280f6d231d22187. bxc#22068.
  + Add support for constrained calls with vtype return types in gsharedvt code. bxc#22109.
  + Fix the PLATFORM_GNU check so it works with gnueabi etc. as well. bxc#21520.
  + Don’t make runtime invoke signatures generic. bxc#21973.
  + Allow v8..v15 in unwind info on arm64. Fixes part of #21615.
  + Fix Process.PrivateMemorySize64 etc. on ios. bxc#21882.
  + Fix enum->int casts in gsharedvt code. bxc#21893.
  + Don’t assert when loading a generic methodspec with 0 arity. bxc#19097.
  + Avoid asserting when a cattr cannot be loaded. bxc#21653.
  + Avoid making generic calls from gsharedvt methods normally, go through the rgctx infrastructure instead. bxc#21677.
  + Fix Uri UserInfo parsing. Fixes 23246.
  + Update RequestMessage.RequestUri.AbsoluteUri after redirect. bxc#22383.
  + Fixes XContainer attempt to create a XNode from a null value. bxc#20151.
  + Changed XObject OnChanged and OnChanging to use Owner. When XObject.Owner is not a XElement XObject.Parent returns null and the owner would not be notified of changing and changed events. bxc#18772.
  + Process XslLiteralElements with only child attributes as empty ones. bxc#14751.
  + ‘finally’ protect ClientRuntimeChannel.Begin/EndProcess(). bxc#22179.
  + WebClient.OpenWrite() must get the response on close. bxc#10163.
  + Fix WebClient.UploadValuesTaskAsync(); bxc#20359.
  + Improve System.Security.Claims. bxc#22282.
  + Fixed serialization of XmlNode field with attribute XmlAnyElement. bxc#3211.
  + Handle String::Format with escaped closing }. bxc#22114
  + Add a missing check to TypeBuilder.CreateType (). bxc#22059.
  + Xml Serialization of Base class w/o a parameterless constructor. Removed validation code that did not allowed serialization of base classes without a parameterless constructor. bxc#6913.
  + Fixed XmlSerializer to handle attribute XmlSchemePrivider.IsAny. XmlSerializer no longer outputs a root element with class name when the class has the attribute   + XmlSchemeProvider and IsAny is true. bxc#11916
  + Test that DeflateStream.Read does read an empty stream. Covers #19313.
  + Reseting all private key values to null is required because a new import may not overwrite existing values. bxc#18482.
  + Handle quoted filename value. bxc#21960.
  + Dispose XmlReader using correct value. bxc#21771.
  + Don’t use `1 naming for compiler generated second level and deeper nested types. bxc#22893.
  + Extend missing type check to type lookups. bxc#20933.
  + Fix copy and paste error in constraints checker. bxc#22131.
  + Speed up nullable tokenizer. bxc#20195.
  + Coalescing operator if the lhs of a null is a integer type that is larger than the integer type on the rhs. bxc#22054.
  + Check for duplicate destructors. bxc#21983.
  + Switch statement with constant block at first label. bxc#21805.
  + Decimal constants modulo folding. bxc#21743.
  + Update codegen for boolean loads. bxc#21685.
  + Workaround for issues with CreateItem task where metadata are not generated due to up-to-data inputs. bxc#23022.
  + Add KeepDuplicates etc. to 4.0 as internal. bxc#20961.
* Sat Sep  6 2014 mailaender@opensuse.org
- Removed upstreamed ppc.patch
- Updated to 3.8.0
  + The JIT now better handle long remainers by powers of two, generating significantly better code.
  + Over 10x faster code is generated for delegates that only invoked once. C# features such as async and LINQ produces a lot of those delegates, so this improvement will impact everyone.
  + Improved alias analysis can now handle second order aliases and eliminate null checks.
  + The runtime now has a concurrently readable hashtable that can makes reflection heavy workloads significantly faster and more scalable.
  + Optimized one of the core data structures of the garbage collector should result in 5 to 10%% reduction in collection times.
  + Fix the leaking of mach ports introduced by 98bbf8512aec0fa01b4426583280f6d231d22187. bxc#22068
  + Fix Process.PrivateMemorySize64 etc. on ios. bxc#21882
  + Fix enum->int casts in gsharedvt code. bxc#21893
  + Avoid making generic calls from gsharedvt methods normally, go through the rgctx infrastructure instead. bxc#21677
  + Fix another native-types problem. Hopefully fixes #21670 and #21636
  + Use alias information to eliminate explicit null checks. bxc#21645
  + Initialize fields in MonoField:GetFieldOffset () if needed. Fixes part of #21604
  + Properly handle rethrow outside of catch blocks. bxc#20412
  + Disable runtime unit tests on linux, because it cannot be linked due to circular dependencies between libraries. bxc#21520
  + When parsing a method header, ensure we pass any available generic context. bxc#21388
  + Added new mono_domain_set_config function; used to fix ConfigurationErrorsException in bxc#10468
  + Only apply the maverick stack size hack to the main thread. bxc#10096
  + Don’t hardcode the temp dir to /tmp, use g_get_tmp_dir instead. bxc#20894
  + Explicit thread GC data around instead of relying on TLS storage. bxc#20360
  + Make WaitForPendingFinalizers () really wait for the finalizers added by a previous GC. bxc#20503
  + Fix the marshal7.cs test, longs can be aligned to 4 bytes on 32 bit linux, and the runtime no longer aligns structure sizes to 8 bytes. bxc#20788
  + Fix the popping of LMF frames during unwinding. bxc#20616
  + Fix the marshalling of ByValTStr types which have a size specified. bxc#20674
  + Fix the decoding of MonoJitInfo. bxc#16439
  + Make it possible to create views to magic zero size files such as /dev/zero. bxc#19460
  + Free static bound delegate wrappers of dynamic methods. bxc#19058
  + Don’t perform double accounting of offset for named memory segments. bxc#20591
  + Avoid joining attached threads. bxc#19343
  + Fix support for custom marshallers defined in other assemblies. bxc#20020
  + Fix a jit assertion on a class which contains an empty struct as a static field. bxc#20349
  + Applied patch from Kyle Edwards kyleedwardsny@gmail.com. Fix isinf () check with clang. bxc#20244
  + Fix constrained type unwrap for enum types. bxc#18371
  + Handle quoted filename value. bxc#21960
  + Correctly handle partial chunk sizes. bxc#20583
  + Tweak Dictionary initial capacity to be more conservative. bxc#21375
  + Handle closed-over-null delegates created with IL when using InvokeDynamic. bxc#21196
  + Fix a race in a Task test. bxc#20921
  + Contract the values array when decoding an array with a negative number and a trailer that evals to zero. bxc#20456
  + Fixes issue with expression columns and IsNull. bxc#20925
  + Array qsort without head allocation. bxc#20922
  + Enum::TryParse ignores leading whitespaces. bxc#20870
  + Fix disposing of DelegatingHandler. bxc#20818
  + Fix digest authentication (bug #18799)
  + Only recycle ServicePoints from the idle timer (fixes #19823)
  + Changed ConcurrentDictionary.Contains(KeyValuePair<TKey, TValue>) to also compare value. bxc#16990
  + Add System.ServiceModel.Security assembly. bxc#20108
  + Removed NET_2_1 conditional blocks from FileInfo. bxc#19862
  + Update codegen for boolean loads. bxc#21685
  + Effective base class can include inherited types. bxc#21390
  + Handle duplicate resume point registration. bxc#21387
  + Arguments can be empty when reporting missing params argument. bxc#21215
  + Flow analysis of moved arguments. bxc#20983
  + Run new initializer await checks only in async context. bxc#20614[system.data] Parse numeric expressions using invariant culture. bxc#20582
  + Reachability analysis should ignore local variables declarations. bxc#20603
  + Check for missing dependencies of container types. bxc#20382
  + Resolve event expression when testing left side expression. bxc#20493
  + Flow analysis of binary expressions not using logical operators. bxc#20515
  + Add 4.5.1 framework to MSBuild. bxc#20827
  + Parsing conditions with property references. bxc#20634
  + Implements property functions using constructor syntax. bxc#12999
  + Avoid clearning event requests if they reference an assembly which is unloaded. Instead, remove the assembly reference from the event request so it stays active. bxc#9924.
* Sat Aug 16 2014 mailaender@opensuse.org
- Rebased patches and submitted to upstream
- Removed ARM compatibility hacks https://github.com/mono/mono/pull/1211
  + mono-arm-cpuinfo-v5.patch
  + mono-arm-cpuinfo-v7.patch
  + mono-arm-vfp.patch
- Update to 3.6.0
  + Runtime performance counters have been integrated into the profiler allowing the performance counter information to be surfaced to profiling tools and in particular Xamarin’s upcoming profiler.
  + The profiler now produces backtraces for statistical mode. The profiler’s tracing mode now works on ARM.
  + The debugger now support line and column ranges. pdb2mdb supports it. Note: the rest of our toolchain still needs to be updated.
  + The debugger now supports changing the current line in the top frame.
  + Lots of bugfixes and performance improvements on the profiler.
  + The debugger now support reading simple properties without calling their getter, this is done by having a lightweight IL interpreter for small pieces of code. This allows more properties to be inspected while the process is completely stopped and without having to temporarily resume execution of the target to execute the property code.
  + Added buffered response mode to improve network efficiency on high latency links such as USB.
  + The GC bridge got a lot of performance work. There are now two new modes that can significantly improve some workloads.
  + Multiple http stack improvements: some leaks in the stack have been fixed, as well as solving some long-standing bugs involving asynchronous operations and proxies. We have introduced a more comprehensive test harness to ensure that those bugs do not surface again.
  + System.IO.Compression is now implemented
  + System.Security.Claims is now implemented. It resides in the System assembly (existed before in the Identity stack, but now we track the new home from the .NET 4.5 API).
  + Reworked locking to drop a hot lock in method lookup.
  + Use fine grained locking instead of a big hot lock.
  + Better hashing of some runtime internal items to avoid some corner-case slowdowns with generics.
  + The profiler is now able to produces backtraces in statistical mode.
  + Added periodical flushing that should help interactive users. This means that the profiling will send data over the profiling even if the application is not currently sending data (this is there to support the upcoming new profiler UI).
  + It now collects and reports performance counter information. See mprof-report’s man page.
  + Fixed the handling of the volatile. CIL prefix.
  + We now distribute IKVM’s ikdasm tool. This is a reliable disassembler that does not have the limitation of monodis of requiring a complete set of assemblies that are compatible to disassemble. This will disassemble even files that do not have their dependencies available.
  + Optimized EqualityComparer for more types.
  + Our msbuild implementation can now build Project K and Roslyn
  + Optimized EqualityComparer for more types.
  + [mcs] Flow analysis of nested binary expressions inside anonymous methods was missing on left/right reset.
  + [mcs] Fix betterness logic for default vs params parameters.
  + [mcs] Flow analysis of binary expressions not using logical operators.
  + [mcs] Emit unmanaged version info from AssemblyFileVersion.
  + [mcs] Fix expression tree conversion type for lifted enum equality comparisons.
  + [mcs] Report error when named argument for param parameter is given but not all formal parameters are provided.
  + [mcs] Unify reachable label lookup.
  + [mcs] Don’t release field address copy before it’s used.
  + [mcs] Fix error reporting propagation for loop statements.
  + [mcs] Emit better code for null coalescing operator with nullable return type.
  + [mcs] Add explicit array conversion involving type parameters.
  + Add System.ServiceModel.Security assembly.
  + [sdb] Avoid clearing event requests if they reference an assembly which is unloaded. Instead, remove the assembly reference from the event request so it stays active.
  + Rename configure.in -> configure.ac.
  + [System] Fix parsing of IPv6 addresses.
  + [Http] Cleanup chained async operations.
  + [corlib] Add Guid hex format parsing with whitespaces.
  + [System.Net.Http] Parsing productinfo like headers with missing version.
  + [System] Throw IOE in more cases when dealing with an invalid Process object.
  + [bcl] Fix Process.PrivateMemorySize64 on osx, we now return task_baic_info.resident_size.
  + Clean up the usage of FILETIME structures, avoid accessing them as gint64 since that would lead to alignment problems.
  + [sdb] Avoid stack overflows when a boxed vtype recursively references itself using fields.
  + [profiler] Filter more event types in mprof-report based on time.
  + [profiler] In mprof-report fix handling of the time filter when starting from 0.
  + [http] Convert string output data using BOM header when available.
  + [system.net.http] Fix encoding of Content-MD5. Based on patch by nberardi.
  + [sdb] Avoid placing implicit sequence points at offsets where the IL stack is empty when using symbol file based sequence points.
  + [eglib] Remove test-glib code, we don’t have to maintain compatibility with glib any more.
  + [corlib] Rethrow user not initialization exception when lazy initialization throws.
  + [mcs] Don’t report interface implementation errors for optional implementations.
  + [mcs] Include more unicode categories in parsing identifier part character.
  + [mcs] Emit null constant value for default parameters of generic types to indicate not missing value.
  + [mcs] Do type parameter conversion involving type parameters using dependency rules.
  + [mcs] Emit all method like members in same order as they appear in source code.
  + [mcs] Convert extended underlying enum constants to their underlying type.
  + [mcs] Don’t apply reference type is optimization for dynamic expressions.
  + [mcs] Inflate anonymymous method with correct type arguments when async this requires hoisting in parent type.
  + [mcs] Fix using type relationship check for type parameters.
  + [mcs] Caching of type argument types should not happen under error conditions.
  + [linq] Use hashtable lookup instead of linear scan for groupby keys.
  + [mcs] Private member can still have base members when in nested types.
  + [mcs] Make unused event warning reporting consistent to csc.
  + [mcs] Add parent storey reference only when this is not captured directly.
  + [mcs] Fix recursive resolving of crefs.
  + [mcs] Adding unit test for #18511
  + [mcs] Emit field initializer with expression tree in all user constructors.
  + [dlr] Emit correct code for convert of nullable types.
  + [runtime] Fix decoding of jagged arrays in custom attributes.
  + [runtime] Avoid calling mono_thread_current () in sgen_thread_detach (), since it can construct objects.
  + [runtime] Avoid passing commands to lldb using the python api, it doesn’t seem to work well in script files.
  + [runtime] Fix Process.TotalProcessorTime becoming negative.
  + [runtime] Clean up an #ifdef block
  + [jit] Make generic ctor calls made out of gsharedvt methods indirect, since they cannot be patched.
  + [jit] Fix rethrowing of exceptions in thumb mode.
  + [jit] Fix the lookup of the AOT version of Interlocked.Exchange in full-aot mode.
  + [jit] Fix an unreachable code part in mini_emit_memset ().
  + [llvm] Fix a few problems with longs on 32 bit platforms.
  + [runtime] Improve the hashing of MONO_TYPE_VAR/MONO_TYPE_MVAR.
  + [interpreter] Disable fast call invocation using methodinfo delegates due to aot limitation.
  + [runtime] Improve the hashing of MONO_TYPE_VAR/MONO_TYPE_MVAR.
  + [sgen] Restore hazard pointers in suspend signal handler.
  + [corlib] Fix extra await context switch when custom SynchronizationContext does not change.
  + [corlib] Add SortVersion.
  + [corlib] Make invariant NumberFormatter thread static too as it has internal static state.
  + [corlib] Filter out any right-to-left sign characters.
  + [corlib] Fix localized resource loading bug.
  + [corlib] Optimize EqualityComparer for common value types.
  + [system] Don’t terminate response reading on bad cookie value.
  + DataRowView indexer should not break on “completed” added rows (any rows other than the IsNew one). (BNC#595899)
  + [corlib] Defer TypeInfo instantiation logic in DefinedTypes.
  + [Mono.Security] Send all the certificates (except the root) from an SSL/TLS ‘Server certificate’ message (7.4.2 in RFC2246).
  + [System.Core] Don’t auto increment when trimming hashset.
  + [system.net.http] Close service-point slot on explicit dispose.
  + [Fix] System.Runtime.Caching.MemoryCache doesn’t honor SlidingExpiration.
  + [System.Xml.Linq] Fix XNamespace.GetName locking to not be racy.
  + [System.Net.Http] Incomplete byte ranges parsing.
  + [System.ServiceModel.Web] Fix JsonQueryStringConverter.ConvertValueToString to work when running on any culture.
  + System.Runtime.Caching.MemoryCache doesn’t order expirable items correctly.
  + ConcurrentQueue.TryPeek() is not thread safe.
  + System/PCL: Implement HttpWebRequest.SupportsCookieContainer, WebRequest.CreateHttp.
  + [interpreter] Implement simple quote expression.
  + mdbrebase: use File.Move instead of FileInfo.MoveTo.
  + Add unit test for BNC#497562
  + System.Runtime.MemoryCache.GetValues() throws LockRecursionException with expired items - GetValues() calls MemoryCacheContainer.GetEntry() which now gets an EnterUpgradeableReadLock needed by ExpireIfNeeded() - Added a test case.
  + [Sys.Data] Fix BNC#519648
  + [Sys.Data] Add unit tests for BNC#519648
  + [System.XML] Fix handling of space in XSL value-of elements.
  + [System.XML] Fix XSL node-set bug. bxc#18114
  + [System.XML] Fix handling of global variables in XSLs.
  + [System.XML] Do not reset document schema when reading an element.
  + Fix setter of TableLayoutPanel.LayoutSettings throws unwanted exception. Fixes BNC#497562
  + [MWF] Fix opacity of form.
  + [MWF] Fix ComboBox list to not display offscreen.
  + [MWF] Fix Screen.FromRectangle.
  + [MWF] Implement multi-display support on Linux.
  + [MWF] Clear currentCell before disposing.
  + [MWF] Unit test for DataGridView bug.
  + [MWF] Don’t try to remove non-child control.
  + [MWF] Add unit test for #19818
  + [MWF] Fix AutoSize behavior of FlowLayoutPanel.
  + [MWF] Fix crash from null control in ContainerControl.
  + [MWF] Fix TableLayoutPanel layout bug.
  + [MWF] Fix clipping of last line of dropdown.
  + [MWF] Release capture when clicking LinkLabel.
  + [MWF] Fix text position on buttons.
  + [MWF] Fix crash when setting Row.Height.
  + [MWF] Unit test for Row.Height/MinimumHeight bug.
  + [MWF] Fix size of text area on message box.
  + [MWF] Fix hang if clipboard source application closes down.
  + [Printing] Improve reported printer settings.
  + [Printing] Add unit test for BNC#602934
* Thu May 29 2014 sshaw@decriptor.com
- Refresh patches
- Update to 3.4.0
  * Revamped HttpWebRequest/ServicePoint stack
  - Should properly reuse connections.
  - Uses the specified idle times
  - NTLM support has been improved.
  - SSL/TLS operations on via async APIs are now
    implemented using async patterns internally
    to greatly alleviate Thread Pool abuse.
  * Network stack
  - Now allows developers to control which cipher
    suites to use with TLS/SSL.
  * ARM
  - Emit shorter floating point operations when possible
  - Hard float support: Mono now should work on Linux
    distributions which uses a hard float (armhf) ABI,
    like the Raspberry PI.
    Notes: Homogeneous floating point aggregates are not
    yet supported on armhf.
  * Documentation
  - Updated documentation stubs to the 4.5 .NET API.
  * mono-api-html
  - Now supports regular expressions when specifying
    members to ignore (e.g. mono-api-html -i 'INSCopying$')
* Mon Mar 10 2014 ro@suse.de
- rediff and reactivate ppc.patch
- port forward ppc64le fixes from matz:
- Add support for ppc64le, fix build warnings, the blocksize
  changes in mono-core-ppc64le.diff should also help ppc64 proper.
  Added patches:
  * mono-core-parallel-build.diff
  * mono-core-ppc64le-callreg.diff
  * mono-core-ppc64le-swr11r12.diff
  * mono-core-ppc64le.diff
- no valgrind on aarch64 and s390 (but on s390x)
* Sat Feb 22 2014 mailaender@opensuse.org
- Update to 3.2.8
  + On armhf, VFP scratch registers are now properly preserved across method calls.
  + A potential codegen bug on armhf for methods with lots of arguments has been fixed.
  + We now emit shorter floating point load/store sequences on armhf when possible.
  + Bugs surrounding alignment and mono_gc_bzero () / mono_gc_memmove () have been fixed.
  + A typo in the BigInteger.Cosh () implementation has been fixed.
  + Tuple<...> classes now implement ITuple and have a correct ITuple.ToString () implementation.
  + Bug #17589 has been fixed.
  + Bug #17558 has been fixed.
  + A stack alignment change that broke debugging on Android/x86 has been reverted (#17410).
  + Bug #17201 has been fixed.
  + The AOT compiler now adds types for method headers for gshared methods.
  + Bug #17632 has been fixed.
  + The DISABLE_JIT build has been fixed.
  + Bug #4510 has been fixed.
  + A potential crash in mono_method_desc_full_match () has been fixed.
  + Various build system fixes so that make dist works again.
- Changes from 3.2.7
  + [jit] Fix the handling of OP_ISUB_IMM in abcrem.
  + [jit] Improve ABCREM on 64-bits architectures
  + [jit] Implement the delegate ctor optimization in AOT mode too.
  + [jit] Some work towards a win64 port.
  + [jit] Use vectorized exception handling on windows.
  + [jit] Initial support for the hardfp ABI on ARM.
  + [jit] Add beginnings of a mach image writer for use with xdebug.
  + [jit] Implement proper TLS offset translation on mach based kernels.
  + [jit] Add a simple loop invariant loop motion pass for use with LLVM, which moves loop invariant instructions out of loop headers into the preceeding bblock.
  + [jit] Avoid linking the try block with the EH block as this produces spurious BBs during inlining.
  + [jit] The AggressiveInlining hint now triggers class initialization so more stuff gets force-inlined.
  + [jit] Add an alias analysis pass to the JIT.
  + [jit] ARM can dynamically switch between modes.
  + [jit] Atomics and hardware fences revamped and improved.
  + [jit] Add 64bits atomics on 32bits systems , this makes PLINQ significantly faster on multicore systems.
  + [llvm] Implement support for OP_TLS_GET_REG on osx/amd64.
  + [llvm] Update list of optimizations passed to 'opt'.
  + [runtime] Scalability work: reduce usage of the loader lock
  + [runtime] Removed the old debugger from the runtime.
  + [runtime] socket-io: make it possible to specify an interface index as a MulticastInterface SocketOption on linux.
  + [runtime] Don't expand variant generic interfaces on arrays.
  + [runtime] Implemented g_win32_getlocale function to return correct locale.
  + [runtime] Revamped hardware caps detection.
  + [runtime] Add LLDB support to mono_gdb_render_native_backtraces () on POSIX.
  + [runtime] Promote the reference queue API to the public.
  + [runtime] Provide more public API to inspect MonoTypes, MonoClasses and MonoMethodSignatures.
  + [runtime] Improving the retrieval of the user's locale on Apple systems.
  + [runtime] Async stack walking with AOT
  + [sdb] Allow users to specify a suspension policy when enabling an event
  + [sdb] Add async variants to the InvokeMethod methods.
  + [sdb] Support a setpgid=y/n option to --debugger-agent.
  + [sdb] Emit better debugger attribute for stepping over state machine initialization
  + [sgen] Reverse the free-list after sweeping to be in address-order.
  + [sgen] Only enqueue LOS objects if they contain references.
  + [sgen] Use gcc bitcount intrinsics where appropriate.
  + [corlib] Implementation of System.Reflection.ParameterInfo.HasDefaultValue
  + [corlib] Implemented System.Threading.Monitor.IsEntered
  + [corlib] LogicalSet/GetData implementation in CallContext
  + [corlib] Implement CultureInfo.DefaultThreadCurrentUICulture.
  + [corlib] Implement CultureInfo.DefaultThreadCurrentCulture.
  + [corlib] Add 'System.Runtime.InteropServices.WindowsRuntime.EventRegistrationToken' stub.
  + [Mono.Options] Improve error message for badly bundled args.
  + [pcl] Add new 'System.Runtime.InteropServices.WindowsRuntime' Facade Assembly.
  + [rx] Updated Rx to 2.2 release.
  + [System] Add IsIPv6Teredo to System.Net.IpAddress
  + [System] Add more of System.ComponentModel to MOBILE profile.
  + [System.Core] Update MonoTouch System.Linq.Expression to be 4.5 compatible
  + [System.Core] Add dynamic interpreter
  + [System.Core] Support IReadOnlyList in System.Linq.Enumerable.ElementAt and ElementAtOrDefault
  + [classlib] Introduce the mobile_static build.
  + [classlib] Add OrderedDictionary to the mobile profile.
  + [mcs] Suport recursive references of non-FX assemblies
  + [mcs] Implements definite assignment of expressions
  + [linker] Allow overriding MarkCustomAttribute and expose the MarkDefaultConstructor feature to subclasses
  + [xbuild] Initial MSBuild 12.0 support.
  + [xbuild] Improved xbuild diagnostics.
  + [xbuild] implement "skip target due to previous success" feature.
  + [xbuild] Add xbuild support for BuildManager
  + [Microsoft.Build.Engine] Fix the escaping/unescaping of FullPath metadata
  + Properly compare assembly versions when performing binding. bxc#17368.
  + [sdb] Fix setting of byref variables in registers. bxc#17185.
  + [System.Net.Http] Add parsing of multi-value strings. bxc#17132
  + [io-layer] Properly check write permission of a file. bxc#3501.
  +  Don't raise an exception if we can't find the src assembly on a shadow copy appdomain
  + [corlib] Update en-GB first day of week. bxc#17151
  + [mcs] Check type of index used in pointer array aritmetic. bxc#17145
  + [runtime] Fix large file support on android, it doesn't support -D_FILE_OFFSET_BITS=64, so call lseek64 directly. bxc#17128.
  + Fix bug #11335.
  + Fix bug #11336.
  + [io-layer] Correctly implement permission checking for File.Move. bxc#17009.
  + The old check was simply for open sharing status, which is incorrect. The right thing to do is to check for FileShare.Delete and not FileAccess.
  + [jit] Fix some checks in the arm dyn call code. bxc#17101.
  + BXC14584 - Console windows pop up during build with mono runtime
  + [PCL]: Add ReadOnlyDictionary type-forwarder for XI. bxc#16951.
  + [corlib] Mark all promise-style task exceptions observed. bxc#17015
  + [mcs] Emit Debuggable attribute. bxc#16924
  + [mcs] Method group caching needs to consider type arguments as well. bxc#17059
  + [jit] Save/restore all-callee saved registers in methods using some atomic opcodes on x86, since the opcode implementations use these registers, and the push/pop code used by these opcodes is not async safe, since the unwind code doesn't know about it. Fixes part of #16808.
  + [runtime] Fix yet another metadata problem with dynamically created types. bxc#14977.
  + [jit] Emit calls to class init trampolines for fields accesses inside inline methods in AOT mode. bxc#16461.
  + [runtime] Avoid RuntimeHelpers.EnsureSufficientExecutionStack () failing on windows. Works around #16776.
  + [runtime] Call mono_class_setup_methods () before accessing klass->method.count. bxc#16883.
  + [corlib] Update datetime patters. bxc#17044
  + [mcs] Better check for value type base call. bxc#16806
  + [mcs] Await flow analysis uses resolved expression. bxc#16840
  + [gsharedvt] Avoid using the variable size code paths for non-variable size types with some array opcodes. bxc#17023.
  + [jit] Avoid nullifying class init trampolines for recursive calls to class initializers. bxc#16489
  + [WindowsBase] Implement GroupDescription based on moonlight implementation
  + Remove usage of mini_replace_type () from mono_jit_runtime_invoke (), runtime invokes care about the precise types of parameters. bxc#16830.
  + [aot] Sanitize utf8 characters in symbol names. bxc#16851.
  + Fix for PkgConfig cache orphaned entries bug (xam bug #11133)
  + [mcs] Don't wrap reference type values in explicit nullable conversion. bxc#16900
  + [mcs] Restore async modifiers context after nested enums declaration. bxc#16997
  + [corlib] Promise style tasks cannot be started manually. bxc#16857
  + [corlib] Thread.GetNamedDataSlot allocates slot on failure. bxc#16788
  + Use LIFO policy for CancellationTokenSource bxc#16992
  + Fix CancellationTokenSourceTest.ReEntrantRegistrationTest
  + Make tuple hash function consistent with the F# implementation
  + Don't call CFNetworkCopyProxiesForAutoConfigurationScript from more than one thread. bxc#7923, comment 21.
  + Check for null item in BindingList<T>.InsertItem. bxc#16902
  + Do not assume the first certificate of a PKCS12 file is the one matching the key (even if it's the most common way).
  + [System] Change S.N.S.NetworkStream's param name on ctor #16832
  + [System] When starting a process with UseShellExecute=true, don't return a process. bxc#16119
  + [io-layer] On OSX don't pass -W to open as we don't care for it waiting.
  + [runtime] A thread without a domain set cannot be running managed code. bxc#16794.
  + [aot] Give the compilation unit entries in the DWARF debug info different names, the osx tools seem to need this (#15202).
  + [aot] Add runtime wrappers for methods of generic classes and generic methods. bxc#16747.
  + [gsharedvt] Add a wrapper to the mono_gsharedvt_constrained_call () icall, since it calls mono_runtime_invoke () which can throw exceptions. bxc#16439.
  + [jit] Fix TLS+AOT support in the monitor enter/exit trampolines.
  + [jit] Fix memory leaks in get_gsharedvt_type (). bxc#16787.
  + [corlib] Mark ConcurrentDictionary serializable. bxc#16730
  + [bcl] When finalizing a Process object, don't touch the streams as they are finalized on their own. bxc#10883.
  + [mcs] Clone labeled statements cache in probing mode. bxc#16376
  + [jit]Emit explicit float rounding on amd64. bxc#15987
  + [mcs] Update populated member cache of dynamic containers manually for additional entries. bxc#16659
  + [mcs] Show correct #line location for files in other than current location referenced as relative files. bxc#16576
  + [system] Redirect of put requests was converted to get. bxc#16670
  + [corlib] Multiple fixes to TPL.
  + [Bug 14664] LogicalSet/GetData implementation in CallContext
  + [sgen]Fix a deadlock when the GC try to free a JI during world restart. bxc#15759
  + [bcl] Invoke assembly resolve hooks even if the assembly name has a parse error. bxc#16487.
  + [corlib] Optimize one string Join<T> overload. bxc#16647
  + [bcl] Handle BigInt -> long conversions that should overflow but dont. bxc#16526
  + [System.Net.Http] Don't throw on invalid input in TryGetValues. bxc#16634
  + [mcs] Don't stop type inference when a unique construction of the generic interface cannot be found. bxc#16567
  + [mcs] Add better type conversion to unary mutators. bxc#16578
  + [corlib] Implement task awaiters running on custom task scheduler. bxc#16587
  + [corlib] Better conversion betwen system locale and CultureInfo. bxc#15875
  + [xbuild]: Check a <Target>'s "Returns" first, then fall-back to "Outputs".
  + [xbuild]: Allow expressions inside a dynamic <ItemGroup>'s metadata. bxc#14661.
  + [sgen] Never invoke libc’s memmove() or bzero(). bxc#16449
  + [mcs] Report nice error instead of crash for cyclic type forwarders. bxc#16385
  + [mcs] Report all failure errors in lambda conversions. bxc#16513
  + [xbuild]: Implement task batching for properties; fixes #16403.
  + [linq] Enumerable.Join and GroupJoin needs to ignore null keys. bxc#16530
  + [corlib] DebuggerTypeProxyAttribute.ProxyName needs to return an assembly qualified type name. bxc#16527
  + [jit] Implement double->uintptr conversions on 64 bit platforms. bxc#16529.
  + [sdb] Fix step-over with recursive functions. bxc#5700.
  + [corlib] Consider all unicode separators in ToTitleCase. bxc#16365
  + [corlib] Set initialized List<T> capacity to match input enumeration. bxc#16318
  + [mcs] Report ambiguity in attribute types in expanded mode. bxc#16342
  + [mcs] Emit this initializer for structs. bxc#16430
  + [sgen] Implement our own qsort() so as not do deadlock. #16432
  + [mcs] Dynamically calculate size of flow-analysis bitset. bxc#4210
  + [Bug 16334] Fix ConcurrentBag.TryTake and TryPeek
  + [Bug 16267] SemaphoreSlim.Wait fix when no timeout
  + [runtime] Avoid caching member_ref tokens of dynamic images. bxc#16096
  + Fix the `nop` opcode on some MIPS-based Loongson CPUs. https://sourceware.org/ml/binutils/2009-11/msg00387.html
  + [Bug 16186] SqlCommand.BeginExecuteInternal fix
  + [sdb] Add an ExitCode property to VMDeathEvent. bxc#16113.
  + [aot] Increase a buffer size to avoid an assert. bxc#16239.
  + [runtime]Type parsing of generics should not rely on the presence of a backtick. bxc#15124.
  + [mcs] Assignment to value type readonly generated variables needs to check all member access expressions. bxc#15832
  + [mcs] Missing type forwarded types should not cause type collision. bxc#16196
  + [linker] Do not import something that is not marked when sweeping type references (otherwise we might re-intoduce dependencies we're not including or need)   + [#16213]
  + Always show error message when type resolver produces ambiguous type. bxc#16115
  + Setting ReceiveBufferSize & SendBufferSize on Socket (Bug 16021 & Bug 12754)
  + [sle] Enable char equality comparison. bxc#15582
  + Update currency separators. bxc#15425
  + Extract CurrencyDecimalDigits using currency and not territory info. bxc#15895
  + [jit] Use unsigned comparisons with the IMT thunks as they can live in high memory addresses.
  + Task.WhenAllCore<T> now handles empty argument list correctly. bxc#15956
  + TimeZone.GetUtcOffset should use Standard UTC offsets for the period when daylight savings ends.
  + [runtime] Preserve the call chain in mono_arch_setup_async_callback () on amd64 to prevent crashes in the libgcc unwinder (#15969).
  + Return empty result array when calling Task.WhenAllCore<T> with empty argument list. bxc#15956
  + [runtime] Fix stack size detection on osx mavericks. bxc#15890.
  + [runtime]Split thread unregistration in two steps, one with no locks, one with locks taken. bxc#15916.
  + [runtime] Handle unaligned access in all interlocked icalls. bxc#15925.
  + [sdb] Implement support for DebuggerStepThrough attribute. bxc#15139.
  + [System] Avoid an NRE when Close() and Write() are concurrent. #15857
  + [sdb] Fix an assertion if a single step breakpoint is hit in a thread other than the thread the single stepping is done on. bxc#14950.
  + [Mono.Debugger.Soft] Implemented inheritance for TypeMirror.GetCustomAttributes() Fixes bug #15320
  + [runtime] Fix an assertion in mono_arch_context_get_int_reg () on amd64. bxc#15786.
  + When parsing documentation cref text turn on error probing for tokenizer as well. bxc#15511
  + Better error message when member does not implement interface. bxc#15369
  + Variables from diffent parameter block still need to be captures even if async block has no await. bxc#15719
  + The stripper does not care if some variables can't be referenced (they'll be removed) and new cecil has a similar fix bxc#15727]
  + Update lower/upper type inference fixing to match the latest C# standard. bxc#15505
  + Enum subtraction quirk needs to work with numeric constants only. bxc#15520
  + When looking for base implementation of generic MVAR methods use non-inflated parameter types. bxc#15523
  + [sdb] Add an IncludeSubclasses property to ExceptionEventRequest, to control whenever to include subclasses of the exception type. bxc#15541
  + Fix condition (for MOBILE) that excluded System.Xml.Schema/Extensions.cs. Removed the condition since every profile we now support includes this   + [#15552]
  + Fill out AssemblyName.ProcessorArchitecture for assemblies. bxc#15347.
  + Better check for open generic types in probing expression. bxc#15422
  + Fixes too early optimization of binary &&/& bool constants. Fixes part of #15392
  + [sgen] Don't crash on nurseries of 512M or larger.
  + [aot] Only use an AOT shortcut in the trampoline code if its safe to do so. bxc#15345.
  + [xdebug] Avoid using a MonoDebugMethodJitInfo structure after it has been freed. bxc#15090.
  + bxc#13642: MacNetworkChange: implement using managed code
  + Compound assignment of optimized binary constant needs to decompose it first. bxc#15315
  + Ensure that CodeDom generated temporary directory is always created. bxc#12202
  + Process/compare/output method's generic parameters   + [#15311]
  + Enum IConvertible can convert to same enum or System.Enum. bxc#15289
  + Release continuation ancestor before running. bxc#15036
  + Adds async type inference of void return type. bxc#15238
  + Make Task.Delay more reliable. bxc#14585
  + Fallback to $LANG if $LC_ALL isn't set. 15214
  + Cache only resolved types not expression to report correct error location. bxc#15035
  + Better check for instance equality of generic types. bxc#15100
  + Support deserializing relative Uris. bxc#15169.
  + Relax name check when deserializing a WindowsIdentity instance as the name can be empty (e.g. iOS7 simulator will hide the user name)   + [#12789]
  + Anonymous method with this access inside an iterator needs to initialize captured this field from iterator's copy. bxc#14926
  + [sdb] Fix decoding of nested structs. bxc#14942.
  + There was another escape sequence 1B 24 40 to indicate "old" JIS. Fix bug #14951
  + Don't crash when reporting invalid named argument name. bxc#14962
  + [MSBuild] Fix the ${level} and ${number} capture. Fixes: https://bugzilla.xamarin.com/show_bug.cgi?id=14767
  + Better checks for inaccessible member used via dynamic proxy. bxc#14762
  + Initialize cookie container for default requests. bxc#14783
  + Check modifying members of readonly value-type field. bxc#14802
  + Make sure we properly account for transitive liveness when processing bridge objects. bxc#13858
  + Implements content loading cancellation. bxc#13200
  + Fixed TaskFactory::ContinueWhenAny with func result. bxc#14839
  + [sgen] Use __builtin_ctzl () in OBJ_BITMAP_FOREACH_PTR () on 64 bit platforms. bxc#14834.
  + AggregateException::GetBaseException uses only 1-based inner exceptions. bxc#14824
  + [FIX] Bug 267: wsdl fails with "Argument is out of range."
  + [System.Web] Do not crash on duplicate keys in browser capabilities #14720 #13014
  + [System.Net] Fix CFNetworkCopyProxiesForAutoConfigurationScript signature. bxc#7923.
  + [runtime] Fix a bug in the local register allocator when an fp vreg wasn't clobbered by a call if its href happened to be equal to the hreg of the call instruction. bxc#12510.
  + Fix: bug https://bugzilla.xamarin.com/show_bug.cgi?id=14811 (to be reviewed)
  + [sdb] Add an implicit seq point after every nonvoid call and make step over skip them. bxc#10782.
  + [runtime] Make mono_install_handler_block_guard () async-safe. bxc#14073.
  + Don't crash when unreachable code contains unreachable constant switch. bxc#14587
  + Unify Array/List FindIndex/FindLastIndex handling and argument checking. bxc#14632
  + [bcl] Fix BlockingCollection.TakeFromAny to handle when no items are available on the first collection. bxc#6095.
  + Fix Bug 4811, xbuild should find xml documentation
  + [jit] Make ABCREM really remove bounds checks, not just when running with -v -v -v -v.
  + [llvm] Use i64*/i32* as the LLVM type of objrefs instead of i64/i32, the basicaa LLVM pass cannot see through the inttoptr casts we were emitting before loads.
  + [llvm] Make some types more precise to decrease the number of int<->ptr conversions generated.
* Sun Jan 26 2014 mailaender@opensuse.org
- Update to 3.2.6 - Hotfixes:
  + Add System.Runtime.InteropServices.WindowsRuntime APIs and PCL Facade
  + Fix problem in MSBuild handling of "Returns" in <Target>. This affects multiple Microsoft.Bcl.Build NuGet packages
  + Implement task batching in MSBuild. Fixes BXC #16403
  + Add /Libraries to llvm search path on OSX, this makes --llvm work in more cases
* Tue Nov 26 2013 mailaender@opensuse.org
- Update to 3.2.5 - Hotfixes:
  + Miscompilation of PCL projects referencing System.Net.Http
  + Improper stack size detection on Mavericks lead F# and C# compilers to crash.
  + Includes the latest F# release, 3.0.31.
- Added temporary patch mono-3.2.5-disttarget.diff
* Sat Nov 16 2013 mailaender@opensuse.org
- Update to 3.2.4
  + Fix some packaging issues.
  + Fix System.IO.Compression.CompressionLevel enum.
  + Include namespace-level summary and remarks elements [#14672]
  + Multiple fixes to the PCL Facade assemblies.
* Sun Oct  6 2013 hrvoje.senjan@gmail.com
- Make libmono-2_0-devel Require libmonoboehm-2_0-devel, as the it's
  .so is a symlink to the libmonoboehm one
* Sun Sep 29 2013 mailaender@opensuse.org
- Update to 3.2.3
  + Check generic constraints for duplicates.
  + XmlSchemaImporter needs to consider attributeGroupRef in some case.
  + xsl:stylesheet always ignored xsl template contents.
  + C# compiler doesn't like decimal in custom attribute values, so use string.
  + Correctly install xbuild
  + Don't allow execution of dynamic assemblies without run access.
  + omit xml declaration for ToString().
  + Implements parsing of multi value User-Agent string.
  + Add more implicit generic array interfaces.
  + Do not use chunked encoding with CGI/FastCGI.
  + SetElementValue(nonExistentElementName, null) caused NRE.
  + Add more system assemblies remapping.
  + Fix Syscall.readlink() for non-ascii targets.
  + Implement character validation methods in XmlConvert.
  + xsi:nil='true' was ignored in some scenario.
  + Add more conversion methods to XmlAtomicValue.
  + Avoid an assert in mono_save_seq_point_info () if no seq points are generated for a method.
  + Properly null terminate strings in mono_dwarf_escape_path ().
  + Continue single stepping if the same line reached in all cases. Factor out some code code.
  + Avoid passing partially shared instances to the JIT.
  + Fix an overflow if MONO_ZERO_LEN_ARRAY is not 0.
  + Nested partial type inside generic class can have base type defined later than current type inflation happens.
  + Add nested partial types inside nested partial types to AST.
  + Schedule internal delay task on default scheduler only.
  + Lazy initialization of type parameters expanded interfaces.
  + Handle property with default values.
  + Another attempt at fixing mono_atomic_load_acquire() on MSVC.
  + Support FTP download where PWD starts with '\'.
  + Adds async handling to binary:emitbranchable.
  + Add some error checking to custom attr parsing and plug a memory leak.
  + Add clone for error expression.
  + Lift result of enum substraction when operation is lifted due to non-nullable enum type.
  + Add *CachePolicy to mobile profile.
  + Ignore space separators in nowarn arguments.
  + Add AssemblyAction.Save to the linker.
  + Check promoted value type binary equality operations against null too.
  + Correctly parse pragma headers.
  + Remove CultureInfo.CurrentCulture dependency from ordinal based string::EndsWith.
  + Write only import section from global namespaces before global attribute sections.
  + Fix overflow checking in newarray with 64 bit array lengths.
  + Correctly import nested non-generic types inside generic containers used within same generic container.
  + Grow underlying buffer only when necessary.
  + Quote path arguments to opt/llc.
  + STW handshake/thread shutdown race condition.
  + Rewrites RuntimeReflectionExtensions to actually do something.
  + Don't show internal error when default paramater expression cannot be converted to paramter type.
  + ASP.NET routing constraints should be treated as 'convertible to string'
  + use XmlSchemaSettings.XmlResolver to resolve schemas.
  + Fix cross compilation to windows. "Windows.h" should be "windows.h".
  + Handle partial class case when nested type of partial container depends on parent base type from another partial container.
  + Disable LLVM for async methods.
  + Create correct flow branching for single non-default switch section.
  + Always release DeflateStream unmanaged resources.
  + Handle custom attributes with nested array of enums.
  + Update named params parameter converted result expression.
  + Inflate default parameter expression without type checks
  + Thread teardown race condition.
  + Basic optional parameters support in binder.
  + Verifier support for IReadOnlyList<T> and IReadOnlyCollection<T>.
  + Relax the restriction on global methods visibility.
  + Add argument modifiers to generated base proxy when needed.
  + Avoid lookups in the AOT images during STW.
  + Don't crash when reporting invalid case label value.
  + Support OID names in RSACryptoServiceProvider.SignData().
  + Fix recursive check for non dependent return types during type inference.
  + Correct parsing of invalid 00000000-0000-0000-0000-000000000000 guid format.
  + Use the invariant culture calendar if the requested one is not available.
  + Type parameter inflated interfaces needs to be marked too.
  + Fixes GZipStream dispose order.
  + Report error for name collision between property and generic method.
  + Avoid the managed->copy for ref vtypes with an [In] attribute in n2m wrappers.
  + HashSet no longer grows in capacity on deserialize
  + Bad compiler interaction between anonymous method and async
  + xsl:import in included stylesheet caused compilation error.
  + Use IReflectType interface instead of TypeDelegator.
  + Fixes negative symbol definition for few locales to be simple -.
  + Fix yet another DISABLE_JIT bug in wrapper generation.
  + Fix an LLVM assertion on structs with unaligned size.
  + Invalid syntax during attribute target parsing can crash parser.
  + Probing of generic parameter needs to check both operands.
  + Clear out the ref fields from MonoDomain before calling mono_gc_clear_domain.
  + More thorough check for managed type parameters.
  + Bad compiler interaction between captured this, lambdas and async.
  + Don't resolve extension method expression when in probing mode.
  + Perform alignment checks for CAS on 32bits systems.
  + Add support for invoking interface methods.
  + Set empty string to TraceListeners for empty assert message.
  + Fixes parallel enumerable index counter.
  + Add System.ServiceModel.Activation assembly.
  + Make suspend work during thread cleanup.
- Changes from 3.2.2
  + TPL- Fix scheduling of non-inlined synchronous continuations.
  + Weaken a race condition in object initialization
  + Fix race conditions in finalizer/weak link staging
  + Fixed System.Text.Decoder.GetChars(byte*,int,char*,int,bool) to copy output into the char* buffer
  + Fixed configure.in to fail the __thread check with clang
  + Fixed g_utf8_to_utf16_general() to handle invalid utf8
  + Add more implicit generic array interfaces.
  + Properly null terminate strings in mono_dwarf_escape_path ().
  + Avoid passing partially shared instances to the JIT.
  + Adds async handling to binary:emitbranchable.
  + Add clone for error expression.
  + Lift result of enum substraction when operation is lifted due to non-nullable enum type.
  + Add *CachePolicy to mobile profile.
  + Ignore space separators in nowarn arguments.
  + Check promoted value type binary equality operations against null too.
  + Remove CultureInfo.CurrentCulture dependency from ordinal based string::EndsWith.
  + Quote path arguments to opt/llc.
  + STW handshake/thread shutdown race condition.
  + Disable LLVM for async methods to work around.
  + Register the jit info for GC critical methods as soon as they are loaded
  + Don't crash when reporting invalid case label value.
* Mon Sep  9 2013 mailaender@opensuse.org
- Removed more .a files from the packaging.
* Sat Aug 17 2013 mailaender@opensuse.org
- Fixed error: File not found: /usr/lib/mono/4.0/Microsoft.Portable.CSharp.targets
* Wed Aug  7 2013 mailaender@opensuse.org
- Uppdate to version 3.2.1
  + Fixes bug 13509, which causes a crash when the current culture is set to zh_TW.
* Sat Jul 27 2013 mailaender@opensuse.org
- Update to version 3.2.0
  + LLVM updated to version 3.2, this brings better optimizations for mono.
  + problematic workloads for the SGen Garbage Collector addressed:
  - popular objects are made immortal until the next major collection.
  - hash filtering on pin queues and that dramatically reduce their average size
  - switched to lazy sweeping by default
  + Three new experimental modes for the garbage collection are now available:
  - Low pause mode
  - Low promotion nursery
  - Mostly precise stack scanning
  + Size Reduction: Multiple features can now be disabled for the classlibs
  + The FullAOT compiler can now generate much faster code for icalls and has support for generic valuetype sharing.
  + Performance of primitive parsing was greatly enhanced.
  + LINQ is now much faster with arrays.
  + Large object cloning and boxing is up to two times faster.
  + Optimize Marshal.Read/Write methods to avoid a trip to unmanaged when possible.
  + Google contributed ports of NaCl for ARM and Amd64.
* Sun Jul 21 2013 mailaender@opensuse.org
- Update to version 3.1.2
  + Emit additional sequence points for call entry when needed.
  + Loading of nested type of missing type needs to create another missing type.
  + Equality structural comparer needs to do recursive comparisons.
  + Allow async for explicitly implemented interface methods.
  + Implement webrequest cancellation.
  + Prefer user operators over predefined operators for binary enum operations too.
- Changes from version 3.1.1
  * Mono now defaults to sgen
  * Update Mono.Cairo to include APIs from cairo 1.10
  * Update the LLVM used from Nov-2012 to Jul-2013
  * Several optimizations to improve string performance
    + Enable managed allocation using gsharing
    + Implemented the string allocator for SGen
    + Fixed String.Contains, as it is not supposed to be culture aware
  * Added a dummy implementation of System.Net.Http.WebRequestHandler
  * Bug fixes
    + Make WebClient report an error when the download aborted prematurely.
    + Add [Serializable] to X509Certificate2 (added in .NET 4.0)
    + Fix order of capturing of this inside switch statement.
    + Rewrite lifted binary operators to match C# spec more closely.
    + Fix MethodImplOptions argument checks.
    + Make ServicePointManager hash on the proxy as well as uri and use_connect
    + Fix register allocation for hw remainder opcodes on armv7s.
    + Block task awaiter until task completes.
    + Use directly captured this instead of parent reference for nested state machine inside another state machine without anonymous storey.
    + When unloading domains, free dynamic assemblies first.
    + Mutate generic catch block type when needed.
    + Fix MethodInfo::ToString () to properly format generic structs.
    + Recover more from invalid throw statement.
    + Verify if the catch type is valid under the method context.
    + Call correct ApplyToExtraTarget base override.
    + Do system.object type scan after all references are loaded.
* Fri Jun 28 2013 mailaender@opensuse.org
- Update to version 3.0.12
  + Added PCL support to xbuild, mono's MSBuild implementation.
  + Fixed multiple hangs that happen during shutdown or appdomain unload
  + Merged most of the ARM support for NaCl
  + mkbundle now uses IKVM.Reflection
- Added rpmlint ignore rules
* Sat May 25 2013 mailaender@opensuse.org
- Update to version 3.0.10
  + Reverted parallel mkbundle.
  + Fixed duplicated debug symbol problem in the compiler.
- Changes from version 3.0.9
  + Fix gtk+ copy & paste.
  + Fix debugger support for custom attributes.
  + Proper stack bounds calculation on windows.
  + Add partial generic methods to our C# compiler.
  + NaCL support for ARM.
  + Fix LLVM loading on OSX.
- Changes from version 3.0.8
  + Multiple improvements to the BCL to reduce usage of non generic collections and use faster string comparisons.
  + Optimize large object cloning and boxing.
  + Multiple changes to bring mono closer to full PCL compatibility.
  + Add System.WeakReference<T>
  + Sgen can now return memory to the system for
  + Many compiler fixes for async.
  + Improved FullAOT support for async.
  + NaCl build fixes and improvements.
  + WCF now has cookie support in .net 4.0.
  + Optimize Marshal.Read/Write methods to avoid a trip to unmanaged when needed.
  + Optimize LINQ with arrays.
  + Multiple fixes to the sgen's concurrent collector.
* Tue Apr 16 2013 mailaender@opensuse.org
- Update to version 3.0.7
  + Multiple fixes to the sgen's concurrent collector.
  + Performance improvements in primitive types parsing.
  + Add a configuration time option to disable remoting.
  + Optimize tls lookups on full-aot + arm.
  + Add a configuration option to disable remoting.
  + Multiple improvements and bug fixes in culture related code.
  + Runtime assembly mapping for PCL.
  + Fix Binder primitive conversion to make .net.
  + Optimize Activator.CreateInstance ().
  + Optimize icalls in FullAOT code.
  + Implement Volatile.Read/Write<T> and Interlocked.MemoryBarrier ().
  + Optimized unmanaged to managed string conversion.
* Tue Apr 16 2013 idonmez@suse.com
- Add Source URL, see https://en.opensuse.org/SourceUrls
* Tue Mar 19 2013 idonmez@suse.com
- Refresh and apply mono-core-target-4.0.patch
- Apply ppc.patch again
* Sat Mar  9 2013 mailaender@opensuse.org
- libgdiplus now has a devel package, use it
* Sat Mar  9 2013 mailaender@opensuse.org
- Update to http://www.mono-project.com/Release_Notes_Mono_3.0.6
  * Hotfix to the 3.0.x series
* Wed Mar  6 2013 idonmez@suse.com
- Remove hardcoded lib directory from the config, this unbreaks
  running GDI+ programs on 64bit.
* Sun Feb 24 2013 mailaender@opensuse.org
- Add missing Provides: for monodevelop 4.0
* Sat Feb 23 2013 mailaender@opensuse.org
- Update to http://www.mono-project.com/Release_Notes_Mono_3.0.4
  * Bug fixes to the 3.0.x series
* Tue Jan 29 2013 dimstar@opensuse.org
- Add mono-core-target-4.0.patch: Use .Net runtime 4.0 as default
  for Nunit and Cairo.
* Fri Jan 11 2013 mailaender@opensuse.org
- Update to http://www.mono-project.com/Release_Notes_Mono_3.0.3
  * Bug fixes to the 3.0.x series
- new sub-package mono-reactive including http://rx.codeplex.com/
* Thu Dec 27 2012 dvaleev@suse.com
- Fix ppc build failures (ppc.patch)
* Mon Dec 17 2012 adrian@suse.de
- fix patches for arm*
- do not detect hard fp support in gcc (mono is not supporting it yet for real)
* Sat Dec 15 2012 sshaw@decriptor.com
- Updated to mono 3.0.2
  * Bug fixes to the 3.0.x series
* Sun Nov 11 2012 sshaw@decriptor.com
- Updated to mono 3.0.1
  * Bug fixes to the 3.0.0 release
* Fri Oct 19 2012 sshaw@decriptor.com
- Update to mono 3.0.0
  * C# 5.0 - async!
  * IKVM
  * 4.5 profile
  * New assemblies - System.Net.Http, System.Threading.Task.Dataflow
  * Microsoft's open source ASP.NET WebStack
  * Entity Framework
  * sgen
  * Runtime Optimizations
  * Code Contracts
  * Partial suppor for Portable Class Libraries
  * Improved GDB support for SGenGC internals
  * Lots of bug fixes
* Fri Oct  5 2012 dvaleev@suse.com
- workaround for ppc build with mcs-docs enabled
  use --with-sigaltstack=no (bxc#6440)
* Sat Jul 21 2012 dvaleev@suse.com
- fix ppc build
* Fri Dec  2 2011 agraf@suse.de
- use hammer approach for vfp instead
* Sun Nov 27 2011 agraf@suse.de
- add arch linux vfp patch
* Sun Nov 27 2011 agraf@suse.de
- use vfp on armv7
* Sun Nov 27 2011 agraf@suse.de
- fix arm build to not depend on the build host's /proc/cpuinfo
* Fri Oct  7 2011 dmueller@suse.de
- update to 2.10.6
  * http://www.go-mono.com/archive/2.10.6
* Wed Apr 27 2011 ajorgensen@novell.com
- Update to 2.10.2
  * http://www.go-mono.com/archive/2.10.2
* Mon Apr  4 2011 ajorgensen@novell.com
- libmono devel package must require libmono
* Tue Feb 22 2011 ajorgensen@novell.com
- Update to 2.10
  * http://www.go-mono.com/archive/2.10
* Fri Jan  7 2011 ajorgensen@novell.com
- Update to 2.8.2
  * Fix for CVE-2010-4225, bnc#660070
  * http://www.go-mono.com/archive/2.8.2
* Fri Nov 19 2010 dimstar@opensuse.org
- Require libmono-2_0-1 by libmono-2_0-devel.
* Thu Nov 18 2010 ajorgensen@novell.com
- Update to 2.8.1
  * http://www.go-mono.com/archive/2.8.1
* Tue Oct 12 2010 ajorgensen@novell.com
- Update to 2.8
  * http://www.go-mono.com/archive/2.8
* Mon May 17 2010 ajorgensen@novell.com
- Revert r155259 for bnc#604251
* Wed Apr 28 2010 aj@suse.de
- Remove libmono-profiler-*.la files.
* Tue Apr 27 2010 ajorgensen@novell.com
- Update to 2.6.4
  * http://www.mono-project.com/Release_Notes_Mono_2.6.4
* Fri Apr  2 2010 aj@suse.de
- Add dependency on unzip for monodoc-core to allow build-compare to work.
* Tue Mar  2 2010 ajorgensen@novell.com
- Update to 2.6.3
  * http://www.mono-project.com/Release_Notes_Mono_2.6.3
- Obsoleted patches
* Mon Mar  1 2010 ro@suse.de
- try to prevent crash on exit in gmcs
  call mono_alloc_special_static_data_free before closing
  assemblies
* Tue Jan 26 2010 ajorgensen@novell.com
- Patch to fix AOT on Xen
* Tue Jan 26 2010 ajorgensen@novell.com
- Update to 2.6.1
  * http://www.mono-project.com/Release_Notes_Mono_2.6.1
* Mon Aug 10 2009 ajorgensen@novell.com
- Update to 2.4.2.3
  * http://www.mono-project.com/Release_Notes_Mono_2.4.2.3
* Tue Mar 31 2009 ajorgensen@novell.com
- Update to 2.4
  * http://www.mono-project.com/Release_Notes_Mono_2.4
* Fri Nov  7 2008 ajorgensen@novell.com
- Spec file fixes
* Mon Oct 20 2008 ajorgensen@novell.com
- Update to 2.0.1
  * Fixes for bnc#426309, bnc#431304, bnc#433908, bnc#431811,
    bnc#434620, bnc#428406, bnc#434544, bnc#432673, bnc#426264,
    bnc#430963, bnc#430040, bnc#435549, bnc#432466, bnc#433741,
    bnc#416462, bnc#437691, and bnc#437289
* Wed Oct  1 2008 ajorgensen@novell.com
- Update to 2.0 RC4
  * Fixes for bnc#430508, bnc#413636, bnc#378713, and bnc#428054
* Thu Sep 25 2008 ajorgensen@novell.com
- Update to 2.0 RC3 refresh
  * Fixes for bnc#424851 and bnc#419888
* Thu Sep 25 2008 ajorgensen@novell.com
- Update to 2.0 RC3 refresh
  * Fixes for bnc#424851 and bnc#419888
* Mon Sep 22 2008 ajorgensen@novell.com
- Update to 2.0 RC3
  * Bugfixes including bnc#424851, bnc#427974, bnc#414146,
    bnc#428309
* Wed Sep 10 2008 ajorgensen@novell.com
- Update to 2.0 RC2
  * Bugfixes including bnc#422507, bnc#422853, bnc#397627,
    bnc#359181, bnc#409028, bnc#417955, bnc#410743
* Tue Sep  9 2008 ajorgensen@novell.com
- Require libgdiplus for mono-devel (because resgen requires it)
* Mon Sep  8 2008 ajorgensen@novell.com
- Recommend a specific version of libgdiplus
* Tue Sep  2 2008 ajorgensen@novell.com
- Update to 2.0 RC1
  * Bugfixes
  * Adds a 2.0 gacutil
* Tue Aug 26 2008 ajorgensen@novell.com
- Update to 2.0 (preview 2)
  * Runtime: Performance
  * The performance of operations on decimals has significally improved.
  * The performance of locking (Monitor.Enter/Monitor.Exit) is significally improved.
  * The memory usage of the runtime is reduced, especially when using generics.
  * Many race conditions and threading problems were fixed, improving reliability.
  * Math.Min/Math.Max and some forms of Interlocked.CompareExhange (CAS) are now implemented using fast inline code on x86/amd64.
  * There is now a MONO_DEBUG=dont-free-domains option that improves the performance of ASP.NET-based applications.
  * Runtime: Features
  * Some progress has been made on the Winx64 port [Bill Holmes, Jonathan Chambers]
  * The runtime is now built using the dolt libtool replacement (http://dolt.freedesktop.org/) this speeds up runtime compilations by about 30%%.
  * The runtime build process is now less verbose on some platforms, similar to the way the linux kernel is built. To turn it off, use the --enable-quiet-build=no argument to configure, or pass the V=1 argument to make.
  * There is now a --debug=casts command line option to the runtime which turns on the reporting of better InvalidCastException message details.
  * The mono_method_get_unmanaged_thunk () function has been implemented for developers embedding Mono which simplifies calling managed methods from unmanaged code.
  * C# Compiler
  * The compiler now support expression trees (turning expressions into an AST at compile time when the type of a parameter is a System.Query.Expression). This completes the C# 3.0 support.
  * Over 60 reported bugs in the compiler were fixed and many of the internals have been cleaned up. Extensive refactoring and hardening of the C# 2.0 and 3.0 support are now better integrated.
  * A major rewrite of the anonymous method/lambda support in the internals of the compiler now optimizes the resulting code, and fixes several bugs in this area.
  * The compiler is now dual licensed under the MIT X11 and the GNU GPL version 2 (only).
  * The compiler now supports #pragma checksum for use with ASP.NET debugging and #line hidden, as well as flagging more compiler-generated code properly (to avoid the debugger single-stepping into those bits).
  * LINQ
  * LINQ and LINQ to XML are now complete, support for expression trees is now available as well as the backend to support expression tree compilation.
  * LINQ to Dataset has also been implemented.
  * Performance Counters Implementation
  * Mono now has a performance counters implementation that can be used to monitor various statistics of Mono processes. To access this API you use the System.Diagnostics.PerformanceCounter classes.
  * Big Arrays
  * Mono now supports 64-bit indexed arrays on 64-bit systems. Although this is permitted by the ECMA standard, this today is a unique feature of Mono as .NET on Windows does not support 64-bit array indexes. This code was developed by Luis Ortiz at Interactive Supercomputing and integrated by Rodrigo Kumpera.
  * This feature is useful for developers that needs to manipulate very large data sets with C# arrays.
  * To use this feature, you must configure Mono with --enable-big-arrays.
* Mon May 26 2008 crrodriguez@suse.de
- add missing zlib-devel BuildRequires this made mono to
  use a bundled copy a zlib.
* Mon May 12 2008 aj@suse.de
- Do not return random data in function.
* Tue May  6 2008 schwab@suse.de
- Don't use libtool before it is created.
* Fri Apr 25 2008 wberrier@suse.de
- Make sure x11 headers/libs are installed so that
  /etc/mono/config has correct link to libX11.so.6.
  Fixes (bnc#339712)
* Tue Apr 22 2008 wberrier@suse.de
- Update to 1.9.1 (bugfix release)
  - G_DECL fixes
  - Microsoft.CSharp: Emit bodyless getters and setters for abstract
  properties
  - ASP.NET: Don't output a date header from System.Web
  - Fix an issue with Groupwise WSDL
  - Mono.Mozilla: Support more than one browser widget per
  application Windows.Forms
  - Winforms:
  - Finish implementation for EventsTab and PropertiesTab
  - Fix keyboard layout issue
  - MenuAPI fixes
  - System.Design: Cache editor widget instead of creating it each
  time
  - System.Text: Fix possible integer overflow
  - System.Net.Mail: Fix filename handling
* Fri Apr 11 2008 schwab@suse.de
- Work around broken configure script.
* Fri Apr 11 2008 aj@suse.de
- glibc does not define ARG_MAX anymore, use sysconf (_SC_ARG_MAX)
  instead.
* Thu Apr 10 2008 ro@suse.de
- added baselibs.conf file to build xxbit packages
  for multilib support
* Wed Mar 26 2008 wberrier@suse.de
- Filelist changes for System.Xml.Linq and Mono.Web
- Call ldconfig directly instead of invoking a shell
- Update to 1.9
  - More than 80 bugs closed/fixed in the runtime
  - Reflection bug fix
  - C# compiler defaults to 3.0
  - Silverlight support enabled by default
  - Generics code sharing
  - AOT support for ARM
  - Verifier improvements
  - Updated Core Linq api
  - Now includes System.Xml.Linq
  - mcs/gmcs parser code base has been unified
  - ASP.Net:
  - Batch Compilation
  - Mapping configuration
  - Winforms:
  - more support for browser events
  - Several fixes to RichTextBox
  - Major improvements to PropertyGridControl
  - Over 100 fixed bugs
  - System.Design implementation
  - DLR support
  - Mono.Posix:
  - Stdlib.signal() has been deprecated.  Replaced with:
  - Mono.Unix.Native.Stdlib.SetSignalAction
  - Mono.Unix.UnixSignal
* Fri Feb 15 2008 dmueller@suse.de
- only require valgrind for archs that provide it
* Wed Jan 23 2008 wberrier@suse.de
- mono-93665_find_requires_ignore_missing.patch: warn on missing
  files found in .config files instead of generating invalid deps.
* Thu Jan 17 2008 wberrier@suse.de
- libgdiplus -> libgdiplus0 rename
- add libgluezilla0 to recommends
* Mon Jan 14 2008 wberrier@suse.de
- Update to 1.2.6
  - Support for the ASP.NET AJAX APIs and controls
  - Support for FastCGI deployments
  - Windows.Forms WebControl for Windows and Linux using Mozilla
  - Reduced memory usage in the runtime for 2.0 apps
  - Updated verifier
  - Implementation of CoreCLR security
  - More C# compiler 3.0 completion
  - Mono 1.2.6 can now be used as an SDK for creating Silverlight
  1.1 applications on all platforms.
  - Support for the PE32+ assembly file format
  - Managed allocations support
  - SslStream support
  - System.Net.Mail improvements
  - Fixed SSL/TLS thread-synchronization
  (for LDAPS over multiple threads)
  - Novell.Directory.Ldap synchronized with the Novell's CSHARP
  LDAP SDK (version 2.1.8)
* Tue Oct 23 2007 wberrier@suse.de
- mono-boo_ia64_fix.patch: fix boo build on ia64.
* Thu Sep 20 2007 wberrier@suse.de
- BigInteger Security fix: bnc #310044
  - MaintenanceTracker-13335
* Fri Aug 31 2007 wberrier@suse.de
- Regressions found in 1.2.5:
  - Bug #82428: crypto buffer length fix
  - Bug #82481: StatusStrip focus regression fix
  - Bug #82499: GlobalReAlloc fix
- System.Web regression fixes:
  - Bug #82193: System.Web regression fixes
  - Bug #82392: SessionState fix for asp.net regression
* Fri Aug 17 2007 wberrier@suse.de
- Fix some COM and Winforms regressions in 1.2.5 p3
  - fixes bxc: 82433, 82344, 82405, 82406, #82187, 82348
- Threading fix for bxc #82145 when using LDAP and TLS
* Fri Aug  3 2007 wberrier@suse.de
- Update to 1.2.5
  - Fixes for IronPython and Dynamic Language Runtime
  - More C# 3.0 compiler features
  - 2.0 support for AOT assemblies
  - Several performance improvements when running IronPython
  - Reduced virtual table sizes
  - Optimized double to int conversions using SSE2 on x86
  - Proper caching of generic methods
  - IL verifier implemented
  - HttpWebRequest can now be used with X.509 client certificates
  - Added support X.509 Client Certificate Chains for SSL/TLS
  - Fixed SSL/TLS not to require exportable private keys for
  client certificates
  - Implemented import and export of DSA keys CryptoAPI-compatible
  BLOB (2.0)
  - Added SafeBag handling to Mono.Security's PKCS#12
  - Regioninfo support
  - Optimized dictionary type
  - New TimeZone implementation
  - new 2.0 Winform controls: MaskedTextBox, ToolStripPainter,
  ToolStripSystemRenderer
  - Mono Cairo API has been updated, it will now expose Cairo
  1.2 API entry points.
- Don't use 64bit libs on ppc64 in find-requires (runtime is 32bit,
  must use 32bit libraries)
* Mon Jul 30 2007 ro@suse.de
- try to use 64bit libs on ppc64 as well in find-requires
* Tue Jul 10 2007 wberrier@novell.com
- Build against valgrind for 10.3 and above
* Fri Jul  6 2007 wberrier@novell.com
- mono-find-requires fixes for ia64 (bnc #282877)
* Wed Jun 20 2007 ro@suse.de
- removed requires on specific release in mono-complete for
  mono-basic (not a subpackage of mono-core anymore)
* Sat Jun 16 2007 wberrier@novell.com
- mono-config_rpm_requires.patch: revert back to using package
  requirements for the .config dep scanning.  This is because
  noarch packages can be built on either 32 or 64 bit machines,
  and then otherwise will depend on a 32 or 64 bit library, which
  is wrong.
* Tue Jun  5 2007 wberrier@novell.com
- Fix relevant rpmlint errors/warnings:
  - also 'provides' for each 'obsoletes'
  - run ldconfig in post/un for mono-core and mono-devel
- Update filelists
- Update to 1.2.4
  - 680 new methods implemented.
  - 290 stubs that used to throw NotImplemented exceptions have been
  implemented.
  - 43 methods flagged with "to-do" have been implemented.
  - Fixed HandleRef support
  - Ability to disable shared mem support
  - Mostly complete ASP 2.0 support (webparts is missing)
  - asp.net 2.0 performance tripled
  - C# 3.0 compiler support
  - Mono.DataConvert: fixed implementation of the broken
  System.BitConverter
  - System.Windows.Forms
  - 150 bugfixes
  - performance fixes
  - 2.0 profile additions: ToolStrip, Baloon tips, and hundreds of
  new methods in various controls
  - System.Drawing
  - Initial support for metafiles (wmf & emf)
  - performance improvements and fixes
  - Many printing fixes
  - 2.0 ADO.Net updates
  - Support for amd64 on Solaris
  - Security and Crypto:
  - Path.GetTempFileName now returns a file with 600 perms
  - Fixed HMACSHA384 and HMACSHA512 to use a 128 bits block size
  - Signcode tool now support password-protected PVK files
  - CryptoStream.Write is now closer to MS behaviour and requires
  less memory
  - Fixed endian issue in RIPEMD160
  - installvst: new tool to install VisualStudio source packages
  - New additional sqlite binding: Mono.Data.Sqlite
  - better maintained (http://sqlite-dotnet2.sourceforge.net/)
  - sqlite3 only (no sqlite2, would need to dump/reload db)
  - COM Interop now supports COM Callable Wrappers
  - Many of the new 2.0 socket methods are now available
* Fri Apr 13 2007 wberrier@novell.com
- add %%debug_package so debug packages get created
* Wed Apr  4 2007 wberrier@novell.com
- Adapt for build service
* Tue Mar  6 2007 wberrier@suse.de
- atomic fixes from Michael Matz for for s390 and s390x
  ( bnc #237611 and bxc #80892 )
* Wed Feb 28 2007 wberrier@suse.de
- Turn off sigaltstack, as it's not safe (Requested by Paolo)
- Remove obsolete patches
- Update to 1.2.3.1 (Various runtime and winforms crashers
  as well as a zmd crasher)
- 1.2.3 Changes:
  - 1,933 missing methods were implemented.
  - 164 methods with pending implementations were fixed.
  - Improved Winforms 2.0 Support, with additional controls, and
  reduced memory usage
  - API complete ASP.NET 2.0 implementation (except for WebParts).
  - System.Media implementation
  - Supports SOAP 1.2 as well as the WS-BasicProfile 1.1 checker
  - Many fixes to the XmlSerializer as well to support the new features
  - The mkbundle tool now allows the machine.config file to be embedded
  as well
  - HttpListener now also support HTTPS, to configure the certificates
  use the httpcfg tool
  - Completed the support for the 2.0 updates to the API in
  System.Net.Sockets
  - System.Drawing.SystemIcons are now implemented
  - Authenticode: Signcode now generates valid signature on PE
  files with extra data (e.g. debug information, installers)
  and for file length that aren't multiple of eight
  - SSL/TLS: Fix negotiation cache and added configurable cache
  timeout using the MONO_TLS_SESSION_CACHE_TIMEOUT environment variable
  - XML Signature and XML Encryption: several bug fixes, it now it
  support exclusive canonicalization (needed for ongoing Olive work)
  - Support for inherited key parameters in DSA certificates
  - Support for DSA certificates in PKCS#12 files
  - Better support for X.509 CRL (including stores & certmgr support)
  - xbuild improvements
  - Sqlite 2.0 API support
  - Array and multi-array access optimizations
  - Versioned header files
* Sat Jan 20 2007 wberrier@suse.de
- Move libgdiplus requirement from mono-winforms to mono-core
  since System.Drawing (in mono-core) is useless without it
  (Won't affect mono-winforms, since it depends on mono-core)
* Tue Jan  9 2007 wberrier@suse.de
- Move mono-find-provides/requires to mono-devel since they depend
  on monodis, which is in mono-devel
- Patch mono-rpm_deps_error_handling_r70445.patch to error out
  when running the find scripts
- Fixes bnc #227362
* Sat Dec  2 2006 wberrier@suse.de
- Update to 1.2.2 (Fate #301111)
  - Serious bug fix in compiler (anonymous methods)
  - Additional 2.0 APIs implemented for Windows.Forms
  - Removal of many incorrect MonoTODOs and implemented many methods
  that were throwing not implemented exceptions
- Changes in 1.2.1
  - Thread.Interrupt is implemented
  - Generics support in Web Services
  - Web Services update for 2.0 api
  - ASP.Net 2.0 updates
  - Several Winforms blockers fixed
  - ADO.Net 2.0 updates
  - Support for more type converters
  - Process launching supports supports open special files in addition
  to launch programs (ie: xdg-open, gnome-open, or kfmclient)
  - System.Drawing UTF8 to UCS2 conversion fixed
  - 2.0 api updates to X.509 related classes
- Changes in 1.2
  - Serialization Callbacks
  - Machine-level settings now available in registry
  - Winforms completion
* Fri Dec  1 2006 wberrier@suse.de
- Thread safety fixes for rug/zmd (bnc #221277)
- System.Web Source fix (bnc #225179)
* Tue Nov 14 2006 meissner@suse.de
- Disable executable stack option. #65536
* Fri Oct 20 2006 wberrier@suse.de
- Remove glib2-devel from mono-nunit, not sure why it was ever there
  (bnc #210224)
- Updated to 1.1.18.1
  - removed upstream patches
  - C# Generics fixes
  - IO Layer changes to ease windows porting migration
  - Security updates: major speed improvements
  - Lots of Winforms fixes and updates
  - Merged source for mcs and gmcs
  - Performance tuning
* Thu Sep 28 2006 wberrier@suse.de
- Security fix for bnc #205084 VUL-0
- TempFileCollection.cs: Create files in a temporary subdirectory,
  for security reasons.
- CodeCompiler.cs: Let TempFileCollection choose the temp dir.
* Fri Sep  1 2006 wberrier@suse.de
- Update to 1.1.17.1 - Minor bugfix update
- Fix HttpListener, it was failing with a few post operations
- mono-service is now installed into the GAC, the recent changes
  broke applications that created new AppDomains
- Fix a race condition on array new
* Tue Aug 29 2006 wberrier@suse.de
- add s390 backchain patch
- s390 warnings patch
- remove mono-basic package
- update filelist for CustomMarshalers
- Update to 1.1.17
  - Windows.Forms: Printing is now supported.
  - Basic COM support has been integrated.
  - FileSystem will now use inotify directly on systems that
  support it without having to go through an external library like
  FAM or Gamin [Gonzalo Paniagua]
  - 2.0 support for asynchronous reads and writes from the
  Process class is now supported [Gonzalo]
  - Fxied Loading as a Shared Library
  - Mono.Cairo bindings now supports a DirectFB surface now [Alp Toker]
  - Process now support the async io handling [Gonzalo Paniagua]
  - String.Normalize is included [Atsushi Enomoto]
  - ADO.NET 2.0 updates, included an implementation for
  SqlConnection.GetSchema (Nagappan, Nagappan).
  - Registry Updated to the 2.0 API. [Miguel de Icaza]
  - Support for splitting the registry across user and system level
  settings. [Gert Driesen]
  - Support for X.509 client certificates
  [Hubert Fongarnand, Sebastien Pouliot]
  - SN accepts password-protected PKCS#12/PFX files to strongname
  assemblies. This feature is enabled in both 1.x and 2.0 profiles
  [Sebastien Pouliot]
  - CodeDOM JScriptCodeProvider code JavaScript code is now
  included [Akiramei]
  - An EventLog implementation is available on both Unix and
  Windows by setting MONO_EVENTLOG_TYPE
  - COM Interop: Basic support for Runtime Callable Wrappers
  (RCWs) [Jon Chambers]
  - Sqlite now exposes a Version property to detect which underlying
  database is available (2.x or 3.x) [Joshua Tauberer]
  - Mono.Posix now features an abstract Unix end point in addition
  to Unix End Points [Alp Toker].
  - Fixed XmlSchemaSet and XmlSchemaCollection problem across
  multiple namespaces [Atsushi Enomoto]
  - Important Bug fixs:
  - Dynamic linking of Mono is now possible in applications
    that were using the TLS (open office) [Zoltan Varga]
  - Newly created AppDomains no longer inherit the list of
    loaded assemblies from the main domain [Lluis Sánchez]
  - A number of missing pieces of System.IO.Ports have been
    implemented (ReadChar, ReadLine, BytesToRead, BytesToWrite,
    ReadTo, return USB tty devices) [Miguel de Icaza]
  - ASP.NET Cache will now check dependencies (79002)
    [Gonzalo Paniagua]
  - Updated the Posgress data bindings to RC3
    [Francisco Figueiredo].
- --------
- Satisfy some compiler warnings with more warnings patches
- Update filelists
- Add sigaltstack configure option for performance
- Update to 1.1.16.1
- Sending the QUIT signal to a running Mono process will produce
  a stack trace of each thread
- Updated Boehm garbage collector
- Large file uploads are now supported
- Updated Master Pages, nested pages and System.Configuration
- Improved performance for XML
- Added support for abbreviated handshakes
- Fixed some possible deadlocks while negotiating
- basic implementation of System.Transactions
- implemented assembly unloading when an appdomain is released
- C# Compiler bug fixes:
  - #78020, #77916, #77961, #78048, #77966
  - Improved the generated output for array initialization
  - #77958, #77929, #77954
  - #77002
- XMLSerialization implemented for XmlSchemas
- improved performance of Int32.ToString()
- major updates to System.Windows.Forms and System.Drawing
- inline optimization enabled by default
- Long standing debugging line numbers bug fixed
* Fri Jun 16 2006 wberrier@suse.de
  Changes from Neale Ferguson <neale@sinenomine.net> from trunk in order
  to fix bnc #179080 (zmd issue on s390x)
- * atomic.h: Fix atomic operations for s390x (not really broken
  but changed to use full 64-bit opcodes).
- * atomic.h: Fix atomic exchange pointer operations for s390x - these
  were broken as they used 32-bit instructions rather than their 64-bit
  versions.
- * s390x-codegen.h: Fix immediate checks.
* Mon May 15 2006 wberrier@suse.de
- Revert change to mono-find-provides (59882) so that Mono apps will
  not have to depend on being able to find dependent assemblies in
  the gac.
* Wed May 10 2006 wberrier@suse.de
-Add provides for mono-core for assemblies not in the gac, which
  other packages depend on.
-Update to 1.1.13.8 from stable branch
-Assembler:
  - Fix assembler bug that tried to sign netmodules.
  - Assembler will now report a bug if two identical labels are declared
  on the same methods
  - On 2.0, support the "property" directive.
-ASP.NET:
  - Make sure application start event is run before the request is
  processed.
  - Dont reset query string in Execute (78177).
  - Make sure that we can read a file before trasmitting it (fixes
  crash).
  - Added two tests (Bug 78101, DataSourceID).
  - Do not fail on events that do not derive from EventHandler,
  patch from Matthew Metnetsky.
  - Render some attributes inside span, not div tags (71251).
  - Fix searching of control by DataSourceID.
-System.NET:
  - Allow posts of size zero (#78316)
  - Fix for proxy authentication over HTTPS, for Zen team (78150).
-Core:
  - Do not capture compressed stack, this feature is not yet
  supported, fixes a crasher bug in ExecutionContext.
  - Add FileOptions, necessary for IronPython.
  - Fix incorrect buffer reading from console (78218).
-Mono.Security:
  - Enable abbreviated handshake for SSL3 (Zen)
  - Deal with emtpy master secrets (78085)
-Tools:
  - Fix mono-find-provides, to not list private copies of
  assemblies (fixes conflict of MonoDevelop and third party
  rpms).
-Runtime:
  - Fix for 78035.
  - Avoids a null dereferences in metadata, IPHostEntry
  - x86-64: Fix handling of MONO_INST_GENERICINST
  - Memory leak fix, when shutting down threads, clean the TLS:
  77470.
  - Handle multiple leave statements in a try/catch, 78024.
-Compilers:
  - Flag VB as unsupported.
* Mon Apr 24 2006 wberrier@suse.de
- Bug fixes for Zenworks (78089, 78150, amd64 signal crash, and proxy fix in System.Net)
* Mon Apr 10 2006 wberrier@suse.de
- Branch update for iFolder issues.  Also includes some semaphore
  updates, as well as SWF updates. (77931,01234,77931,01234,77991,
  77556,77811,77350,75609,78028,77971,78033,77242,76191,41943,77890,
  78067,78067,78067,77514,77839,77393)
* Mon Apr 10 2006 cthiel@suse.de
- remove redundant Conflicts lines (#159340)
* Mon Mar 27 2006 aj@suse.de
- Apply patch from Dick Porter to Break out of a loop if the
  shared file is smaller than expected - this fixes some build
  issues.
* Sat Mar 25 2006 wberrier@suse.de
-Update to 1.1.13.5 (No crypto changes)
  - C# compiler bug fixes for Bugzilla.ximian.com bugs: 77767,
  77642, 77583, 77674, 77642 as well as fixing a number of
  nullable bugs (gtest-254, gtest-251, gtest-250) fixed
  compilation bugs for C5 library.
  - Sqlite bindings now has a way of specifying the default
  encoding and defaults to UTF-8 instead of using ANSI.
  Versions between Jan 20 and this release stored data always in
  ANSI format which could not be read back.
  - System.Web: invoke validation callbacks in HttpCachePolicy
  (77825); fixes OutputCache's VaryByParam="*" (77757); fix
  Cache-Control header handling (77825); Fix POST filename
  encodings (77714);  Allows setting custom Cache-Control
  headers (77775).
  - System.Web/HtmlControls fixes from Mainsoft: fixed
  Anchor.RenderAttributes, Form.Method fixed to include "post"
  if needed; InputImage fixed to cope with SetAtt.
  - System.Web's SessionState: session state will retry
  reconnecting to the database if the connection is lost
  (77785).   Dispose the data reader to avoid leaks (77698);
  - System.Web Javascript, hide validators view (77261).
  - System.Web's/WebControls: Use naming container instead of
  pages to locate controls (77793);   Fixes rendering of
  ListBoxes (77740);
  - System.XML.Schema: fix return value on the XML Schema
  (77685).
  - XmlSerialization: consider subtypes (77447), ignore element
  namespaces when using Unqualified mode (75019).
  - IO-Layer: close redirected pipes on errors (77514), Shell
  Execute, avoid crash (77393);  Delete semaphores on last exit
  (City of Largo request, problem happens in clusters, direct
  communication, no bug#).
  - WebConnectionStream: avoid async calls when writing zero
  bytes (iFolder CPU consumption issue).
  - HttpWebRequest: fix close semantics (77753)
  - UpdClient: fix IPV6 family check (77689).
  - System.Data fixes: Fixed 77557, 77776 and enabled tests
  that were previously disables, add new tests.
  - System.Data: Fixed endianess bugs reported on PPC and
  SPARC.
  - Runtime: Updates for LocalDataStoreSlot to prevent the
  Beagle leak from happening; Fixed crasher bug in class
  libraries (77772).  Fixes 77504 in generic libraries; Fix
  Stream bug 77863; Reflection fix for 74937; Stat-usage fixes
  (77759, 76966); public-key-token casing (77898); Codebase
  return fix (77877); fix two ia64 crashes (77774, 77787);
  Handle null in Equals (77700); backport memory corruption fix
  (no bug number);
  - Tracing: Fix crash in StringBuilders when tracing (77848);
  disable output always 77706.
  - S390x: Use long-displacement if the CPU supports it.
  - Patch from Tambet at ZenWorks team to reduce memory
  consumption in remoting, shaves a few megabytes on RPC calls.
  - System.Drawing/Windows.Forms: Bring code from trunk (these
  are unsupported libraries).
  - Mono.Security: several fixes to the async stream handling
  in SSL: implement a ClientSessionCache, redo the async
  processing of requests as they were previously hanging iFolder
  (77663, 67711).  There were no changes to the crypto code.
  - Upgraded C5 test suite to 1.0 release from upstream.
  - Updated debugger API.
  - Added tests for bugs fixed.
  - Fix: s390 and s390x will enable the JIT without special
  flags (before we needed --enable-jit).
  - Prj2Info escapes now characters in filenames that contain
  special shell characters.
* Wed Mar  1 2006 aj@suse.de
- Remove echo in %%post.
* Wed Mar  1 2006 wberrier@suse.de
- Update to 1.1.13.4
  - Fixes the following bugs: 77524 77581 75479 77637 77613 77446 77433 77398 77397 77315 75436 75479 77521 77536 77572 77468 77371 77273 77309 74932 77442.... too many to list here.
* Sat Feb 18 2006 ro@suse.de
- use wildcards in filelist (.mdb files moved to debuginfo package)
* Thu Feb 16 2006 wberrier@suse.de
- have winforms rpm depend on libgdiplus (Novell Bug #150858)
* Thu Jan 26 2006 ro@suse.de
- warn if installing on s390/G5
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 20 2006 wberrier@suse.de
- Update to 1.1.13.2 (no crypto updates)
* Thu Jan 12 2006 wberrier@suse.de
- Update to 1.1.13.1 (no crypto updates)
  Fix for CASA
* Fri Jan  6 2006 wberrier@suse.de
- Update to 1.1.13 (No crypto updates)
  FireBird 2.0 gac file was disabled
  Added nunit-console to filelist
* Fri Dec 23 2005 wberrier@suse.de
- Add some of Zoltan's ia64 fixes to fix the runtime (no crypto updates)
* Fri Dec 23 2005 wberrier@suse.de
- Update to 1.1.12.1 (ziplib fix, no crypto updates)
* Wed Dec 21 2005 wberrier@suse.de
- Add patches fro Neale's s390 checkins (No crypto updates)
* Wed Dec 21 2005 wberrier@suse.de
- Fix mono-cairo.pc for gtk-sharp2 build on x86_64
* Tue Dec 20 2005 wberrier@suse.de
- Update to 1.1.12, monoburg warning patch
* Fri Dec 16 2005 ro@suse.de
- add an explicit cast on ppc for InterlockedCompareExchangePointer
* Thu Dec 15 2005 wberrier@suse.de
- Update to 1.1.11, add files for 1.1.11, and enable some files (libmono.l?a)
* Mon Dec 12 2005 sbrabec@suse.cz
- Added "Obsoletes: mono" to mono-core.
* Fri Nov 11 2005 wberrier@suse.de
- Fix build (supportw.c)
* Fri Nov 11 2005 wberrier@suse.de
- Update to 1.1.10.  Add profiler-aot, mozroots
* Thu Oct 20 2005 ro@suse.de
- try to fix req/prov scripts
- remove AC_DISABLE_FAST_INSTALL to fix installed binaries
- do not build as root
* Wed Oct 12 2005 ro@suse.de
- take fix for gacutil problem from SVN
- remove workaround hack from specfile
* Wed Oct 12 2005 ro@suse.de
- fix some lib64 issues
* Wed Oct 12 2005 wberrier@suse.de
- Update to 1.1.9.2, restructure packages to match upstream
* Mon Sep 26 2005 ro@suse.de
- fix build on x86_64
- move mono-nunit.pc to mono-nunit package
* Fri Sep 23 2005 wberrier@suse.de
- Reenable 2.0 preview (bug #118530)
* Fri Sep 16 2005 wberrier@suse.de
- Nasty work around hack for libtool in order to not include wrappers (#116245)
* Thu Sep  8 2005 ro@suse.de
- fix build on 9.1+
* Tue Aug 23 2005 wberrier@suse.de
- Add the mono-nunit subpackage (needed for mono-tools)
* Mon Aug  1 2005 ro@suse.de
- update to 1.1.8.3
* Thu Jul 14 2005 wberrier@novell.com
- Update %%file directives for SymbolWriter
* Sun Jun 26 2005 ro@suse.de
- use ldscript only for "libmono" but not for "mono"
* Wed Jun 22 2005 ro@suse.de
- fix more warnings on ppc
* Tue Jun 21 2005 ro@suse.de
- update to 1.1.8.1
* Tue Jun 21 2005 ro@suse.de
- revisit execstack : pass with "-Wl" as linker flag
* Tue Jun  7 2005 uli@suse.de
- s390: moved __attribute__((packed)) where it is not ignored by
  the compiler (fixes SIGILLs/SIGSEGVs in several packages)
* Sat May 14 2005 aj@suse.de
- mono-data-* needs mono-data.  Require it explicitely.
* Fri May 13 2005 ro@suse.de
- fix assembliesdir in libexecdir patch again
* Thu May 12 2005 uli@suse.de
- update -> 1.1.7
- disabled s390x (port is broken and unmaintained)
* Mon Mar 21 2005 mmj@suse.de
- Add dependency for mono-devel on glib2-devel [#74161]
* Wed Mar 16 2005 gekker@suse.de
- Add mono-sys-web.patch and mono-leak-fix.patch for mono team
* Fri Mar 11 2005 gekker@suse.de
- Add mono-libgc-finalizer-fix.diff for the mono team
* Fri Mar 11 2005 uli@suse.de
- s390* workaround (build with -O1)
- fixed a bunch of (harmless) warnings to appease autobuild
* Thu Mar 10 2005 gekker@suse.de
- add mono-sqlite2-config.patch (71844).
* Tue Mar  8 2005 gekker@suse.de
- add mono-mini-threadfix.diff, to fix random crashes in mcs
* Tue Mar  1 2005 gekker@suse.de
- remove sqlite2-devel crack from requires for mono-data-sqlite
* Mon Feb 21 2005 clahey@suse.de
- Update to 1.1.4.
* Sun Feb 20 2005 ro@suse.de
- expand configure macro (not always correct for old distributions)
- more hacks to java path
* Sun Feb 20 2005 ro@suse.de
- changed java path
* Sat Feb 19 2005 ro@suse.de
- fix build for older distributions (without jni)
* Thu Feb 17 2005 gekker@suse.de
- Add requires to mono-data-sqlite for sqlite2 and sqlite2-devel
* Tue Feb 15 2005 gekker@suse.de
- add -z execstack to LDFLAGS (50536)
* Sun Feb  6 2005 ro@suse.de
- fix mono with exec stack protection
* Wed Feb  2 2005 ro@suse.de
- fix mono-provides
* Mon Jan 31 2005 gekker@suse.de
- fix a directory ownership problem
* Mon Jan 31 2005 ro@suse.de
- fix build on lib64 (again ...)
* Mon Jan 31 2005 ro@suse.de
- fix setup line in spec file
* Mon Jan 31 2005 clahey@suse.de
- Split into separate packages.
* Thu Jan 13 2005 ro@suse.de
- update to 1.1.3
* Mon Nov 29 2004 ro@suse.de
- THREAD_LOCAL_ALLOC is not possible on ppc, don't force it
- extended 64bit-warning patch some more
- configure "with-jit=yes" as in sles9
* Fri Nov 12 2004 ro@suse.de
- update to 1.1.2 devel branch
- added hacks to use libexecdir (always /usr/lib/mono)
  (but mcs still doesn't use it)
* Thu Sep 16 2004 ro@suse.de
- updated to 1.0.1 bugfix release
* Fri Jul  2 2004 ro@suse.de
- updated 64bit-warning patch (from clahey)
* Fri Jul  2 2004 ro@suse.de
- update to 1.0 version
* Mon Jun 28 2004 mls@suse.de
- use find-requires and find-provides from rpm
* Mon Jun 21 2004 clahey@suse.de
- Updated to 0.96.
- Added find-requires.mono and find-provides.mono.
* Thu Jun 10 2004 clahey@suse.de
- Don't include wine stuff.
* Wed May 26 2004 clahey@suse.de
- Require icu and libiuc26.
* Tue May 25 2004 clahey@suse.de
- make clean before make to remove incorrectly disted file.
- As long as we're conflicting with pnet-compiler, we shouldn't
  move ilasm to milasm as that messes things up for mono and isn't
  necessary.
* Tue May 25 2004 adrian@suse.de
- fix permissions of -devel package
  (Requires base mono package and conflicts with pnet-compiler)
* Mon May 24 2004 clahey@suse.de
- Don't try to include wine files on non x86 platforms.
* Fri May 21 2004 clahey@suse.de
- Updated to 0.91.
* Tue Apr 20 2004 uli@suse.de
- ditch JIT runtime on PPC as it does not work properly yet
- add winelib on x86 to allow use of Win32 APIs as provided by WINE
- require libgdiplus
* Mon Apr 19 2004 uli@suse.de
- update -> 0.31 as reqd by gp
* Wed Feb 18 2004 uli@suse.de
- update -> 0.30.1 as reqd by gp
* Mon Feb  9 2004 uli@suse.de
- fixed to build on s390
* Thu Feb  5 2004 uli@suse.de
- update -> 0.30 (proper fix for Write/WriteLine problem,
  obsoletes several patches)
- build libgc/finalize.c with -fno-strict-aliasing
* Wed Feb  4 2004 uli@suse.de
- renamed ilasm to milasm to avoid conflict with Portable.NET
* Fri Jan 30 2004 uli@suse.de
- removed incompatible System.Console.Write/WriteLine methods to
  make mcs-compiled binaries work with Portable.NET and MS.NET
* Wed Jan 28 2004 uli@suse.de
- disable exception tables, do not work with glibc 2.3 yet
- build class libs and tools from source (not on PPC, fails with
  null pointer exception)
- compat link for archs without JIT
* Mon Jan 26 2004 uli@suse.de
- initial package
